apport (2.30.0-0ubuntu4.3) oracular-security; urgency=medium

  * SECURITY UPDATE: Race condition when forwarding core files to containers
    - d/p/apport-Do-not-change-report-group-to-report-owners-primar.patch: Do
      not change report group to report owners primary group.
    - d/p/apport-move-consistency_checks-call-further-up.patch: Move
      consistency_checks call further up.
    - d/p/apport-do-not-override-options.pid.patch: Do not override
      options.pid.
    - d/p/apport-open-proc-pid-as-early-as-possible.patch: Open /proc/<pid> as
      early as possible.
    - d/p/fileutils-respect-proc_pid_fd-in-get_core_path.patch: Respect
      proc_pid_fd in get_core_path.
    - d/p/apport-use-opened-proc-pid-everywhere.patch: Use opened /proc/<pid>
      everywhere.
    - d/p/apport-do-consistency-check-before-forwarding-crashes.patch: Do
      consistency check before forwarding crashes.
    - d/p/apport-require-dump-mode-to-be-specified.patch: Require --dump-mode
      to be specified.
    - d/p/apport-determine-report-owner-by-dump_mode.patch: Determine report
      owner by dump_mode.
    - d/p/apport-do-not-forward-crash-for-dump_mode-2.patch: Do not forward
      crash for dump_mode == 2.
    - d/p/apport-support-pidfd-F-parameter-from-kernel.patch: Support pidfd
      (%F) parameter from kernel.
    - CVE-2025-5054

 -- Octavio Galland <octavio.galland@canonical.com>  Fri, 23 May 2025 10:09:19 -0300

apport (2.30.0-0ubuntu4.2) oracular; urgency=medium

  [ Chris Peterson ]
  * d/package-hooks/ubuntu-desktop-bootstrap.py: attach files with root
    and add subiquity traceback, curtin logs, subiquity or system journal,
    hardware information, and check if snap updated (LP: #2098415).
  * d/package-hooks/subiquity.py: fix typo in path to curtin apt
    configuration (LP: #2098423).

  [ Benjamin Drung ]
  * apport-gtk: check for available display on startup (LP: #2006981)
  * python3-apport: Bump python3-problem-report dependency to >= 2.28
    for CompressedFile class (LP: #2100313)
  * test:
    - do not check for exact encoded gzip data (LP: #2076269)
    - depend on apport-gtk for new UI integration test
    - split test_find_package_desktopfile into separate test cases
      and fix test_find_package_desktopfile_multiple
    - autopkgtest: install xterm for test_find_package_desktopfile_multiple

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 27 Feb 2025 13:54:34 +0100

apport (2.30.0-0ubuntu4) oracular; urgency=medium

  * Disable Launchpad crash reports for 24.10 release.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 03 Oct 2024 20:09:04 +0530

apport (2.30.0-0ubuntu3) oracular; urgency=medium

  * package_hook: Handle failures of removed packages (LP: #2078695)
  * apport: Add Teamviewer to report-ignore (LP: #2041830)
  * apport-gtk: Fix TypeError on dialog close (LP: #2080524)
  * Fix hang when cancelling/closing Apport (LP: #1537310)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 02 Oct 2024 10:59:54 +0200

apport (2.30.0-0ubuntu2) oracular; urgency=medium

  * Remove obsolete apport init.d and bash-completion conffiles (LP: #2078634)
  * Remove conffile removals from before Ubuntu 24.04 (noble)
  * Bump Standards-Version to 4.7.0

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Sep 2024 20:02:56 +0200

apport (2.30.0-0ubuntu1) oracular; urgency=medium

  [ Benjamin Drung ]
  * New upstream release:
    - whoopsie-upload-all: exit with 0 if whoopsie is disabled (LP: #2069360)
    - launchpad: don't systematically order retrace on private reports
      (LP: #2068933)
    - recent-syslog: read stdout after process completion (LP: #2073935)
    - Fix apport-retrace system tests on non-amd64 (LP: #2069815)
    - fix race condition in wait_for_gdb_sleeping_child_process (LP: #2073933)
    - fix flaky test_crash_system_slice (LP: #2076186)
  * Depend on gdb-multiarch and python3-psutil for system tests

  [ Chris Peterson ]
  * subiquity: handle missing log for version inspect (LP: #2067775)

  [ Sebastien Bacher ]
  * Fix some issues in the hook for ubuntu-desktop-bootstrap (LP: #2072751)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 09 Aug 2024 16:57:32 +0200

apport (2.29.0-0ubuntu1) oracular; urgency=medium

  [ Benjamin Drung ]
  * New upstream release:
    - Ignore container crash reports from systemd-coredump (LP: #2063349)
    - apport: do not modify permission of existing /var/crash or
      create /var/crash with setgid permission (mode 3777) (LP: #2066995)
    - Fix retracing crashes on Ubuntu 24.04 (noble) (LP: #2067120)
  * ubuntu: fix possibly using dpkg_log_without_error before assignment
  * Drop python3-requests dependency
  * autopkgtest: add chaos-marmosets for system-tests
  * apport.postinst: Create /var/crash with mode 3777 (LP: #2066995)
  * Build-depend on mypy and python3-typeshed for type checking
  * Build-depend on systemd-dev to determine systemd/udev paths

  [ Chris Peterson ]
  * d/package-hooks/subiquity.py: update information collection (LP: #2067775)
    - Add information about snap update/refresh state
    - Attach logs and change key names to align with the information attached
      by subiquity's self-collection
    - Attach hardware information
    - Ensure bug reports are always private since there may be private
      information in the logs
    - Don't require sudo for logs collection
    - Add journal logs
    - Ensure snap revision is included in both deb and snap collection style

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 14 Jun 2024 10:18:31 +0200

apport (2.28.1-0ubuntu4) oracular; urgency=medium

  * Enable Launchpad crash reports for oracular

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 08 May 2024 11:02:33 +0200

apport (2.28.1-0ubuntu3) noble; urgency=medium

  * report: fix determining bug report URL for Thunderbird (LP: #2056758)
  * setup: determine udev directory dynamically
  * Install apport-autoreport units into /usr/lib/systemd/system

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 23 Apr 2024 13:30:10 +0200

apport (2.28.1-0ubuntu2) noble; urgency=medium

  * Drop python3-distutils from autopkgtest dependencies

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 19 Apr 2024 01:50:32 +0200

apport (2.28.1-0ubuntu1) noble; urgency=medium

  [ Benjamin Drung ]
  * New bug-fix upstream release
    - Ignore missing `COREDUMP_FILENAME` (LP: #2058380)
    - fix integration tests for bash >= 5.2.21-2ubuntu2 and coreutils
      >= 9.4-3ubuntu1 (LP: #2054902)
  * Stop shipping debian-installer package hook (LP: #2060581)
  * general-hooks/ubuntu.py: Drop upstart integration
  * apport: Install python3-zstandard when using systemd-coredump (LP: #2061753)
  * Disable Launchpad crash reports for the 24.04 release

  [ Sebastien Bacher ]
  * ubuntu-desktop-installer has been replaced by ubuntu-desktop-bootstrap

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 18 Apr 2024 15:46:28 +0200

apport (2.28.0-0ubuntu1) noble; urgency=medium

  * New upstream release
    - ui: remove skipping crashes that happened during logout (LP: #2043393)
    - setup: set minimum Java release to 8 (LP: #2045705)
    - support systemd-coredump as core dump handler (LP: #2048136)
  * Drop patches that were applied upstream
  * Address pylint complaints in patches and package hooks
  * Replace build dependency pkg-config by pkgconf
  * Suggest python3-zstandard in python3-problem-report for read support

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 22 Feb 2024 15:20:00 +0100

apport (2.27.0-0ubuntu7) noble; urgency=medium

  [ Benjamin Drung ]
  * Rely on pybuild in dh_auto_* targets
  * Introduce the separate apport-core-dump-handler package that registers as
    kernel crash dump handler. This is needed for the upcoming systemd-coredump
    support.
  * Move systemd units from /lib to /usr/lib

  [ Simon Chopin ]
  * Rework apport-retrace to handle unbound crashid (LP: #2051512)
  * fix: use context manager when manipulating GzipFiles (LP: #2051512)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Feb 2024 16:51:44 +0100

apport (2.27.0-0ubuntu6) noble; urgency=medium

  * Move additional package hooks to debian/package-hooks
  * Enable Launchpad crash reports for noble
  * cherry-pick setup patches: replace deprecated distutils by setuptools

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 31 Oct 2023 00:24:35 +0100

apport (2.27.0-0ubuntu5) mantic; urgency=medium

  * d/p/lp2038650: Fix crash reporting when going through the UI (LP: #2038650)

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 09 Oct 2023 15:52:13 +0200

apport (2.27.0-0ubuntu4) mantic; urgency=medium

  * Disable Launchpad crash reports for the 23.10 release

 -- Brian Murray <brian@ubuntu.com>  Mon, 02 Oct 2023 12:56:17 -0700

apport (2.27.0-0ubuntu3) mantic; urgency=medium

  * fix: raise "gdb not found" as soon as detected (LP: #2031919)
  * bash-completion: Do not use ls in completion (LP: #1850804)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 29 Sep 2023 01:03:44 +0200

apport (2.27.0-0ubuntu2) mantic; urgency=medium

  * Run only pylint --errors-only and mypy from tests/run-linters (LP: #2028881)
  * Depend on dictionaries-common for having a dpkg diversion test package
    (LP: #2028879)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 28 Jul 2023 18:59:34 +0200

apport (2.27.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
    - apport-unpack: Catch MalformedProblemReport on extraction (LP: #1997912)
  * Switch running test suite with pytest
  * Apply black changes and pylint fixes to patches

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 24 Jul 2023 20:36:16 +0200

apport (2.26.1-0ubuntu3) mantic; urgency=medium

  * Enable Launchpad crash reports for mantic

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 02 May 2023 14:07:28 +0200

apport (2.26.1-0ubuntu2) lunar; urgency=medium

  * fix(tests): Clear environment for test_run_as_real_user_no_sudo

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 14 Apr 2023 00:17:27 +0200

apport (2.26.1-0ubuntu1) lunar; urgency=medium

  [ Benjamin Drung ]
  * New upstream bug-fix release.
    - SECURITY UPDATE: viewing an apport-cli crash with default pager could
      escalate privilege (LP: #2016023). Do not run sensible-pager as root
      if using sudo/pkexec.
    - Catch HTTPError in UserInterface.file_report (LP: #2008638)
    - Print proper error message if /proc/<pid> is gone (LP: #2008638)
    - Do not drop environment variables when calling GDB (LP: #2012374)
    - Fix parsing options with spaces in sources.list (LP: #1822712)
  * Disable Launchpad crash reports for 23.04 release

  [ Sebastien Bacher ]
  * Let subiquity collect the desktop installer details if available

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Apr 2023 20:17:37 +0200

apport (2.26.0-0ubuntu2) lunar; urgency=medium

  * fix: Mock query to Github in integration test

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 Feb 2023 16:17:43 +0100

apport (2.26.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Depend on python3-requests for GitHub crash DB backend

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 Feb 2023 01:50:21 +0100

apport (2.25.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
    - Add general hook image.py for collecting cloud build info
      (LP: #1724623)
    - Catch UnicodeDecodeError on a malformed problem report (LP: #1996040)
    - Fix TypeError in error(): not enough arguments for format string
      (LP: #1562477)
    - whoopsie-upload-all: Use NoninteractiveHookUI for add_hooks_info
      (LP: #2003098)
    - Use inclusive names. This includes renaming the directory
      /etc/apport/blacklist.d to /etc/apport/report-ignore and
      /etc/apport/whitelist.d to /etc/apport/report-only
  * Drop wine-preloader from Apports report-ignore list
  * Drop unneeded dependency on transitional lsb-base
  * Replace transitional policykit-1 by pkexec and polkitd
  * Bump Standards-Version to 4.6.2
  * Install apport-kde.desktop into apport-kde
  * Use dh_missing --fail-missing
  * Replace lsb_release call by platform.freedesktop_os_release and drop
    lsb-release dependency

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 16 Feb 2023 12:03:57 +0100

apport (2.24.0-0ubuntu2) lunar; urgency=medium

  * Fix test failures with Python 3.11 (PR #57)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Jan 2023 17:34:18 +0100

apport (2.24.0-0ubuntu1) lunar; urgency=medium

  * New upstream bug-fix release.
    - Catch malformed problem reports (LP: #1996040)
    - Catch ValueError: not enough values to unpack (LP: #1995100)
    - Catch FileNotFoundError for missing desktop files (LP: #1997753)
    - Catch binascii.Error: Incorrect padding (LP: #1997912)
    - Catch AttributeError: NoneType object has no attribute origins
      (LP: #1997973)
  * Drop cherry-picked upstream patches
  * oem-getlogs: Use colon instead of a dot for chown command
  * Remove redundant section from apport-noui
  * Clarify that apport-noui is empty
  * Run black, isort, pydocstyle, pylint during package build

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 08 Dec 2022 01:37:20 +0100

apport (2.23.1-0ubuntu5) lunar; urgency=medium

  * Declare python3-apport breaking older apport/apport-gtk/apport-kde
    (LP: #1997759)
  * build: Bump source/target Java version to 7

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 05 Dec 2022 13:22:03 +0100

apport (2.23.1-0ubuntu4) lunar; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for lunar

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 15 Nov 2022 16:31:53 +0100

apport (2.23.1-0ubuntu3) kinetic; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 22.10
    release.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 13 Oct 2022 10:39:02 +0530

apport (2.23.1-0ubuntu2) kinetic; urgency=medium

  * tests: Determine source package dynamically in test_run_crash_kernel
    (LP: #1992172)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 18:24:45 +0200

apport (2.23.1-0ubuntu1) kinetic; urgency=medium

  * New upstream bug-fix release.
    - Disable debuginfod when collecting a report (LP: #1989803)
    - apport-cli: Fix AttributeError: 'bytes' object has no attribute 'fileno'
      (LP: #1991200)
    - apport-bug: Add `/snap/bin` to `PATH` for Firefox snap on Lubuntu
      (LP: #1973470)
  * Drop cherry-picked upstream patches
  * tests: Fix path for installed apport-cli

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Oct 2022 16:25:48 +0200

apport (2.23.0-0ubuntu2) kinetic; urgency=medium

  * tests: Wait for test process to be started (LP: #1989365)
  * tests: Fix psutil.NoSuchProcess in wait_for_gdb_child_process
    (LP: #1989371)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Sep 2022 14:04:42 +0200

apport (2.23.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release:
    - apport-gtk:
      - Gracefully handle import failure of gi (LP: #1980561)
      - Catch AssertionError when importing Gdk (LP: #1980238)
    - data/apport:
      - Fix PermissionError for setuid programs inside container (LP: #1982487)
      - Fix reading from stdin inside containers (LP: #1982555)
    - apport-kde:
      - Fix inverse order of choices (LP: #1967965)
      - Import apport before usage (LP: #1980553)
      - Drop old workaround for bug in SIP destructor (LP: #1980553)
    - apport-unpack: Fix ValueError: ['separator'] has no binary content
      (LP: #1889443)
    - Fix _run_hook getting called with ui=None (LP: #1983481)
  * Refresh patches and drop backported patches
  * Fix pydocstyle and pylint complains in patches

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 22 Aug 2022 22:31:55 +0200

apport (2.22.0-0ubuntu4) kinetic; urgency=medium

  * tests: Use sleep instead of yes for tests
  * apport: Initialize error log as first step
  * Depend on python3-systemd for autopkgtest system-tests

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 07 Jul 2022 20:44:02 +0200

apport (2.22.0-0ubuntu3) kinetic; urgency=medium

  * tests: Fix killing test executable too early (LP: #1980390)
  * tests: Fix test_add_gdb_info_script on armhf
  * autopkgtest: Depend on Ubuntu keyring packages for system tests
  * tests: Fix wrong Ubuntu archive URI on ports
  * tests: Fix KeyError in test_install_packages_unversioned
  * Fix trying to find debug packages for non-existing version
  * tests: Upgrade APT tests to use Ubuntu 22.04 (jammy)
  * tests: Fix IndexError in test_crash_setuid_drop
  * tests: Print Apport log if no report is found

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 06 Jul 2022 16:56:52 +0200

apport (2.22.0-0ubuntu2) kinetic; urgency=medium

  * apport-gtk: Fix importing the wrong Gdk version

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 28 Jun 2022 13:41:05 +0200

apport (2.22.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release:
    - Replace `ProblemReport.get_date` by `ProblemReport.get_timestamp`, fixes
      regression in 2.21.0 (LP: #1978487)
    - apport-gtk: Exclude trailing dot from URL links (LP: #1978301)
    - Fix `AttributeError`: 'NoneType' object has no attribute 'write', fixes
      regression in 2.21.0 (LP: #1979211)
    - apport_python_hook: Properly handle missing modules (LP: #1774843)
    - apport_python_hook: Fix FileNotFoundError if the current directory was
      deleted (LP: #1979637)
    - apport_python_hook: Fix crash if os.getcwd() fails (LP: #1977954)
    - Replace deprecated 'imp' module (LP: #1947425)
    - whoopsie-upload-all: Fix 'EOFError' object has no attribute 'errno',
      fixes regression in 2.21.0 (LP: #1979681)
  * Fix KeyError: 'CasperMD5json'

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 27 Jun 2022 12:03:00 +0200

apport (2.21.0-0ubuntu2) kinetic; urgency=medium

  * tests: Use unlimited core ulimit for SIGQUIT test
  * data/apport: Fix log file writing if chown/chmod fails

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 10 Jun 2022 15:39:32 +0200

apport (2.21.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
    - data/apport: Limit memory and duration of gdbus call. (CVE-2022-28654,
      CVE-2022-28656)
    - data/apport, apport/fileutils.py, test/test_fileutils.py: Validate
      D-Bus socket location. (CVE-2022-28655)
    - apport/fileutils.py, test/test_fileutils.py: Turn off interpolation
      in get_config() to prevent DoS attacks. (CVE-2022-28652)
    - Switch from chroot to container to validating socket owner.
      (CVE-2022-1242, CVE-2022-28657)
    - data/apport, etc/init.d/apport: Switch to using non-positional
      arguments. Get real UID and GID from the kernel and make sure they
      match the process. Also fix executable name space handling in
      argument parsing. (CVE-2022-28658, CVE-2021-3899)
    - Grab a slice of JournalErrors around the crash time (LP: #1962454)
  * Switch to dpkg-source format 3.0 (quilt)
  * Run unit and integration tests during package build
  * Update autopkgtest (unit/integration and systems tests)
  * Switch to debhelper 13
  * Let apport depend on sensible-utils for sensible-pager
  * Drop ancient X-Python3-Version
  * Drop support for pre-cosmic upgrades
  * Bump Standards-Version to 4.6.1
  * Update debian/copyright
  * Point Vcs-* URIs to git
  * crashdb.conf: Enable Launchpad crash reports for kinetic
  * Add upstream metadata

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 10 Jun 2022 11:37:56 +0200

apport (2.20.11-0ubuntu82) jammy; urgency=medium

  * whoopsie-upload-all:
    - Catch zlib.error when decoding CoreDump from crash file (LP: #1947800)
    - Catch FileNotFoundError during process_report (LP: #1867204)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 13 Apr 2022 22:20:41 +0200

apport (2.20.11-0ubuntu81) jammy; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 22.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Tue, 12 Apr 2022 09:58:15 -0700

apport (2.20.11-0ubuntu80) jammy; urgency=medium

  * kde/apport-kde: Ensure we are passing integers to setGeometry
    (LP: #1965830)

 -- Brian Murray <brian@ubuntu.com>  Mon, 28 Mar 2022 12:34:10 -0700

apport (2.20.11-0ubuntu79) jammy; urgency=medium

  * kde/apport-kde: when displaying a progress dialog ensure that we are using
    an integer. (LP: #1964405)

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Mar 2022 10:41:47 -0800

apport (2.20.11-0ubuntu78) jammy; urgency=medium

  [ Olivier Gayot ]
  * Expect whoopsie to be started using path-based activation.
  * Pass timeout option to apport-autoreport so that whoopsie has time to
    upload all reports.
  * Use timer-based activation for apport-autoreport in addition to path-based
    activation (on modification of /var/crash).
  * Some code cleanup in data/whoopsie-upload-all.
  * Use unbuffered logging in data/whoopsie-upload-all.
  * Touch the /var/crash directory in data/whoopsie-upload-all so that
    whoopsie activates when needed.
  * Stop removing .crash files after they are successfully uploaded by
    whoopsie.

  [ Brian Murray ]
  * When collecting information about a snap gather some additional details,
    thanks to Olivier Tilloy for the idea. (LP: #1960964)
  * Update the recommended version of whoopsie for apport-noui.

 -- Brian Murray <brian@ubuntu.com>  Tue, 22 Feb 2022 17:13:48 -0800

apport (2.20.11-0ubuntu77) jammy; urgency=medium

  * apport/ui.py: Error out when -w option is used on wayland (LP: #1952947).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 15 Feb 2022 10:10:59 -0500

apport (2.20.11-0ubuntu76) jammy; urgency=medium

  * data/package-hooks/ubuntu-desktop-installer.py: Add in a new package hook
    which allows one to report bugs about the ubuntu-desktop-installer to the
    appropriate project. Thanks to Sebastien Bacher for this hook.
  * test/test_crashdb.py: convert the number to an integer before the truncate
    call.
  * test/test_backend_apt_dpkg.py: switch to using apt-helper instead of
    apt-key to import the ddebs and ports.ubuntu.com keys.

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Jan 2022 09:58:45 -0800

apport (2.20.11-0ubuntu75) jammy; urgency=medium

  * bin/apport-retrace: For releases which gdb doesn't search in the
    debug-file-directory for .gnu_debugaltlink create a symlink from the
    host's .dwz to the machine specific one to work around the issue.
    (LP: #1818918)

 -- Brian Murray <brian@ubuntu.com>  Mon, 13 Dec 2021 20:17:57 -0800

apport (2.20.11-0ubuntu74) jammy; urgency=medium

  [ Sebastien Bacher ]
  * apport/ui.py: preserve XDG_DATA_DIRS for system reports, it's necessary
    to be able to find a webbrowser installed from a snap like firefox.
    (LP: #1951214)

 -- Brian Murray <brian@ubuntu.com>  Wed, 01 Dec 2021 14:12:32 -0800

apport (2.20.11-0ubuntu73) jammy; urgency=medium

  * test/test_report.py: the abort tests are failing again as the backtrace
    didn't have a program counter value in frame 1 or 2 so also check frame 3.

 -- Brian Murray <brian@ubuntu.com>  Mon, 01 Nov 2021 11:13:17 -0700

apport (2.20.11-0ubuntu72) jammy; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for jammy.

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Oct 2021 05:35:34 -0700

apport (2.20.11-0ubuntu71) impish-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via core files
    - refactor privilege dropping and create core files in a well-known
      directory in apport/fileutils.py, apport/report.py, data/apport,
      test/test_fileutils.py, test/test_report.py,
      test/test_signal_crashes.py, test/test_ui.py.
    - use systemd-tmpfiles to create and manage the well-known core file
      directory in setup.py, data/systemd/apport.conf,
      debian/apport.install.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 18 Oct 2021 07:48:31 -0400

apport (2.20.11-0ubuntu70) impish; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 21.10
    release.
  * debian/tests/upstream-system: Set /proc/sys/kernel/core_uses_pid to 0 as
    that's the easiest way to fix tests that expect the core file to be named
    core and not core.PID

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 Oct 2021 19:47:24 -0700

apport (2.20.11-0ubuntu69) impish; urgency=medium

  * SECURITY UPDATE: Arbitrary file read (LP: #1934308)
    - data/general-hooks/ubuntu.py: don't attempt to include emacs
      byte-compilation logs, they haven't been generated by the emacs
      packages in a long time.
    - CVE-2021-3709
  * SECURITY UPDATE: Info disclosure via path traversal (LP: #1933832)
    - apport/hookutils.py, test/test_hookutils.py: detect path traversal
      attacks, and directory symlinks.
    - CVE-2021-3710

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Aug 2021 10:55:40 -0400

apport (2.20.11-0ubuntu68) impish; urgency=medium

  * data/package-hooks/source_ubiquity.py: confirm that the key exists in the
    report before trying to manipulate it. (LP: #1929292)
  * backends/packaging-apt-dpkg.py: check to see if there is a different
    package which provides the dependency.
  * test/test_report.py: with glibc 2.34 abort tests started failing as the
    backtrace didn't have a program counter value in frame 1 so check frame 1
    or frame 2.

 -- Brian Murray <brian@ubuntu.com>  Thu, 19 Aug 2021 16:32:29 -0700

apport (2.20.11-0ubuntu67) impish; urgency=medium

  * SECURITY UPDATE: Multiple arbitrary file reads (LP: #1917904)
    - apport/hookutils.py: don't follow symlinks and make sure the file
      isn't a FIFO in read_file().
    - test/test_hookutils.py: added symlink tests.
    - CVE-2021-32547, CVE-2021-32548, CVE-2021-32549, CVE-2021-32550,
      CVE-2021-32551, CVE-2021-32552, CVE-2021-32553, CVE-2021-32554,
      CVE-2021-32555
  * SECURITY UPDATE: info disclosure via modified config files spoofing
    (LP: #1917904)
    - backends/packaging-apt-dpkg.py: properly terminate arguments in
      get_modified_conffiles.
    - CVE-2021-32556
  * SECURITY UPDATE: arbitrary file write (LP: #1917904)
    - data/whoopsie-upload-all: don't follow symlinks and make sure the
      file isn't a FIFO in process_report().
    - CVE-2021-32557

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 May 2021 09:15:10 -0400

apport (2.20.11-0ubuntu66) impish; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for impish.

 -- Brian Murray <brian@ubuntu.com>  Fri, 07 May 2021 15:39:35 -0700

apport (2.20.11-0ubuntu65) hirsute; urgency=medium

  * test/test_backend_apt_dpkg.py: libc6 recommends packages, some of which
    are not installed on buildds now, so switch to testing libc-bin which only
    has dependencies and is what the test is supposed to test.

 -- Brian Murray <brian@ubuntu.com>  Wed, 14 Apr 2021 13:52:22 -0700

apport (2.20.11-0ubuntu64) hirsute; urgency=medium

  * apport/hookutils.py: Do not crash when deleting CasperMD5json from the
    report. (LP: #1923541)

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Apr 2021 07:25:43 -0700

apport (2.20.11-0ubuntu63) hirsute; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 21.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Apr 2021 10:34:56 -0700

apport (2.20.11-0ubuntu62) hirsute; urgency=medium

  * apport/hookutils.py: spawn pkttyagent so that log files can be gathered as
    root in a non-graphical environment (LP: #1821415). Thanks to Iain Lane
    for the patch.
  * apport/hookutils.py: root access is needed to read the
    casper-md5check.json file so switch to using that. (LP: #1922937)
  * data/general-hooks/ubuntu.py: improving tagging of bugs from images we
    create so that they are tagged $arch-image and better identify Raspberry
    Pi devices (LP: #1920837). Thanks to Dave Jones for the patch.

 -- Brian Murray <brian@ubuntu.com>  Wed, 07 Apr 2021 13:14:04 -0700

apport (2.20.11-0ubuntu61) hirsute; urgency=medium

  * apport/hookutils.py: when creating KernLog with MAC information use
    root_command_output with dmesg. Missed when fixing LP #1896095.
  * data/general-hooks/ubuntu.py: tag bugs from Raspberry Pi images and RISCV
    images appropriately. (LP: #1920837)

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Mar 2021 08:07:43 -0700

apport (2.20.11-0ubuntu60) hirsute; urgency=medium

  * Drop dh-systemd build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2021 16:45:45 +0100

apport (2.20.11-0ubuntu59) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:09:46 +0000

apport (2.20.11-0ubuntu58) hirsute; urgency=medium

  [ Shivaram Lingamneni ]
  * Remove dependency on python3-requests thereby reducing memory usage of
    apport.

 -- Brian Murray <brian@ubuntu.com>  Mon, 15 Feb 2021 09:39:13 -0800

apport (2.20.11-0ubuntu57) hirsute; urgency=medium

  * SECURITY UPDATE: multiple security issues (LP: #1912326)
    - CVE-2021-25682: error parsing /proc/pid/status
    - CVE-2021-25683: error parsing /proc/pid/stat
    - CVE-2021-25684: stuck reading fifo
    - data/apport: make sure existing report is a regular file.
    - apport/fileutils.py: move some logic here to skip over manipulated
      process names and filenames.
    - test/test_fileutils.py: added some parsing tests.

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Feb 2021 12:42:44 -0800

apport (2.20.11-0ubuntu56) hirsute; urgency=medium

  * test/test_backend_apt_dpkg.py: switch to using packages from the
    apport-hackers PPA which are less likely to be deleted by random house
    keeping.
  * apport/hookutils.py: change the default value of CasperMD5CheckResult to
    unknown as that more accurately reflects the case where the file does not
    exist. Thanks to Walter Lapchynski for the fix.

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Jan 2021 15:34:23 -0800

apport (2.20.11-0ubuntu55) hirsute; urgency=medium

  * data/apport: only drop supplemental groups if the user is root.

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Dec 2020 14:40:29 -0800

apport (2.20.11-0ubuntu54) hirsute; urgency=medium

  * Fix for Python 3.9.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Nov 2020 17:18:23 +0100

apport (2.20.11-0ubuntu53) hirsute; urgency=medium

  * Various security hardening fixes (LP: #1903332)
    - apport/fileutils.py: drop privileges in the correct order, limit
      settings file size.
    - apport/apport/report.py: properly drop privileges, limit ignore file
      size.
    - data/apport: drop supplemental groups.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Nov 2020 09:41:34 -0500

apport (2.20.11-0ubuntu52) hirsute; urgency=medium

  * apport/report.py, test/test_report.py, test/test_ui.py,
    test/test_ui_gtk.py: handle the fact that gdb now returns a different
    error message for truncated core files and patch out add_gdb_info from a
    bunch of tests which don't need to run it.

 -- Brian Murray <brian@ubuntu.com>  Tue, 10 Nov 2020 12:46:41 -0800

apport (2.20.11-0ubuntu51) hirsute; urgency=medium

  * data/apport: Modify the check for whether or not a process is running in
    the same namespace so that crashes from processes running protected in the
    system.slice are considered as being from the same namespace. (LP: #1870060)
  * etc/apport/crashdb.conf: Enable Launchpad crash reports for 21.04.

 -- Brian Murray <brian@ubuntu.com>  Wed, 04 Nov 2020 13:40:41 -0800

apport (2.20.11-0ubuntu50) groovy; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 20.10
    release.
  * data/apport: In the event that the crashing executable does not exist on
    disk any more the path name of the executable (passed by core) is appended
    with '(deleted)' because apport is currently using sys.argv for argument
    parsing there end up being too many arguments and apport crashes. This is
    fixed by adding handling for six arguments. (LP: #1899195)

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Oct 2020 13:44:05 -0700

apport (2.20.11-0ubuntu49) groovy; urgency=medium

  * data/whoopsie-upload-all: Handle the case where the .crash file is newer
    than the .uploaded file by removing the .uploaded and .upload files
    thereby causing the crash to get submitted. (LP: #1891657)

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Oct 2020 15:41:28 -0700

apport (2.20.11-0ubuntu48) groovy; urgency=medium

  * data/whoopsie-upload-all: When processing reports if a .crash file already
    has a corresponding .uploaded file which is newer than the .crash file
    remove the .crash file. This reduces the number of times the
    apport-autoreport.service runs. (LP: #1891657)

 -- Brian Murray <brian@ubuntu.com>  Fri, 25 Sep 2020 14:49:27 -0700

apport (2.20.11-0ubuntu47) groovy; urgency=medium

  [ Tiago Stürmer Daitx ]
  * apport/ui.py: improve message when origin check fails as it can be
    caused by empty apt list - candidate is limited to dpkg and we can't
    tell where it came from. (LP: #1775219)

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Sep 2020 15:02:17 -0700

apport (2.20.11-0ubuntu46) groovy; urgency=medium

  [ Brian Murray ]
  * apport/hookutils.py: call dump_acpi_tables.py with root_command_output
    thereby avoiding a PermissionError.
  * data/dump_acpi_tables.py: If the user cannot read the acpi tables don't
    try and print them. (LP: #1895865)
  * apport/hookutils.py: use root_command_output to gather dmesg rather than
    failing to include it. (LP: #1896095)

  [ YC Cheng ]
  * bin/oem-getlogs: add ucm2 directory. Per Hui Wang, ucm3 also
    use ucm2 directory.  (LP: #1893899)
  * apport/hookutils.py: add new pa-info command in pulseaudio
    pre requested by Hui Wang. (LP: #1893899)

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Sep 2020 10:19:02 -0700

apport (2.20.11-0ubuntu45) groovy; urgency=medium

  [ YC Cheng ]
  * apport/hookutils.py: add acpidump using built-in dump_acpi_tables.py.
    (LP: #1888352)
  * bin/oem-getlogs: add "-E" in the usage, since we'd like to talk to
    pulseaudio session and that need environment infomation. Also remove
    acpidump since we will use the one from hook.

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: Check for /var/run/reboot-required.pkgs and
    add it to the report as RebootRequiredPkgs.

 -- Brian Murray <brian@ubuntu.com>  Wed, 26 Aug 2020 15:57:02 -0700

apport (2.20.11-0ubuntu44) groovy; urgency=medium

  * SECURITY UPDATE: information disclosure issue (LP: #1885633)
    - data/apport: also drop gid when checking if user session is closing.
    - CVE-2020-11936
  * SECURITY UPDATE: crash via malformed ignore file (LP: #1877023)
    - apport/report.py: don't crash on malformed mtime values.
    - CVE-2020-15701
  * SECURITY UPDATE: TOCTOU in core file location
    - data/apport: make sure the process hasn't been replaced after Apport
      has started.
    - CVE-2020-15702
  * apport/ui.py, test/test_ui.py: make sure a PID is specified when using
    --hanging (LP: #1876659)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jul 2020 09:10:30 -0400

apport (2.20.11-0ubuntu43) groovy; urgency=medium

  * d/control: Offer real package alternatives along with x-terminal-server
    for apport-gtk and apport-kde (LP: #1881976).

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Thu, 23 Jul 2020 08:52:46 +0200

apport (2.20.11-0ubuntu42) groovy; urgency=medium

  * Fix pep8 errors regarding ambiguous variables.

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Jun 2020 09:15:51 -0700

apport (2.20.11-0ubuntu41) groovy; urgency=medium

  [ Daniel Watkins ]
  * apport/crashdb_impl/launchpad.py: ensure that project will always be set
    in get_comment_url. (LP: #1884221)

  [ Brian Murray ]
  * data/dump_acpi_tables.py: update the output thanks to Alex Hung for the
    patch. (LP: #1883027)

 -- Brian Murray <brian@ubuntu.com>  Tue, 23 Jun 2020 16:02:46 -0700

apport (2.20.11-0ubuntu40) groovy; urgency=medium

  * Build-depend on python3-requests-unixsocket.

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 Jun 2020 12:30:43 -0700

apport (2.20.11-0ubuntu39) groovy; urgency=medium

  * Add functionality to apport so that ubuntu-bug can be used to report a bug
    about a snap using information from the snap's contact field. Thanks to
    Lukas Märdian for the patch. (LP: #1861082)

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 Jun 2020 11:25:22 -0700

apport (2.20.11-0ubuntu38) groovy; urgency=medium

  * apport/report.py: If the user is not a part of any system groups then
    set UserGroups to 'N/A'. (LP: #1427600)

 -- Brian Murray <brian@ubuntu.com>  Wed, 03 Jun 2020 15:32:17 -0700

apport (2.20.11-0ubuntu37) groovy; urgency=medium

  * apport/report.py: If the user is not a part of any system groups then
    set UserGroups to an empty string. (LP: #1427600)

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Jun 2020 10:19:45 -0700

apport (2.20.11-0ubuntu36) groovy; urgency=medium

  * Build-depend on pyflakes3, not obsolete pyflakes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2020 08:18:11 -0700

apport (2.20.11-0ubuntu35) groovy; urgency=medium

  * kde/apport-kde: Stop showing 'text' instead of a useful string. Thanks to
    Launchpad user Niklas Sombert for the patch. (LP: #1879150)

 -- Brian Murray <brian@ubuntu.com>  Mon, 18 May 2020 10:28:25 -0700

apport (2.20.11-0ubuntu34) groovy; urgency=medium

  * apport_python_hook.py: if python apt modules are not built for the python
    version then do capture the crash. (LP: #1774843)

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 May 2020 16:17:11 -0700

apport (2.20.11-0ubuntu33) groovy; urgency=medium

  [ Olivier Tilloy ]
  * gtk/apport-gtk: upgrade regular expression used to match URLs in free text
    (LP: #1871185)

 -- Brian Murray <brian@ubuntu.com>  Thu, 07 May 2020 14:54:20 -0700

apport (2.20.11-0ubuntu32) groovy; urgency=medium

  * debian/apport.install: Add in a source package hook for linux-meta-raspi
    which provides linux-raspi and linux-raspi2. (LP: #1876952)

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 May 2020 09:29:28 -0700

apport (2.20.11-0ubuntu31) groovy; urgency=medium

  * data/general-hooks/ubuntu.py: collect ImageMediaBuild information which
    exists on preinstalled RPi images. (LP: #1876945)

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 May 2020 08:37:39 -0700

apport (2.20.11-0ubuntu30) groovy; urgency=medium

  * Add in a source package hook symlink for linux-firmware. (LP: #1872059)

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 May 2020 08:11:39 -0700

apport (2.20.11-0ubuntu29) groovy; urgency=medium

  * debian/apport.install: remove linux 5.4 versioned package hooks.
  * debian/apport.install: add linux-raspi, linux-raspi2 package hooks.
  * etc/apport/crashdb.conf: Enable Launchpad crash reports for 20.10
    release.

 -- Brian Murray <brian@ubuntu.com>  Mon, 04 May 2020 16:25:15 -0700

apport (2.20.11-0ubuntu28) groovy; urgency=medium

  * Point Vcs-Bzr to groovy branch
  * debian/tests/control: Depend on python3-twisted, not python-twisted-core

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 26 Apr 2020 14:02:39 +0200

apport (2.20.11-0ubuntu27) focal; urgency=medium

  * backends/packaging-apt-dpkg.py, apport/sandboxutils.py: Add modifications
    to the retracing process to resolve failures to retrace due to user merge
    changes.
  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 20.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Apr 2020 17:01:49 -0700

apport (2.20.11-0ubuntu26) focal; urgency=medium

  * apport/hookutils.py, data/general-hooks/ubuntu.py: Add in a hook which
    will add the results of the casper-md5check to all bug reports.
    (LP: #1870408)

 -- Brian Murray <brian@ubuntu.com>  Wed, 08 Apr 2020 15:46:56 -0700

apport (2.20.11-0ubuntu25) focal; urgency=medium

  [ Brian Murray ]
  * apport/hookutils.py: Add in "lspci -vt" output for the HWE team.

  [ Dimitri John Ledkov ]
  * data/general-hooks/powerpc.py: Hande reports without a package, such
    as against subiquity snap, otherwise the hook crashes subiquity, which
    is trying to generate a crash report. LP: #1871434
  * data/package-hooks/subiquity.py: Fix typpo in subiquity hook, readline
    from fp, not from filename.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 07 Apr 2020 20:04:10 +0100

apport (2.20.11-0ubuntu24) focal; urgency=medium

  * bin/apport-unpack: Handle gzip'ed files, thanks to Yuan-Chen Cheng for the
    patch. (LP: #1859581)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Apr 2020 10:38:06 -0700

apport (2.20.11-0ubuntu23) focal; urgency=medium

  * With Michael Hudson-Doyle add a package hook to allow subiquity problems
    to be reported from the installed system and about the subuquity project.

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Apr 2020 09:33:54 -0700

apport (2.20.11-0ubuntu22) focal; urgency=medium

  * SECURITY UPDATE: World writable root owned lock file created in user
    controllable location (LP: #1862348)
    - data/apport: Change location of lock file to be directly under
      /var/run so that regular users can not directly access it or perform
      symlink attacks.
    - CVE-2020-8831
  * SECURITY UPDATE: Race condition between report creation and ownership
    (LP: #1862933)
    - data/apport: When setting owner of report file use a file-descriptor
      to the report file instead of its path name to ensure that users can
      not cause Apport to change the ownership of other files via a
      symlink attack.
    - CVE-2020-8833
 -- Alex Murray <alex.murray@canonical.com>  Wed, 25 Mar 2020 11:28:58 +1030

apport (2.20.11-0ubuntu21) focal; urgency=medium

  [ Brian Murray ]
  * backends/packaging-apt-dpkg.py: allow mirrors which are accessed via https
    in sources.list. Thanks to Launchpad user Esokrates for the fix.
    (LP: #1866996)
  * backends/packaging-apt-dpkg.py: when downloading packages from Launchpad
    do not require them to be authenticated.
  * test/test_backend_apt_dpkg.py: Fix check for connectivity and modify
    install from PPA test for a change in the PPA being tested.

  [ Matthieu Clemenceau ]
  * test/test_ui.py: Removed linux package version to fix autopkgtest with
    focal. Changed linux-5.4 and linux-signed-5.4 to linux and linux-signed

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Mar 2020 15:46:30 -0700

apport (2.20.11-0ubuntu20) focal; urgency=medium

  * test/test_report.py: resolve test failure with new glibc output.

 -- Brian Murray <brian@ubuntu.com>  Tue, 10 Mar 2020 08:41:28 -0700

apport (2.20.11-0ubuntu19) focal; urgency=medium

  * apport/report.py: do not return a duplicate signature when we are unable
    to access ProcMaps as that is necessary to create one. (LP: #1866347)
  * apport/ui.py: Always allow users to use ubuntu-bug or apport-collect
    regardless of the Problem Reporting setting as they are manually invoked
    and not automatically generated like a crash report. (LP: #1814611)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Mar 2020 15:18:42 -0700

apport (2.20.11-0ubuntu18) focal; urgency=medium

  * data/whoopsie-upload-all: append to the crash report using fdopen and open
    from os to cope with protected_regular being set to 1. (LP: #1848064)

 -- Brian Murray <brian@ubuntu.com>  Sat, 22 Feb 2020 06:56:37 -0800

apport (2.20.11-0ubuntu17) focal; urgency=medium

  [ Brian Murray ]
  * Add in a source package hook symlinks for linux-signed-5.4,
    linux-signed-oem-5.4, linux-oem-5.4, and linux-5.4. (LP: #1861446)
  * Remove obsolete package hook for Nexus 7 devices.

  [ Tiago Stürmer Daitx ]
  * Fix Python 2/3 support. (LP: #1853383)

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Feb 2020 13:16:54 -0800

apport (2.20.11-0ubuntu16) focal; urgency=medium

  * SECURITY REGRESSION: 'module' object has no attribute 'O_PATH'
    (LP: #1851806)
    - apport/report.py, apport/ui.py: use file descriptors for /proc/pid
      directory access only when running under python 3; prevent reading /proc
      maps under python 2 as it does not provide a secure way to do so; use
      io.open for better compatibility between python 2 and 3.
  * data/apport: fix number of arguments passed through socks into a container.
  * test/test_report.py: test login session with both pid and proc_pid_fd.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 06 Jan 2020 13:28:40 +0000

apport (2.20.11-0ubuntu15) focal; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for focal.

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Dec 2019 10:35:17 -0800

apport (2.20.11-0ubuntu14) focal; urgency=medium

  * apport/report.py, test/test_report.py: handle the fact that gdb now
    returns a different error message for truncated core files in some cases.
  * bin/oem-getlogs: add in script for getting hardware enablement related
    logs. Thanks to Yuan-Chen Cheng for the code. (LP: #1841157)
  * apport/hookutils.py: also gather lsusb -v and lsusb -t. Thanks to
    Yuan-Chen Cheng for the patch.
  * bin/oem-getlogs: Various pep8 / pyflakes fixes.

 -- Brian Murray <brian@ubuntu.com>  Fri, 13 Dec 2019 08:41:58 -0800

apport (2.20.11-0ubuntu13) focal; urgency=medium

  [ Brian Murray ]
  * Create additional symlinks to the source_linux.py apport package hook for
    many OEM kernels. Thanks to You-Sheng Yang for the patch. (LP: #1847967)

  [ Michael Hudson-Doyle ]
  * Fix autopkgtest failures since recent security update: (LP: #1854237)
    - Fix regression in creating report for crashing setuid process by getting
      kernel to tell us the executable path rather than reading
      /proc/[pid]/exe.
    - Fix deletion of partially written core files.
    - Fix test_get_logind_session to use new API.
    - Restore add_proc_info raising ValueError for a dead process.
    - Delete test_lock_symlink, no longer applicable now that the lock is
      created in a directory only root can write to.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 06 Dec 2019 08:57:09 +1300

apport (2.20.11-0ubuntu12) focal; urgency=medium

  [ Steve Langasek ]
  * Drop python2 bindings.

  [ Tiago Stürmer Daitx ]
  * debian/control: point VCS to focal repository.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 03 Dec 2019 10:46:40 -0800

apport (2.20.11-0ubuntu11) focal; urgency=medium

  * SECURITY REGRESSION: missing argument in Report.add_proc_environ
    call (LP: #1850929)
    - apport/report.py: call add_proc_environ using named arguments
      and move proc_pid_dir keyword to last to keep api compatibility.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 05 Nov 2019 02:49:27 +0000

apport (2.20.11-0ubuntu10) focal; urgency=medium

  * SECURITY UPDATE: apport reads arbitrary files if ~/.config/apport/settings
    is a symlink (LP: #1830862)
    - apport/fileutils.py: drop permissions before reading user settings file.
    - CVE-2019-11481
  * SECURITY UPDATE: TOCTTOU race conditions and following symbolic
    links when creating a core file (LP: #1839413)
    - data/apport: use file descriptor to reference to cwd instead
      of strings.
    - CVE-2019-11482
  * SECURITY UPDATE: fully user controllable lock file due to lock file
    being located in world-writable directory (LP: #1839415)
    - data/apport: create and use lock file from /var/lock/apport.
    - CVE-2019-11485
  * SECURITY UPDATE: per-process user controllable Apport socket file
    (LP: #1839420)
    - data/apport: forward crashes only under a valid uid and gid,
      thanks Stéphane Graber for the patch.
    - CVE-2019-11483
  * SECURITY UPDATE: PID recycling enables an unprivileged user to
    generate and read a crash report for a privileged process (LP: #1839795)
    - data/apport: drop permissions before adding proc info (special thanks
      to Kevin Backhouse for the patch)
    - data/apport, apport/report.py, apport/ui.py: only access or open
      /proc/[pid] through a file descriptor for that directory.
    - CVE-2019-15790

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 29 Oct 2019 05:23:08 +0000

apport (2.20.11-0ubuntu9) focal; urgency=medium

  * Use an SRU-safe substring when checking for the available version of
    aspell-doc in xenial, since aspell *did* have an SRU.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Oct 2019 14:07:14 -0700

apport (2.20.11-0ubuntu8) eoan; urgency=medium

  * Removed general hook which would gather information about click packages.
  * data/package-hooks/source_ubiquity: pass on a KeyError when adding
    installation logs.
  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 19.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Wed, 09 Oct 2019 14:23:27 -0700

apport (2.20.11-0ubuntu7) eoan; urgency=medium

  * Resolve pycodestyle issues.

 -- Brian Murray <brian@ubuntu.com>  Mon, 22 Jul 2019 14:23:42 -0700

apport (2.20.11-0ubuntu6) eoan; urgency=medium

  * apport/ui.py: When saving a report for later processing if the filename
    to save it to ends with .gz then gzip the report file. Thanks to Yuan-Chen
    Cheng for the patch. (LP: #1837174)

 -- Brian Murray <brian@ubuntu.com>  Mon, 22 Jul 2019 12:20:34 -0700

apport (2.20.11-0ubuntu5) eoan; urgency=medium

  * SECURITY UPDATE: TOCTOU issue allows local user to read arbitrary
    files (LP: #1830858)
    - apport/report.py: Avoid TOCTOU issue on users ignore file by
      dropping privileges and then opening the file both test for access and
      open the file in a single operation, instead of using access() before
      reading the file which could be abused by a symlink to cause Apport to
      read and embed an arbitrary file in the resulting crash dump.
    - CVE-2019-7307
  * data/general-hooks/ubuntu.py: system-image-cli is no longer included in
    Ubuntu and we do not need SystemImageInfo any more.

 -- Brian Murray <brian@ubuntu.com>  Tue, 09 Jul 2019 12:33:44 -0700

apport (2.20.11-0ubuntu3) eoan; urgency=medium

  * test/test_backend_apt_dpkg.py: Now that there are per architecture cache
    files we need to make all of them outdated rather than just the first one.
    (LP: #1832120)

 -- Brian Murray <brian@ubuntu.com>  Mon, 10 Jun 2019 16:02:32 -0700

apport (2.20.11-0ubuntu2) eoan; urgency=medium

  * test/test_backend_apt_dpkg.py: as of r3211 an error is not raised if the
    binary is not found. Cherry picked from upstream r3248.
  * backends/packaging-apt-dpkg.py: writing the contents mapping pickle file
    can Traceback on systems with little memory so don't write it. Cherry
    picked from upstream r3250.
  * test/test_apport_valgrind.py: skip test_sandbox_cache_options if system
    has little memory.

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 May 2019 18:39:46 -0700

apport (2.20.11-0ubuntu1) eoan; urgency=medium

  * New upstream release:
    - problem_report.py: Decrease zlib compression level from 9 to 6.  After a
      crash, this reduces the time Apport spends compressing the core dump by
      an order of magnitude. Thanks to Anders Kaseorg for the analysis and
      initial patch. (LP: #1537635)
    - backends/packaging-apt-dpkg.py: utilize a global mapping of files to
      packages instead of searching a Contents.gz file multiple times,
      additionally write this mapping to disk so subsequent lookups and
      retraces are quicker. (LP: #1370230)
    - test/test_report.py: add some tests for additional errors with core
      files.
  * debian/control: move python3-launchpadlib from a Suggests to a Depends as
    python3-launchpadlib which was missed some time ago. (LP: #1824002)
  * debian/control: Update VCS attribute.
  * etc/apport/crashdb.conf: Enable Launchpad crash reports for eoan.
  * Incorporate unreleased changes from upstream apport version 2.20.12:
    - backends/packaging-apt-dpkg.py: Utilize a release and architecture
      specific contents mapping.
    - test/test_backend_apt_dpkg.py: Update the test as we are using a
      contents mapping.
    - test/test_report.py: remove unused import of gzip.

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 May 2019 10:51:14 -0700

apport (2.20.10-0ubuntu27) disco; urgency=medium

  * data/whoopsie-upload-all: confirm the exception has an errno before using
    it in a comparison. (LP: #1824152)

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Apr 2019 09:52:07 -0700

apport (2.20.10-0ubuntu26) disco; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 19.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Mon, 08 Apr 2019 14:59:46 -0700

apport (2.20.10-0ubuntu25) disco; urgency=medium

  * test/test_report.py: update test_add_proc_info for function raising a
    ValueError.

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Apr 2019 10:18:25 -0700

apport (2.20.10-0ubuntu24) disco; urgency=medium

  * debian/control: apport-gtk should depend on whoopsie-preferences as that
    is needed to store preferences for reporting crashes. (LP: #1809247)
  * apport/report.py, apport/ui.py: raise ValueError if the pid is not
    accessible, display an error message for that or an invalid pid. (LP: #1396160)
  * switch from pyflakes to pyflakes3, drop some python2 code
  * apport/report.py: Have add_gdb_info return a FileNotFoundError if gdb or
    the crashing executable are not found and modify whoopsie-upload-all to
    upload crashes in that situation. (LP: #1820132)
  * debian/control, apport/hookutils.py: pkexec does not work in non-graphical
    environments yet (LP #1821415) and its providing package should only be
    a suggests because gathering of information as root isn't entirely
    necessary for a bug report.

 -- Brian Murray <brian@ubuntu.com>  Mon, 01 Apr 2019 16:05:25 -0700

apport (2.20.10-0ubuntu23) disco; urgency=medium

  * Fix python coding style issue introduced in previous upload.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 05 Mar 2019 10:35:17 +0100

apport (2.20.10-0ubuntu22) disco; urgency=medium

  * Introduce support for non-positional arguments (LP: #1732962)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 04 Mar 2019 17:48:00 +0100

apport (2.20.10-0ubuntu21) disco; urgency=medium

  [ Matthias Klose ]
  * Avoid deprecation warnings.
  * Fix VCS attribute in the control file.

  [ Steve Langasek ]
  * End our gdb batch script with a separator, to accomodate new exit codes
    from gdb 8.2.50.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Feb 2019 21:26:00 -0800

apport (2.20.10-0ubuntu20) disco; urgency=medium

  * apport/ui.py: if report.get_timestamp() returns None don't try and use it
    in a comparison. (LP: #1658188)

 -- Brian Murray <brian@ubuntu.com>  Mon, 04 Feb 2019 14:35:36 -0800

apport (2.20.10-0ubuntu19) disco; urgency=medium

  * debian/apport-autoreport.service: Since this calls whoopsie-upload-all
    which fails if whoopsie isn't running, it should have a relationship with
    whoopsie.service. (LP: #1787729)

 -- Brian Murray <brian@ubuntu.com>  Wed, 16 Jan 2019 10:23:09 -0800

apport (2.20.10-0ubuntu18) disco; urgency=medium

  * test/test_apport_valgrind.py: specify the location for true.

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Jan 2019 16:02:14 -0800

apport (2.20.10-0ubuntu17) disco; urgency=medium

  * backends/packaging-apt-dpkg.py: switch to using python3-launchpadlib to
    communicate with Launchpad thereby gaining retry capabilities and using
    its cache.
  * backends/packaging-apt-dpkg.py: strip /usr from binary names so the .list
    file will match.
  * Re-enable Launchpad crash reports for disco.
  * test/*: switch from using deprecated imp to importlib, modify binary
    locations for merged-usr changes.
  * apport/report.py: reorder directories check for binaries so /usr is
    checked first.

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Dec 2018 08:36:40 -0800

apport (2.20.10-0ubuntu14) disco; urgency=medium

  * apport/ui.py: when using ubuntu-bug properly handle executables which
    start with /snap/bin. (LP: #1760220)

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Nov 2018 09:30:11 -0700

apport (2.20.10-0ubuntu13) cosmic; urgency=medium

  * Fix PEP8 605 warnings and ignore 503,504 ones.

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Oct 2018 14:35:11 -0700

apport (2.20.10-0ubuntu12) cosmic; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 18.10
    release.
  * data/general-hooks/ubuntu.py: include apport conffiles so we know if
    people have manually turned on crash reporting to Launchpad or if
    something is wrong with apport.

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Oct 2018 11:54:22 -0700

apport (2.20.10-0ubuntu11) cosmic; urgency=medium

  * Drop build/test dependency on obsolete libnih-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Sep 2018 20:28:31 -0700

apport (2.20.10-0ubuntu10) cosmic; urgency=medium

  * Handle old reports generated pre-apport with "remember" option.
    If the option isn't there, consider as false. (LP: #1791324)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 10 Sep 2018 18:17:09 +0200

apport (2.20.10-0ubuntu9) cosmic; urgency=medium

  * Revert the accidental bad changes introduced by the previous upload.
    Sorry!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 22 Aug 2018 17:01:05 -0700

apport (2.20.10-0ubuntu8) cosmic; urgency=medium

  * Add an alternative Recommends on lxqt-notificationd for the apport-kde
    package so kubuntu-notification-helper isn't pulled in on Lubuntu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 21 Aug 2018 00:51:40 -0500

apport (2.20.10-0ubuntu7) cosmic; urgency=medium

  * tests/test_ui_gtk.py: Increase the timeout so that when the autopkgtest
    infrastructure is busy the tests should not fail. (LP: #1780767)

 -- Brian Murray <brian@ubuntu.com>  Tue, 24 Jul 2018 08:03:49 -0700

apport (2.20.10-0ubuntu6) cosmic; urgency=medium

  * Start apport-autoreport after installing apport-noui.

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Jul 2018 13:27:49 -0700

apport (2.20.10-0ubuntu5) cosmic; urgency=medium

  *  Assume if no whoopsie that crash reporting is enabled:
     As the old configuration that was a whoopsie configuration file that was
     that was never updated by the whoopsie API, we assume that no
     whoopsie installed (not the default) == manual send report is allowed.
     If people want to disable crash reporting:
     - get whoopsie installed and disable crash reporting in g-c-c
     - uninstall apport

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 02 Jul 2018 10:59:22 +0200

apport (2.20.10-0ubuntu4) cosmic; urgency=medium

  * Add a remember option to whoopsie so that users can diminish
    crash interactions (LP: #1778497)
  * Move apport autoreport service files to apport binary package.
    Having them in apport-noui was creating a bug where autoreport
    wasn't working on desktop. As we check in the launched script
    for whoopsie and autoreport file, we don't autoreport by default.
    (LP: #1778694)
    apport-noui still touches the file to enable autoreport on install.
  * Remove upstart service and watershed dependency.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 29 Jun 2018 15:35:52 +0200

apport (2.20.10-0ubuntu3) cosmic; urgency=medium

  * data/apport: Properly handle crashes originating from a PID namespace.
    (LP: #1746668)
    - CVE-2018-6552

 -- Brian Murray <brian@ubuntu.com>  Wed, 30 May 2018 12:01:46 -0700

apport (2.20.10-0ubuntu2) cosmic; urgency=medium

   * etc/apport/crashdb.conf: Enable Launchpad crash reports for cosmic.

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 May 2018 09:51:37 -0700

apport (2.20.10-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - backends/packaging-apt-dpkg.py: when using a permanent sandbox better
      check for the package being already available thereby reducing quantity
      of downloads.
    - apport/report.py: Use timeout parameter in subprocess to limit how long
      we'll wait for gdb to return information as gdb can hang with some core
      files.
    - data/apport: Fix PEP8 issues
    - apport/ui.py: Include ProblemType in reports which are updated as
      package hooks may expect the report to have a ProblemType. (LP: #1766794)
    - test/test_ui.py: modify run_crash_kernel test to account for the fact
      that linux-image-$kvers-$flavor is now built from the linux-signed
      source package on amd64 and ppc64el. (LP: #1766740)
  * data/general-hooks/ubuntu.py: Fix UnicodeDecodeError when processing
    DpkgTerminalLog. (LP: #1766337)
  * data/general-hooks/ubuntu.py: Don't display a messy error if python or
    python3 is not installed. (LP: #1769262)
  * debian/apport.links: source_linux-signed.py -> source_linux.py package
    hook (LP: #1766740)
  * data/package-hooks/source_linux.py: Redirect bugs filed about the
    linux-signed source package to linux. (LP: #1766740)

 -- Brian Murray <brian@ubuntu.com>  Thu, 10 May 2018 09:31:34 -0700

apport (2.20.9-0ubuntu6) bionic; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 18.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Apr 2018 14:53:33 -0700

apport (2.20.9-0ubuntu5) bionic; urgency=medium

  * apport/hookutils.py: When gathering dmi information use read_file() which
    handles UTF-8. (LP: #1762438)

 -- Brian Murray <brian@ubuntu.com>  Fri, 13 Apr 2018 11:19:31 -0700

apport (2.20.9-0ubuntu4) bionic; urgency=medium

  * apport/hookutils.py: When gathering gsettings schema changes redact
    information regarding command-history and favorite-apps from gnome-shell.
    (LP: #1739531)

 -- Brian Murray <brian@ubuntu.com>  Thu, 05 Apr 2018 10:51:59 -0700

apport (2.20.9-0ubuntu3) bionic; urgency=medium

  * Help people who are trying to report bugs against snaps (LP: #1729491)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 04 Apr 2018 18:08:52 +0200

apport (2.20.9-0ubuntu2) bionic; urgency=medium

  * data/general-hooks/generic.py: Have JournalErrors include warnings but
    only for apport-crash reports which are private by default. (LP: #1738581)
  * setup.py: update version with javac

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Mar 2018 11:45:29 -0700

apport (2.20.9-0ubuntu1) bionic; urgency=medium

  * New upstream release:
    - apport/sandboxutils.py: when installing extra packages do not install
      the debug versions of them as this was installing gdb-dbg. If debug
      versions of a package are specifically required they can be passed as
      an extra-package.
    - backends/packaging-apt-dpkg.py: when reusing a sandbox do not remove
      conflicting packages when they conflict with themselves, or when they
      conflict with but also provide a virtual package.
    - bin/apport-retrace: add a --no-stracktrace-source option that does not
      do the work of creating a StacktraceSource field in the retraced report
      thereby decreasing the time to retrace.
    - data/apport: wait for lock, with 30s timeout (LP: #1746874)

 -- Brian Murray <brian@ubuntu.com>  Wed, 14 Feb 2018 10:21:20 -0800

apport (2.20.8-0ubuntu10) bionic; urgency=medium

  * bin/apport-bug,bin/apport-cli: Now that we depend on python3 we should
    switch to using python3. (LP: #1748621)

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Feb 2018 08:51:11 -0800

apport (2.20.8-0ubuntu9) bionic; urgency=medium

  * data/general-hooks/generic.py: change JournalErrors to contain errors not
    warnings. (LP: #1738581)

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Feb 2018 16:42:28 -0800

apport (2.20.8-0ubuntu8) bionic; urgency=medium

  * apport/report.py: gdb's version 8.0.90 output changed from Warning to
    warning however to support using gdb in sandbox we need to support either
    case so check for both.

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Feb 2018 10:43:23 -0800

apport (2.20.8-0ubuntu7) bionic; urgency=medium

  * bin/apport-bug: recommend python3-apport not python-apport.
    (LP: #1729879)
  * data/package-hooks/source_ubiquity.py: Convert the content of syslog from
    bytes to string so comparison and regex matches in the hook work. Thanks
    to Jean-Baptiste Lallement for the improved patch.  (LP: #1582950)

 -- Brian Murray <brian@ubuntu.com>  Tue, 30 Jan 2018 08:24:53 -0800

apport (2.20.8-0ubuntu6) bionic; urgency=medium

  * data/apport: return True when the name space can not be found.

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Jan 2018 14:10:35 -0800

apport (2.20.8-0ubuntu5) bionic; urgency=medium

  * data/apport: add an exception handler in case either name space can not be
    found.

 -- Brian Murray <brian@ubuntu.com>  Fri, 15 Dec 2017 14:50:47 -0800

apport (2.20.8-0ubuntu4) bionic; urgency=medium

  * data/apport: add a second os.path.exists check to ensure we do not
    receive a Traceback in is_container_id(). (LP: #1733366)

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 Dec 2017 10:30:23 -0800

apport (2.20.8-0ubuntu3) bionic; urgency=medium

  * apport-retrace: Use Python3. LP: #1153671.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Dec 2017 15:39:46 +0100

apport (2.20.8-0ubuntu2) bionic; urgency=medium

  [ Stéphane Graber ]
  * REGRESSION UPDATE: Fix regression in previous upload by re-enabling
    container support. (LP: #1732518)
  * Add code preventing a user from confusing apport by using
    a manually crafted filesystem inside a combination of a user and mount
    namespace.
  * Add a check in apport receiver for the number of arguments so that
    should another argument be added later, the receiver will simply ignore
    the crash until it itself gets updated.

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 Nov 2017 08:46:52 -0800

apport (2.20.8-0ubuntu1) bionic; urgency=medium

   * New upstream release:
     - SECURITY UPDATE: Denial of service via resource exhaustion and
       privilege escalation when handling crashes of tainted processes.
     - When /proc/sys/fs/suid_dumpable is set to 2, do not assume that
       the user and group owning the /proc/<PID>/stat file is the same
       owner and group that started the process. Rather check the dump
       mode of the crashed process and do not write a core file if its
       value is 2. Thanks to Sander Bos for discovering this issue!
       (CVE-2017-14177, LP: #1726372)
     - SECURITY UPDATE: Denial of service via resource exhaustion,
       privilege escalation, and possible container escape when handling
       crashes of processes inside PID namespaces.
     - Change the method for determining if a crash is from a container
       so that there are no false positives from software using PID
       namespaces. Additionally, disable container crash forwarding by
       ignoring crashes that occur in a PID namespace. This functionality
       may be re-enabled in a future update. Thanks to Sander Bos for
       discovering this issue!
       (CVE-2017-14180, LP: #1726372)
   * apport/hookutils.py: modify package_versions to return an empty string if
     packages is empty. (LP: #1723822)

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Nov 2017 12:44:24 -0800

apport (2.20.7-0ubuntu4) bionic; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for bionic.
  * bin/apport-cli: read until <enter> instead of a single character when # of
    apport options is non-unique with a single character. Thanks to Chad Smith
    for the patch. (LP: #1722564)

 -- Brian Murray <brian@ubuntu.com>  Wed, 08 Nov 2017 12:18:04 -0800

apport (2.20.7-0ubuntu3.1) artful; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 17.10
    release. (LP: #1726647)

 -- Brian Murray <brian@ubuntu.com>  Tue, 24 Oct 2017 08:22:21 -0700

apport (2.20.7-0ubuntu3) artful; urgency=medium

  * Make debian/apport.init a symlink to etc/init.d/apport so that
    dh_installinit creates a good postinst. (LP: #1722801)

 -- Brian Murray <brian@ubuntu.com>  Wed, 11 Oct 2017 14:26:50 -0700

apport (2.20.7-0ubuntu2) artful; urgency=medium

  * data/package-hooks/source_ubiquity.py: Convert the content of syslog from
    bytes to string so comparison and regex matches in the hook work.
    (LP: #1582950)

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Sep 2017 14:44:40 -0700

apport (2.20.7-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - backends/packaging-apt-dpkg.py: Don't install the version mentioned in a
      versioned dep, rather install the latest version of that dep.
    - backends/packaging-apt-dpkg.py: search -proposed last so we prefer
      packages from other pockets.

 -- Brian Murray <brian@ubuntu.com>  Tue, 29 Aug 2017 16:45:01 -0700

apport (2.20.6-0ubuntu7) artful; urgency=medium

  * data/general-hooks/ubuntu.py: When gathering python version information
    also try to determine package and version of the binary.

 -- Brian Murray <brian@ubuntu.com>  Wed, 23 Aug 2017 12:34:23 -0700

apport (2.20.6-0ubuntu6) artful; urgency=medium

  * data/general-hooks/ubuntu.py: Gather information about the python versions
    installed on the system as versions not from the Ubuntu archive can cause
    issues. (LP: #1681528)

 -- Brian Murray <brian@ubuntu.com>  Fri, 18 Aug 2017 11:13:14 -0700

apport (2.20.6-0ubuntu5) artful; urgency=medium

  * Remove upstart system job.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Aug 2017 17:18:13 -0400

apport (2.20.6-0ubuntu4) artful; urgency=medium

  * apport/REThread.py: A bare except needs to be used so that we can catch
    the dialog being closed.
  * test/test_report.py: Be a little patient and give some time for the core
    file to show up.

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Jul 2017 10:42:33 -0700

apport (2.20.6-0ubuntu3) artful; urgency=medium

  * debian/control: Add dependencies on python3-httplib2 / python-httplib2.

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Jul 2017 11:06:24 -0700

apport (2.20.6-0ubuntu2) artful; urgency=medium

  * Fix new pep8 failures in artful - E722 do not use bare except.

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Jul 2017 13:25:50 -0700

apport (2.20.6-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - SECURITY FIX: Fix path traversal vulnerability with hooks execution.
      Ensure that ExecutablePath: fields loaded from reports do not contain
      directories. Until now, an attacker could trick a user into opening a
      malicious .crash file containing

        ExecutablePath: /opt/../../../../some/dir/foo

      which would execute /some/dir/foo.py with arbitrary code.  Thanks to Felix
      Wilhelm for discovering this!
      (CVE-2017-10708, LP: #1700573)
    - Stop installing a MIME handler for crash files as it ends up causing more
      trouble than it is worth.
    - bin/crash-digger: Set self.lp if the crashdb is Launchpad.
    - test/test_backend_apt_dpkg.py: cache directories contain the
      architecture in the path if if is not the native arch.
    - apport/crashdb_impl/launchpad.py: Don't make a contentless change to a bug,
      it just generates more bug mail.
    - apport/crashdb_impl/launchpad.py: Handle FailedToDecompressContent httplib2
      error when downloading a broken attachment.
    - Convert regular expressions to raw strings to avoid deprecation warnings
      with Python version 3.6. Thanks to Michael Hudson-Doyle for the patch!

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Jul 2017 13:02:29 -0700

apport (2.20.5-0ubuntu5) artful; urgency=medium

  * Cherry picked from upstream's unreleased 2.20.6 - Convert regular
    expressions to raw strings to avoid deprecation warnings with Python
    version 3.6. Thanks to Michael Hudson-Doyle for the patch!

 -- Brian Murray <brian@ubuntu.com>  Mon, 19 Jun 2017 13:24:57 -0700

apport (2.20.5-0ubuntu4) artful; urgency=medium

  * data/general-hooks/ubuntu.py: Modify how a duplicate signature is created
    for package installation failures. (LP: #1692127)

 -- Brian Murray <brian@ubuntu.com>  Mon, 22 May 2017 16:37:50 -0700

apport (2.20.5-0ubuntu3) artful; urgency=medium

  * Revert change to test/test_crash_digger.py to use the source's
    crash-digger.

 -- Brian Murray <brian@ubuntu.com>  Mon, 15 May 2017 16:00:06 -0700

apport (2.20.5-0ubuntu2) artful; urgency=medium

  * Resolve test failures:
    - bin/crash-digger: Set self.lp if the crashdb is Launchpad.
    - test/test_crash_digger.py: use the source's crash-digger not the
      installed one.
    - test/test_backend_apt_dpkg.py: cache directories contain the
      architecture in the patch if if is not the native arch.

 -- Brian Murray <brian@ubuntu.com>  Mon, 15 May 2017 13:13:36 -0700

apport (2.20.5-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - bin/apport-retrace: Comment on bug reports when an invalid core file is
      encountered. (LP: #1647635)
    - Switch to using HxW directory names for app icons instead of just one
      number. Thanks to Jeremy Bicha for the patch.
    - apport/ui.py: Ensure the Date field exists in a report before using it in a
      comparison. (LP: #1658188)
    - bin/apport-retrace: Add in a --gdb-sandbox switch which creates or utilizes
      a sandbox with the report's distribution release and the host system's
      architecture for installing and running gdb. (LP: #1517257)
    - apport/hookutils.py: Don't crash if .xsession-errors is not readable by the
      user. (LP: #1675928)
    - bin/apport-retrace: Be specific about which required field is missing from a
      report and not retracing it.
  * debian/control: Adjust Vcs-Bzr: for artful branch.

 -- Brian Murray <brian@ubuntu.com>  Fri, 12 May 2017 15:11:38 -0700

apport (2.20.4-0ubuntu7) artful; urgency=medium

  * data/general/ubuntu-gnome.py: The GNOME3 PPAs are no longer supported for
    14.04 or 16.04 so set an UnreportableReason in those reports.
    (LP: #1689093)

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 May 2017 14:53:46 -0700

apport (2.20.4-0ubuntu6) artful; urgency=medium

  * Disable report.test_add_gdb_info_abort_glib test case for now, as the
    glib assertion message is broken under current Ubuntu (LP: #1689344)
  * etc/apport/crashdb.conf: Enable Launchpad crash reports for artful.

 -- Brian Murray <brian@ubuntu.com>  Mon, 08 May 2017 11:10:34 -0700

apport (2.20.4-0ubuntu5) artful; urgency=medium

  * Resolve autopkgtest failures in test_backend_apt_dpkg.py due to issues
    with apt key ring. Thanks to Dimitri John Ledkov for the patch.
    (LP: #1651623)

 -- Brian Murray <brian@ubuntu.com>  Fri, 05 May 2017 10:05:18 -0700

apport (2.20.4-0ubuntu4) zesty; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 17.04
    release.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 10 Apr 2017 13:16:34 +0100

apport (2.20.4-0ubuntu3) zesty; urgency=medium

  * data/general/ubuntu.py: Collect a minimal version of /proc/cpuinfo in
    every report. (LP: #1673557)
  * debian/control: remove build dep on libglib2.0-0-dbg since the gdb helpers
    moved to libglib2.0-dev.

 -- Brian Murray <brian@ubuntu.com>  Wed, 29 Mar 2017 11:16:33 -0700

apport (2.20.4-0ubuntu2) zesty; urgency=medium

  * Enable Launchpad crash upload for Ubuntu 17.04.

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Feb 2017 09:47:31 -0800

apport (2.20.4-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - SECURITY FIX: Restrict a report's CrashDB field to literals.
      Use ast.literal_eval() instead of the generic eval(), to prevent
      arbitrary code execution from malicious .crash files. A user could be
      tricked into opening a crash file whose CrashDB field contains an
      exec(), open(), or similar commands; this is fairly easy as we install a
      MIME handler for these. Thanks to Donncha O'Cearbhaill for discovering
      this!  (CVE-2016-9949, LP: #1648806)
    - SECURITY FIX: Fix path traversal vulnerability with hooks execution.
      Ensure that Package: and SourcePackage: fields loaded from reports do
      not contain directories. Until now, an attacker could trick a user into
      opening a malicious .crash file containing "Package:
      ../../../../some/dir/foo" which would execute /some/dir/foo.py with
      arbitrary code. Thanks to Donncha O'Cearbhaill for discovering this!
      (CVE-2016-9950, LP: #1648806)
    - SECURITY FIX: apport-{gtk,kde}: Only offer "Relaunch" for recent
      /var/crash crashes.
      It only makes sense to offer relaunching for crashes that just happened
      and the apport UI got triggered on those. When opening a .crash file
      copied from somewhere else or after the crash happened, this is even
      actively dangerous as a malicious crash file can specify any arbitrary
      command to run. Thanks to Donncha O'Cearbhaill for discovering this!
      (CVE-2016-9951, LP: #1648806)
    - backends/packaging-apt-dpkg.py: provide a fallback method if using zgrep
      to search for a file in Contents.gz fails due to a lack of memory.
      Thanks Brian Murray.
    - bin/apport-retrace: When --core-file is used instead of loading the core
      file and adding it to the apport report just pass the file reference to
      gdb.
  * debian/control: Adjust Vcs-Bzr: for zesty branch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 14 Dec 2016 21:28:57 +0100

apport (2.20.3-0ubuntu8) yakkety; urgency=medium

  * Prefer pycodestyle build dependency over pep8.
  * debian/tests/upstream-system: Create and export $GNUPGHOME, to work with
    gnupg2.
  * apport-gtk: Specify module version with GI imports to avoid warnings.
    Thanks Anatoly Techtonik. (LP: #1502173)
  * Disable Launchpad crash upload for final Ubuntu 16.10.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Oct 2016 14:28:17 +0200

apport (2.20.3-0ubuntu7) yakkety; urgency=medium

  * Merge from trunk:
    - test/test_report.py: Slightly relax stack trace checks to also work with
      glibc 2.24.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Aug 2016 08:37:34 +0200

apport (2.20.3-0ubuntu6) yakkety; urgency=medium

  * packaging-apt-dpkg.py: Change the proxy settings to use DIRECT instead
    of direct. The latter never really worked, but APT did not complain
    about it.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Aug 2016 19:22:23 +0000

apport (2.20.3-0ubuntu5) yakkety; urgency=medium

  * packaging-apt-dpkg.py: Explicitly set Dir::State::Status to the host
    dpkg status file for get_source_tree() to work with apt 1.3~pre4

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 05 Aug 2016 10:47:11 +0000

apport (2.20.3-0ubuntu4) yakkety; urgency=medium

  * test_backend_apt_dpkg.py: Expect trusted.gpg.d in armhf config dir

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Aug 2016 08:15:07 +0000

apport (2.20.3-0ubuntu3) yakkety; urgency=medium

  * test_backend_apt_dpkg.py: Adjust for new error message on missing
    repositories, it now says "does not have a Release file"
  * test_backend_apt_dpkg.py: Create a symlink for trusted.gpg.d in the
    armhf config dir, as the backend looks for trusted.gpg.d relative to
    the sources.list location in the config dir

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 03 Aug 2016 23:22:54 +0000

apport (2.20.3-0ubuntu2) yakkety; urgency=medium

  * test_backend_apt_dpkg.py: Move tests from Ubuntu 15.10 "wily" (which is
    EOL now) to 16.04 LTS "xenial". (Cherry-picked from trunk)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 31 Jul 2016 23:04:45 +0200

apport (2.20.3-0ubuntu1) yakkety; urgency=medium

  [ Hans Joachim Desserud ]
  * Fix typo (cehcking -> checking) (LP: #1603463).

  [ Martin Pitt ]
  * New upstream release:
    - problem_report.py: Fail with proper exception when trying to assign a
      list to a report key, or when trying to assing a tuple with more than 4
      entries.  (LP: #1596713)
    - test_backend_apt_dpkg.py: Install GPG key for ddebs.ubuntu.com to avoid
      apt authentication errors.
  * Bump Standards-Version to 3.9.8 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Jul 2016 14:10:46 +0200

apport (2.20.2-0ubuntu1) yakkety; urgency=medium

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: tag bug reports 'apport-hook-error' if they
    have an attachment from an apport hook which crashed.

  [ Martin Pitt ]
  * New upstream release. Changes since our previous snapshot:
    - Don't ignore OSError in Report.add_gdb_info(), as we do want to fail with an
      useful error message if gdb cannot be called in apport-retrace. Move the
      catching to the UI as not having gdb installed is still fine for reporting
      clients. (LP: #1579949)
    - Show gdb error messages in Report.add_gdb_info() OSError exception when gdb
      fails. (LP: #1579897)
    - hookutils, attach_root_command_outputs(): Return str again, like before
      2.15.2. (LP: #1370259)
    - Stop issuing "set architecture" gdb commands on ARM and Power; these only
      applied to 32 bit platforms and are apparently not needed any more with
      recent gdb versions. (LP: #1585702)
    - Disable report.test_add_gdb_info_abort_libnih test case for now, as libnih
      is broken under current Ubuntu (LP: #1580601)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 19 Jun 2016 22:17:35 +0200

apport (2.20.1-0ubuntu4) yakkety; urgency=medium

  * data/general-hooks/ubuntu.py: Fix stacktrace when parsing
    DpkgTerminalLog.txt. (LP: #1548421)
  * data/general-hooks/ubuntu.py: Restore starting package problem duplicate
    signatures with the word package, the package name, and its version.
    (LP: #1581682)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 May 2016 14:16:15 -0700

apport (2.20.1-0ubuntu3) yakkety; urgency=medium

  * debian/control: Adjust Vcs-Bzr: for yakkety branch.
  * Re-enable Launchpad crash reports for yakkety.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 May 2016 12:10:15 -0500

apport (2.20.1-0ubuntu2) xenial; urgency=medium

   * Merge fixes from trunk:
     - problem_report.py: Make assertion of invalid key names more verbose.
     - hookutils.py: Fix generation of valid report key names from arbitrary
       paths in attach_file() and related functions. This will now replace all
       invalid characters with dots, not just a few known invalid ones.
       (LP: #1566975)
     - problem_report.py: Instead of AssertionError, raise a ValueError for
       invalid key names and TypeError for invalid kinds of values. Thanks
       Barry Warsaw.
  * Disable Launchpad crash upload for final Ubuntu 16.04.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Apr 2016 23:53:46 +0200

apport (2.20.1-0ubuntu1) xenial; urgency=medium

  * New upstream release. Changes since our previous snapshot:
    - crash-digger: Untag bugs which cannot be retraced instead of stopping
      crash-digger. This led to too many pointless manual restarts on broken bug
      reports.
    * Disambiguate overly generic Python exceptions in duplicate signature
      computation: dbus-glib's DBusException wraps a "real" server-side
      exception, so add the class of that to disambiguate different crashes;
      for OSError that is not a known subclass like FileNotFoundError, add the
      errno. (LP: #989819)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 31 Mar 2016 16:16:37 +0200

apport (2.20-0ubuntu3) xenial; urgency=medium

  * Relax report.test_add_gdb_info gdb warning check, as this changed with gdb
    7.10.90.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Feb 2016 08:41:10 +0100

apport (2.20-0ubuntu2) xenial; urgency=medium

  * Fix signal_crashes.test_modify_after_start test when running as root.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Feb 2016 11:49:56 +0100

apport (2.20-0ubuntu1) xenial; urgency=medium

  * New upstream release.
    - Reimplement forwarding crashes into a container, via activating the new
      apport-forward.socket in the container and handing over the core dump
      fd.  This is a much safer way than the original implementation with
      nsexec.  Thanks Stéphane Graber! (LP: #1445064)
  * Drop long-obsolete sysv-rc dependency.
  * Add python3-systemd recommendation to apport, to make crash report
    generation work in containers.
  * Install new systemd units into apport package.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 14 Feb 2016 13:41:36 +0100

apport (2.19.4-0ubuntu2) xenial; urgency=medium

  * debian/apport.upstart: Call systemd-detect-virt instead of the
    Ubuntu specific running-in-container wrapper. (LP: #1539016)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Jan 2016 14:58:06 +0100

apport (2.19.4-0ubuntu1) xenial; urgency=medium

  * New upstream bug fix release:
    - Fix fileutils.test_find_package_desktopfile test for symlinks and other
      unowned files in /usr/share/applications/.
    - Fix ui.test_run_crash_anonymity test case to not fail if the base64
      encoded core dump happens to contain the user name, as that's just by
      chance.  - Fix test_hooks.py for unreleased gcc versions which have a
      different --version format.
    - hookutils.py, attach_hardware(): Stop attaching /var/log/udev. This was
      an upstart-ism, mostly redundant with the udev db and is not being
      written under systemd. (LP: #1537211)
  * etc/apport/crashdb.conf: Enable crash reports on Launchpad for xenial.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Jan 2016 15:37:44 +0100

apport (2.19.3-0ubuntu3) xenial; urgency=medium

  * data/general-hooks/powerpc.py: Add support to collect more data on
    PowerNV. (LP: #1499226) Thanks to Kamalesh Babulal for the patch.

 -- Brian Murray <brian@ubuntu.com>  Tue, 12 Jan 2016 17:06:29 -0800

apport (2.19.3-0ubuntu2) xenial; urgency=medium

  * Fix fileutils.test_find_package_desktopfile test for symlinks and other
    unowned files in /usr/share/applications/. (Cherry-picked from trunk.)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Dec 2015 10:31:19 +0100

apport (2.19.3-0ubuntu1) xenial; urgency=medium

  * New upstream microrelease:
    - apt/dpkg: Fix source record lookup in install_packages. Thanks Brian
      Murray!
    - hookutils.py, attach_gsettings_schema(): Don't replace the schema
      variable; fixes attaching relocatable schemas. Thanks Sébastien Bacher!
    - generic hook: Limit JournalErrors to the 1.000 last lines. This avoids
      long report load times when processes cause massive log spew.
      (LP: #1516947)
    - Add key filtering to ProblemReport.load().
    - Don't read the entire report when determining the CrashCounter. This
      avoids long delays for existing large reports.
    - test_python_crashes.py: Be less sensitive to the precise names of
      gvfs-metadata D-Bus service files.
    - Move backend_apt_dpkg -dbgsym test cases to Ubuntu 15.10.
    - Tests: Move to unittest's builtin "mock" module.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Dec 2015 09:49:00 +0100

apport (2.19.2-0ubuntu9) xenial; urgency=medium

  * If trimming the DpkgTerminalLog file fails, keep the whole log file in the
    report. (LP: #1522849)

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Dec 2015 09:19:37 -0800

apport (2.19.2-0ubuntu8) xenial; urgency=medium

  * No-change rebuild against fixed debhelper.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 25 Nov 2015 06:21:22 +0100

apport (2.19.2-0ubuntu7) xenial; urgency=medium

  * data/general-hooks/ubuntu.py: resolve Traceback when parsing
    DpkgTerminalError and using python2.

 -- Brian Murray <brian@ubuntu.com>  Tue, 24 Nov 2015 11:35:10 -0800

apport (2.19.2-0ubuntu6) xenial; urgency=medium

  * Add Conflicts/Replaces/Provides: core-dump-handler, to ensure mutual
    uninstallability with systemd-coredump and corekeeper.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Nov 2015 11:20:31 +0100

apport (2.19.2-0ubuntu5) xenial; urgency=medium

  * data/general-hooks/ubuntu.py: ensure that dpkg_log_without_error is a
    string.

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Nov 2015 09:12:03 -0800

apport (2.19.2-0ubuntu4) xenial; urgency=medium

  * data/general-hooks/ubuntu.py: For package installation failures, build a
    DuplicateSignature from the dpkg terminal log as using the package,
    version, and dpkg ErrorMessage ended up being too generic.

 -- Brian Murray <brian@ubuntu.com>  Fri, 06 Nov 2015 09:14:29 -0800

apport (2.19.2-0ubuntu3) xenial; urgency=medium

  * apport: Fix comparison against SIGQUIT to work for current Python
    versions. (Cherry-picked from upstream).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Nov 2015 14:06:22 -0600

apport (2.19.2-0ubuntu2) xenial; urgency=medium

  * apport/ui.py: set "_MarkForUpload" field to False for cases where the
    apport report is damaged, about a not installed package, or when an
    error occurred processing the report. (LP: #1512902)

 -- Brian Murray <brian@ubuntu.com>  Tue, 03 Nov 2015 15:44:18 -0800

apport (2.19.2-0ubuntu1) xenial; urgency=medium

  * New upstream release. Changes since previous snapshot:
    - SECURITY FIX: When determining the path of a Python module for a program
      like "python -m module_name", avoid actually importing and running the
      module; this could lead to local root privilege escalation. Thanks to
      Gabriel Campana for discovering this and the fix!
      (CVE-2015-1341, LP: #1507480)
    - test_backend_apt_dpkg.py: Reset internal apt caches between tests.
      Avoids random test failures due to leaking paths from previous test
      cases.
  * debian/control: Adjust Vcs-Bzr: for xenial branch.
  * debian/control: Drop obsolete XS-Testsuite: header.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Oct 2015 14:33:28 +0100

apport (2.19.1-0ubuntu3) wily; urgency=medium

  * Disable Launchpad crash upload for final Ubuntu 15.10.
  * Fix backend_apt_dpkg.test_install_packages_system for recent "Fall back to
    direct Launchpad ddeb download" fix. coreutils-dbgsym should now always be
    available independent of whether the local system has ddeb apt sources.
    (Cherry-picked from trunk).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Oct 2015 08:48:25 +0200

apport (2.19.1-0ubuntu2) wily; urgency=medium

  * apt/dpkg: Don't mark packages downloaded from Launchpad for installation
    by apt. Thanks Brian Murray. (Cherry-picked from trunk.)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Oct 2015 08:04:12 +0200

apport (2.19.1-0ubuntu1) wily; urgency=medium

  [ Martin Pitt ]
  * New upstream release:
    - Consistently intercept "report file already exists" errors in all writers
      of report files (package_hook, kernel_crashdump, and similar) to avoid
      unhandled exceptions on those. (LP: #1500450)
    - apt/dpkg: Fall back to direct Launchpad ddeb download if we can't find it
      in the apt cache. Thanks Brian Murray! (LP: #1500557)
    - doc/data-format.tex: Clarify that key names are being treated as case
      sensitive (unlike RFC822).

  [ Brian Murray ]
  * data/iwlwifi_error_dump: fix add_package call. (LP: #1496268)

  [ Sebastien Bacher ]
  * data/package-hooks/sources_ubiquity.py: Don't try decode() a str
    (LP: #1501773).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Oct 2015 10:58:13 +0200

apport (2.19-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - apport: Drop re-nicing. This might decrease the time a user has to wait
      for apport to finish the core dump for a crashed/hanging foreground
      process.  (See LP #1278780)
    - kernel_crashdump: Enforce that the log/dmesg files are not a symlink.
      This prevents normal users from pre-creating a symlink to the
      predictable .crash file, and thus triggering a "fill up disk" DoS attack
      when the .crash report tries to include itself. Thanks to halfdog for
      discovering this!  (CVE-2015-1338, part of LP #1492570)
    - SECURITY FIX: Fix all writers of report files (package_hook,
      kernel_crashdump, and similar) to open the report file exclusively,
      i. e.  fail if they already exist. This prevents privilege escalation
      through symlink attacks. Note that this will also prevent overwriting
      previous reports with the same same. Thanks to halfdog for discovering
      this!  (CVE-2015-1338, LP: #1492570)
    - apport: Ignore process restarts from systemd's watchdog. Their traces
      are usually useless as they don't have any information about the actual
      reasaon why processes hang (like VM suspends or kernel lockups with bad
      hardware) (LP: #1433320)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Sep 2015 14:41:54 +0200

apport (2.18.1-0ubuntu1) wily; urgency=medium

  * New upstream bug fix release. Changes since our previous snapshot:
    - packaging.py: Only consider first word in /etc/os-release's NAME value.
      This works around Debian's inconsistent value. (LP: #1408245)
    - Unify and simplify Package: field generation in kernel_crashdump,
      kernel_oops, and package_hook by using the new Report.add_package()
      method.  (LP: #1485787)
    - sandboxutils.py, make_sandbox(): Make "Cannot find package which ships
      Executable/InterpreterPath" fatal, to save some unnecessary package
      unpack cycles. (LP: #1487174)
  * etc/apport/crashdb.conf: Enable crash reports on Launchpad for wily.
    Really late, sorry about that!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Sep 2015 11:48:46 +0200

apport (2.18-0ubuntu9) wily; urgency=medium

  * Revert changes to data/package_hook to include the package version. This
    just hides the problem that somewhere during whoopsie add_package_info()
    is not called. (See LP #1485787)
  * packaging-apt-dpkg.py, is_distro_package(): If there is no origin and
    /etc/system-image/channel.ini exists, assume the package is from a
    read-only system image and accept it as distro package. With this we don't
    need /var/lib/apt/lists/ indexes any more just to confirm the origin.
    (LP: #1489410)
  * Merge fixes from trunk:
    - whoopsie-upload-all: Intercept OSError too (e. g. "No space left on
      device"). (LP: #1476258)
    - apport-retrace: Only consider the file name of a source file, not its
      path; the latter often contains parts like "../" or directories which are
      specific to a build machine. This fixes most broken StacktraceSource
      results.  (LP: #1462491)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 31 Aug 2015 11:35:54 +0200

apport (2.18-0ubuntu8) wily; urgency=medium

  * data/package-hooks/source_ubiquity.py: resolve tracebacks parsing syslog
    and adding the debug log file.

 -- Brian Murray <brian@ubuntu.com>  Fri, 28 Aug 2015 10:03:59 -0700

apport (2.18-0ubuntu7) wily; urgency=medium

  * data/package_hook: When creating a Package problem write the version of
    the package to the report. (LP: #1485787)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Aug 2015 15:40:39 -0700

apport (2.18-0ubuntu6) wily; urgency=medium

  * Drop apport-noui from test dependencies, as whoopsie interferes with the
    test crashes while the test suite runs. (LP: #1478115)
  * Restore whoopsie dependency of apport-noui.
  * apport-noui.service: Add missing Type=oneshot, to fix restart limits with
    crashes happening in rapid succession.
  * Merge test fixes from trunk.
  * data/package-hooks/source_linux.py: Fix PEP-8 error.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 11:25:07 +0200

apport (2.18-0ubuntu5) wily; urgency=medium

  * apport-noui: Remove the dependency on whoopsie as it causes test failures.

 -- Brian Murray <brian@ubuntu.com>  Fri, 24 Jul 2015 13:23:03 -0700

apport (2.18-0ubuntu4) wily; urgency=medium

  * whoopsie-upload-all: restore import of apport.fileutils which seems to
    resolve some test failures.

 -- Brian Murray <brian@ubuntu.com>  Thu, 23 Jul 2015 12:17:01 -0700

apport (2.18-0ubuntu3) wily; urgency=medium

  * apport-noui: Depend on watershed and whoopsie since whoopsie-upload-all
    requires whoopsie to upload crashes.
  * apport-noui.upstart: Utilize watershed to only launch one instance of
    whoopsie-upload-all.
  * apport-noui.paths: When monitoring /var/crash switch to PathExistsGlob
    since PathChanged will cause whoopsie-upload-all to run more often e.g.
    when .upload and .uploaded files are created.

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 Jul 2015 14:09:23 -0700

apport (2.18-0ubuntu2) wily; urgency=medium

  * Fix PEP-8 error in test/test_backend_apt_dpkg.py.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Jul 2015 11:43:37 +0200

apport (2.18-0ubuntu1) wily; urgency=medium

  * New upstream release. Changes since our last merge from trunk:
    - apport-gtk: Use GtkWidget::valign property instead of GtkMisc::yalign
      which is deprecated in GTK 3.16. Thanks Iain Lane.
    - sandboxutils, make_sandbox(): Don't exit with 0 (success) if the
      ExecutablePath does not exist. (LP: #1462469)
    - sandboxutils, make_sandbox(): Fix second round of package installs to go
      into permanent root dir as well.
    - apt/dpkg install_packages(): If a requested package version is not
      available from apt in the given archive, try to download it from
      Launchpad. Thanks to Brian Murray!
    - kerneloops: Fix crash when determining the version of a custom kernel.
      Thanks Brian Murray. (LP: #1468154)
    - apt/dpkg install_packages(): Ignore -dbg packages whose descriptions
      contain "transitional". (LP: #1469635)
    - Keep "[origin: ...]" information in Package: and Dependencies: fields
      for native-origins.d/ origins, so that it's possible to retrace them.
      Thanks Brian Murray! (LP: #1470572)
    - Add support for retracing with discovering and enabling foreign
      Launchpad PPA origins, as specified in reports' Package:/Dependencies:
      fields. Thanks Brian Murray!
    - hookutils.attach_wifi(): Shorten value of CRDA if iw isn't available on
      the system. Thanks Brian Murray.
    - Fix wrong assertion in crashdb.test_check_duplicate() which surfaces
      under Python 3.5. (LP: #1474539)
  * test/test_backend_apt_dpkg.py: Disable new test assertion for
    unity-services-dbgsym, which doesn't currently work in the autopkgtest
    (but works fine in trunk and on the retracers). To be investigated.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Jul 2015 11:03:21 +0200

apport (2.17.3-0ubuntu4) wily; urgency=medium

  * apport-gtk.ui: Use "valign" to align the icon on the crash dialog.
    "yalign" is deprecated with GTK 3.16 and the consequent warning causes a
    testsuite failure. Cherry-pick from upstream MP.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 05 Jun 2015 11:52:04 +0100

apport (2.17.3-0ubuntu3) wily; urgency=medium

  * Merge from trunk:
    - Fix backend_apt_dpkg.test_install_packages_permanent_sandbox test to
      restore proxy settings at the right time.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 May 2015 16:01:34 +0200

apport (2.17.3-0ubuntu2) wily; urgency=medium

  * Merge from trunk:
    - Fix backend_apt_dpkg.test_install_packages_permanent_sandbox test to
      more carefully restore the environment and apt config.
    - Enable suid_dumpable in the init.d script to also get Apport reports
      about suid, unreadable, and otherwise protected binaries. These will be
      "system reports" owned and readable by root only.
    - init.d script: Fix tab usage inconsistencies.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 May 2015 10:05:40 +0200

apport (2.17.3-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - SECURITY UPDATE: When /proc/sys/fs/suid_dumpable is enabled, crashing a
      program that is suid root or not readable for the user would create
      root-owned core files in the current directory of that program. Creating
      specially crafted core files in /etc/logrotate.d or similar could then
      lead to arbitrary code execution with root privileges.
      Now core files do not get written for these kinds of programs, in
      accordance with the intention of core(5).
      Thanks to Sander Bos for discovering this issue!
      (CVE-2015-1324, LP: #1452239)
    - SECURITY UPDATE: When writing a core dump file for a crashed packaged
      program, don't close and reopen the .crash report file but just rewind
      and re-read it. This prevents the user from modifying the .crash report
      file while "apport" is running to inject data and creating crafted core
      dump files. In conjunction with the above vulnerability of writing core
      dump files to arbitrary directories this could be exploited to gain root
      privileges.
      Thanks to Philip Pettersson for discovering this issue!
      (CVE-2015-1325, LP: #1453900)
    - apportcheckresume: Fix "occured" typo, thanks Matthew Paul Thomas.
      (LP: #1448636)
    - signal_crashes test: Fix test_crash_setuid_* to look at whether
      suid_dumpable was enabled.
    - test/run: Run UI tests under dbus-launch, newer GTK versions require this
      now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 May 2015 16:58:35 +0200

apport (2.17.2-0ubuntu2) wily; urgency=medium

  [ Brian Murray ]
  * Update Vcs information in debian/control.
  * general-hooks/ubuntu.py: update checks for corrupt packages.

  [ Martin Pitt ]
  * Disable KDE tests for the time being. apport-kde consistently crashes
    in PyQT5 since vivid (LP #1442512), don't block package migration on this.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 May 2015 08:36:07 +0200

apport (2.17.2-0ubuntu1) vivid; urgency=medium

  * New upstream bug fix release:
    - SECURITY UPDATE: Disable crash forwarding to containers. The previous
      fix in 2.17.1 was not sufficient against all attack scenarios. By
      binding to specially crafted sockes, a normal user program could forge
      arbitrary entries in /proc/net/unix. We cannot currently rely on a
      kernel-side solution for this; this feature will be re-enabled once it
      gets re-done to be secure. (LP: #1444518)
    - apport-kde: Fix crash when showing byte array values. Thanks Jonathan
      Riddell. (LP: #1443659)
    - Really create a better duplicate signature for recoverable problems,
      using ExecutablePath. Thanks Brian Murray. (LP: #1316763)
  * Disable Launchpad crash upload for final Ubuntu 15.04.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Apr 2015 17:51:18 -0500

apport (2.17.1-0ubuntu2) vivid; urgency=medium

  * Fix crash in kde frontend LP: #1443659

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2015 13:29:04 +0200

apport (2.17.1-0ubuntu1) vivid; urgency=medium

  * New upstream bug fix release:
    - SECURITY UPDATE: Fix root privilege escalation through crash forwarding
      to containers.
      Version 2.13 introduced forwarding a crash to a container's apport. By
      crafting a specific file system structure, entering it as a namespace
      ("container"), and crashing something in it, a local user could access
      arbitrary files on the host system with root privileges.
      Thanks to Stéphane Graber for discovering and fixing this!
      (CVE-2015-1318, LP: #1438758)
    - apport-kde tests: Fix imports to make tests work again.
    - Fix UnicodeDecodeError on parsing non-ASCII environment variables.
    - apport: use the proper pid when calling apport in another PID namespace.
      Thanks Brian Murray. (LP: #1300235)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Apr 2015 09:10:17 -0500

apport (2.17-0ubuntu2) vivid; urgency=medium

  * Update apport-kde runtime dependencies. It requires pyqt5 not
    pykde4 LP: #1439784

 -- Harald Sitter <sitter@kde.org>  Fri, 10 Apr 2015 10:52:34 +0200

apport (2.17-0ubuntu1) vivid; urgency=medium

  * New upstream release. Changes since our last snapshot:
    - general-hooks/generic.py: Add systemd journal warnings and errors to the
      new "JournalErrors" field.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 31 Mar 2015 09:25:40 +0200

apport (2.16.2-0ubuntu5) vivid; urgency=medium

  * KDE: Port Apport to Qt 5 LP: #1436328

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Mar 2015 15:09:19 +0100

apport (2.16.2-0ubuntu4) vivid; urgency=medium

  * general-hooks/ubuntu.py: for reports where the ProblemType is Package
    always include information about the apt and dpkg versions.

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Mar 2015 13:23:45 -0700

apport (2.16.2-0ubuntu3) vivid; urgency=medium

  * package-hooks/source_linux.py: Don't check BootDmesg for staging drivers
    anymore since it is no longer included in the crash report. (LP: #1430168)

 -- Brian Murray <brian@ubuntu.com>  Wed, 11 Mar 2015 12:57:05 -0700

apport (2.16.2-0ubuntu2) vivid; urgency=medium

  * Merge from trunk:
    - Adjust signal_crashes.test_crash_setuid_{keep,drop} for systemd.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 09 Mar 2015 11:32:18 +0100

apport (2.16.2-0ubuntu1) vivid; urgency=medium

  * New upstream bug fix release:
    - ProblemReport: Set a timestamp of 0 in gzip compressed fields; they are
      meaningless and cause unnecessary jitter in the output.
    - launchpad backend: Fix unclosed file in upload().
    - launchpad backend: Fix wrong use of filter() with Python 3.
    - launchpad backend download(): Try to convert textual values from byte
      arrays into into strings.
    - ui.py, collect_info(): Fix crash on bug pattern checking with broken
      gzipped values. (LP: #1345653)
    - hookutils, attach_drm_info(): Avoid UnicodeDecodeErrors in Python 3 when
      reading binary files. Thanks Chad Miller. (LP: #1425254)
    - apport-gtk: Update legacy icon names to modern GTK ones, to fix icons
      under GNOME. Thanks Scott Sanbar. (LP: #1422176)
    - Move backend_apt_dpkg testsuite to use Ubuntu 14.04 LTS.
    - hookutils, attach_dmesg(): Only attach dmesg as CurrentDmesg, drop
      BootDmesg as /var/log/dmesg is upstart specific and thus not reliably
      correct any more.
    - hookutils, recent_syslog(): Read system logs from the journal when
      running under systemd, and fall back to /var/log/syslog if not.
    - hookutils, attach_mac_events(): Read kernel violation messages from
      dmesg instead of /var/log/kern.log, as that's specific to rsyslog and
      its configuration.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Mar 2015 11:37:32 +0100

apport (2.16.1-0ubuntu2) vivid; urgency=medium

  * Merge from trunk:
    - hookutils.in_session_of_problem(): Check $XDG_SESSION_ID and
      /run/systemd/sessions instead of the cgroup, as the latter does not work
      under cgmanager.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Feb 2015 12:52:00 +0100

apport (2.16.1-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Set gettext translation domain in setup.cfg, so that tools like
      dh_translations pick it up and show correct polkit translations.
      Thanks to Aron Xu! (LP: #1306857)
    - Report.get_logind_session(): Check $XDG_SESSION_ID and
      /run/systemd/sessions instead of the cgroup, as the latter does not work
      under cgmanager.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Feb 2015 11:39:05 +0100

apport (2.16-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Add a new method ProblemReport.extract_keys() which writes binary keys
      (which can be very large) directly to files without loading them all
      into memory first. Use that in apport-unpack. Thanks Louis Bouchard!
      (LP: #1307413)
    - launchpad backend: Work with Python 3, now that launchpadlib exists for
      Python 3. (LP: #1153671)
    - apport-bug, apport-gtk: Also check for $WAYLAND_SESSION, to use
      apport-gtk instead of apport-cli under Wayland. Thanks Tim Lunn.
      (LP: #1418766)
    - apport-gtk: When running under Wayland, avoid Gdk/Wnck operation for
      setting crash window modal to the PID of the crashed window; these only
      work under X11.
    - Don't install the test suite any more, to save 1 MB of installed space.
      It can be run out of trunk easily enough, and distributions can install
      it from tests/ if they desire.
    - hookutils, attach_root_command_outputs(): Fix UnicodeDecodeError crash
      for non-textual values. (LP: #1370259)
    - ui.py: Only provide a UI to hooks if the crash db will accept the
      report. This avoids asking questions if the report is merely sent to
      whoopsie for Ubuntu stable releases. Thanks Brian Murrary.
      (LP: #1084979)
    - whoopsie-upload-all: Add package information to the report before
      calling package hooks. Thanks Brian Murray.
    - Fix check for available terminal when checking whether to display the
      "Examine locally" button.
  * Add general hook for detecting Wayland sessions and tagging them with
    "wayland-session". Thanks Timm Lunn! (LP: #1418262)
  * debian/tests/upstream-system: Copy tests from source tree, as
    /usr/share/apport/testsuite/ does not exist any more.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 Feb 2015 10:11:30 +0100

apport (2.15.1-0ubuntu4) vivid; urgency=medium

  * data/whoopsie-upload-all: need to add package information to the report
    before we can add package specific information to it.

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Jan 2015 10:06:06 -0800

apport (2.15.1-0ubuntu3) vivid; urgency=medium

  * etc/apport/crashdb.conf: Enable crash reports on Launchpad for vivid.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Jan 2015 17:57:03 +0100

apport (2.15.1-0ubuntu2) vivid; urgency=medium

  * Add systemd units for apport-noui.
  * Merge from trunk:
    - hookutils, attach_root_command_outputs(): Fix UnicodeDecodeError crash
      for non-textual values. (LP: #1370259)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Jan 2015 17:33:12 +0100

apport (2.15.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. Changes since last snapshot:
    - apt/dpkg _search_contents(): Check HTTP last-modified header to avoid
      re-downloading Contents.gz every day unless it actually changed. Thanks
      Brian Murray!
    - apport-gtk: Drop properties which are deprecated in GTK 3.14.
  * debian/tests/control: Wrap dependencies.
  * debian/tests/control: Add gnome-icon-theme; fixes running tests with GTK
    3.14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 19 Dec 2014 07:45:30 +0100

apport (2.15-0ubuntu3) vivid; urgency=medium

  * Merge further test robustification and translation updates from trunk.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Dec 2014 11:01:20 +0100

apport (2.15-0ubuntu2) vivid; urgency=medium

  * Merge from trunk:
    - Robustify report.test_get_timestamp test.
    - Robustify signal_crashes.test_limit_size test.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Dec 2014 09:19:29 +0100

apport (2.15-0ubuntu1) vivid; urgency=medium

  * New upstream release. Changes since our snapshot:
    - recoverable_problem: Handle the parent process going away while we're
      attempting to read from proc.
    - apport-retrace: Stop considering a package download error as transient; it
      can too easily lead to unnoticed eternal retry loops.
    - whoopsie-upload-all: Refactor to behave more reliably in case of overlapping
      crash processing. Thanks Steve Langasek and Brian Murray. (LP: #1354318)
    - whoopsie-upload-all: Remove crash reports that have a core dump which is
      broken and cannot be processed by gdb. Thanks Brian Murray. (LP: #1376374)
    - When core size exceeds the limit (3/4 of available memory) and thus the core
      dump is skipped, log this to /var/log/apport.log. (LP: #1387835)
    - apport-gtk: Fix jump-to-top on first click of the details treeview. Thanks
      Marius Gedminas. (LP: #1387328)
    - apport-retrace: Fix location of cached Contents.gz when using --sandbox-dir.
      (LP: #1394798)
    - Fix backend_apt_dpkg.test_install_packages_permanent_sandbox test case with
      proxy env variables with latest apt.
  * Update Vcs-Bzr: for vivid branch.
  * debian/tests: Drop obsolete workarounds, use allow-stderr.
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 02 Dec 2014 14:51:59 +0100

apport (2.14.7-0ubuntu10) vivid; urgency=medium

  * data/whoopsie-upload-all: confirm that the crash file exists before trying
    to remove it. (LP: #1384358)

 -- Brian Murray <brian@ubuntu.com>  Mon, 03 Nov 2014 17:01:55 -0800

apport (2.14.7-0ubuntu9) vivid; urgency=medium

  * data/general_hooks/clickinfo.py: Created a hook to determine package
    and version information for executables that are from click packages.

 -- Brian Murray <brian@ubuntu.com>  Fri, 31 Oct 2014 14:41:14 -0700

apport (2.14.7-0ubuntu8) utopic; urgency=medium

  * etc/init.d/apport: Stop setting $PATH in the init.d script. It breaks
    assumptions from /lib/lsb/init-functions.d/ which might call other tools
    which are not in /bin; also, we generally shouldn't meddle with $PATH in
    individual scripts.  (LP: #1372665)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 20 Oct 2014 14:51:41 -0400

apport (2.14.7-0ubuntu7) utopic; urgency=medium

  * Disable Launchpad crash upload for final Ubuntu 14.10.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Oct 2014 15:37:02 +0200

apport (2.14.7-0ubuntu6) utopic; urgency=medium

  * data/recoverable_problem: Fix a Traceback with how the ValueError was
    matched. (LP: #1345569)

 -- Brian Murray <brian@ubuntu.com>  Mon, 13 Oct 2014 10:02:21 -0700

apport (2.14.7-0ubuntu5) utopic; urgency=medium

  [ Evan Dandrea]
  * data/recoverable_problem: Handle the parent process going away while
    we're attempting to read from proc. (LP: #1345569)

 -- Brian Murray <brian@ubuntu.com>  Tue, 07 Oct 2014 15:26:30 -0700

apport (2.14.7-0ubuntu4) utopic; urgency=medium

  * data/whoopsie-upload-all: remove crash reports that have a core dump
    which is broken and cannot be processed by gdb. (LP: #1376374)

 -- Brian Murray <brian@ubuntu.com>  Tue, 07 Oct 2014 14:48:28 -0700

apport (2.14.7-0ubuntu3) utopic; urgency=medium

  [ Steve Langasek ]
  * Refactor apport-noui/whoopsie-upload-all to behave more reliably in
    case of overlapping crash processing (LP: #1354318):
    - debian/apport-noui.upstart: refactor to make this an 'instance' job
      for each incoming .crash file, and drop the racy handling of non-root
      .crash files (as well as the unnecessary 'env MATCH' line).
    - data/whoopsie-upload-all: refactor report processing to ensure that
      whoopsie-upload-all can be called multiple times in parallel without
      causing any .crash file to be processed more than once.
    - data/whoopsie-upload-all: handle setting ownership of files in
      process_report() instead of relying on this script being called by a
      particular user.
    - data/whoopsie-upload-all: don't spin in wait_uploaded() watching for
      .uploaded files if the corresponding .upload file has been removed out
      from under us.
    - data/whoopsie-upload-all: by default, return immediately instead of
      waiting to see if whoopsie processes all of the crashes.

  [ Brian Murray ]
  * data/whoopsie-upload-all: indicate that all reports have been uploaded
    even those that were marked for upload earlier.

 -- Brian Murray <brian@ubuntu.com>  Thu, 02 Oct 2014 08:33:49 -0700

apport (2.14.7-0ubuntu2) utopic; urgency=medium

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: check to see if system-image-cli is
    available rather than if /etc/system-image/client.ini exists.

  [ Martin Pitt ]
  * ui.py: Robustify check if apport-retrace is installed. This brings back
    the "Examine locally" UI option. (LP: #1358734) (Cherry-picked from
    trunk).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Sep 2014 12:30:27 +0200

apport (2.14.7-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Fix interpretation of core dump ulimits: they are in bytes, not KiB.
      (LP: #1346497)
    - apport-retrace: Don't require specifying an operation; default to
      updating the given .crash file. (LP: #1361242)
    - Write report even on UnreportableReasons, so that whoopsie can still
      upload them. (LP: #1360417)
    - apt/dpkg install_packages(): Write a "packages.txt" into sandbox root
      directory to keep track of installed packages and their versions.
      Prerequisite for LP #1352591.
    - apt/dpkg install_packages(): Avoid re-downloading/installing packages
      which are already installed into a permanent sandbox. Prerequisite for
      LP #1352591.
    - sandboxutils.py, make_sandbox(): Drop check for already existing files
      when dynamically resolving libraries and ExecutablePaths; with that,
      these packages would never get updated in a permanent sandbox. The new
      version tracking from above now takes care of that. (LP: #1352591)
    - Fix report.test_add_proc_info test to stop assuming that pid 1 is named
      "init", as one can specify a different one on the kernel command line.
    - report.py, add_gdb_info(): Check for truncated core dumps, and set
      UnreportableReason and raise an IOError on them. Handle this in
      apport-retrace and whoopsie-upload-all to fail properly instead of
      silently producing broken Stacktraces. (LP: #1354571)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 29 Aug 2014 12:38:54 +0200

apport (2.14.6-0ubuntu2) utopic; urgency=medium

  * Cherry-pick from trunk: Adjust backend_apt_dpkg.test_get_file_package()
    test: newer util-linux versions do not provide /etc/blkid.tab any more.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Aug 2014 10:38:44 +0200

apport (2.14.6-0ubuntu1) utopic; urgency=medium

  * New upstream bug fix release:
    - general-hooks/generic.py: Fix hook crash if there are non-distro
      libraries and no user interface.
    - collect_info(): Don't assume that reports have a ProblemType. Fixes
      crashes with apport-collect. (LP: #1325729)
    - apport-retrace: Declare -s/-g/-o as mutually exclusive, to get proper
      error messages instead of silent misbehaviour. (LP: #1352450)
    - apport-gtk: Drop usage of deprecated GTK stock items. (LP: #1348116)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Aug 2014 07:57:16 +0200

apport (2.14.5-0ubuntu4) utopic; urgency=medium

  [ Steve Langasek ]
  * Fix invalid shebang lines for apport-noui maintainer scripts which I
    somehow overlooked.

  [ Martin Pitt ]
  * Add data/general-hooks/powerpc.py: Collect some PowerPC[64] information.
    Thanks to Thierry FAUCK! (LP: #1336462)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 08 Aug 2014 15:13:16 +0200

apport (2.14.5-0ubuntu3) utopic; urgency=medium

  * apport-noui: make the package installation automatically enable
    autosubmission, which doesn't currently work on the phone without it;
    and update the package description accordingly.  LP: #1351137.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Aug 2014 15:06:49 -0700

apport (2.14.5-0ubuntu2) utopic; urgency=medium

  * data/general-hooks/ubuntu.py: Check for /etc/system-image/client.ini
    instead of /var/log/system-image/client.log since the latter is only
    readable by root.

 -- Brian Murray <brian@ubuntu.com>  Tue, 29 Jul 2014 13:20:54 -0700

apport (2.14.5-0ubuntu1) utopic; urgency=medium

  * New upstream bug fix release. Changes since last snapshot:
    - apt/dpkg get_file_package(): If checking for uninstalled packages, don't
      use package information from the host system, but always look it up in
      the correct indexes. Otherwise this returns wrong results when files
      move to a different package between releases. Thanks Brian Murray!
      (LP: #1336062)
    - apt/dpkg install_packages(): Disable fetching apt translation indexes,
      to save some bandwidth.
    - whoopsie-upload-all: Ignore crash reports with incomplete core dumps
      instead of crashing on them. Thanks Brian Murray. (LP: #1329520)
    - etc/default/apport: Fix comment to use "service" instead of calling the
      init.d script directly.
    - whoopsie-upload-all: Collect hooks information to gather ApportVersion,
      NonfreeKernelModules, and SystemImageInfo. Do this before collecting
      package data to minimize hook run time. (LP: #1349579)
    - Adjust report.test_get_logind_session test to work with systemd >= 205.
    - Fix report.test_check_interpreted_twistd test to skip instead of fail if
      twisted is not installed.

  * Drop automatix.py general hook. Automatix is long gone.
  * etc/apport/blacklist.d/apport: Drop long obsolete npviewer/npplayer
    entries.
  * Drop unnecessary python-gi build dependency.
  * Drop python-twisted-core build dependency. It's just used for one test,
    and will still run in autopkgtest. (Avoids current twisted
    uninstallability in main)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Jul 2014 12:26:23 +0200

apport (2.14.4-0ubuntu3) utopic; urgency=medium

  * In apport-kde recommend gdb-minimal before gdb
    LP: #1347565 "apport recommends gdb"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jul 2014 12:35:16 +0200

apport (2.14.4-0ubuntu2) utopic; urgency=medium

  * Merge from trunk:
    - apport-bug: Stop checking the autoreport flag and calling
      whoopsie-upload-all; these two are different tasks, and that breaks bug
      reporting. (LP: #1339663)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Jul 2014 17:18:33 +0200

apport (2.14.4-0ubuntu1) utopic; urgency=medium

  * New upstream bug fix release:
    - Adjust code to match latest pep8 checker.
    - Report.crash_signature_addresses(): Drop kernel architecture from
      StacktraceAddressSignature field. It isn't useful there (at most the ELF
      architecture, but we don't really need that either). This makes it
      easier to regenerate broken signatures from existing reports on
      different architectures. (LP: #1336565)
  * Fix PEP-8 errors in Ubuntu hooks.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Jul 2014 06:50:06 +0200

apport (2.14.3-0ubuntu2) utopic; urgency=medium

  * Turn on Launchpad crash submission for the devel series.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Jun 2014 15:40:26 +0200

apport (2.14.3-0ubuntu1) utopic; urgency=medium

  * New upstream bug fix release:
    - Add kernel package version to the various kernel-related hooks. Thanks
      Brian Murray. (LP: #1316845)
    - Use package name in duplicate signature for recoverable problems. Thanks
      Brian Murray. (LP: #1316763)
    - Have whoopsie-upload-all upload recoverable problems. Thanks Brian
      Murray.  (LP: #1319099)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 May 2014 15:35:53 +0200

apport (2.14.2-0ubuntu4) utopic; urgency=medium

  * data/package-hooks/source_linux.py: create a duplicate signature for
    suspend resume failures. (LP: #1316841)

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 May 2014 09:46:51 -0700

apport (2.14.2-0ubuntu3) utopic; urgency=medium

  * debian/apport-noui.upstart: remove early exit (LP: #1235436)
  * debian/apport-noui.dirs: create /var/lib/apport (LP: #1235436)

 -- Brian Murray <brian@ubuntu.com>  Wed, 14 May 2014 12:26:39 -0700

apport (2.14.2-0ubuntu2) utopic; urgency=medium

  * Merge "backend_apt_dpkg.test_install_packages_versioned: Fix namespacing
    of ver" fix from trunk, to better debug the autopkgtest failure on i386.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 May 2014 17:30:39 +0200

apport (2.14.2-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Move error handling for invalid .crash files into collect_info(), so
      that it also applies when using the "Show Details..." button in the UI.
      Otherwise the UI just hangs eternally at this point when encountering
      broken core dumps. (LP: #1282349)
    - apt/dpkg install_packages(): Try to install the requested package
      version instead of always picking the most recent one. This should
      improve retracing results for older crash reports. Thanks to Brian
      Murray for inspiring this.
    - sandboxutils.py, make_sandbox(): When determining packages to install
      from ProcMaps, look up and use the package versions from the reporter,
      to improve retracing results. Thanks Brian Murray for the initial patch!
    - iwlwifi_error_dump: Make reports private, and subscribe
      canonical-kernel-team.  Thanks Seth Forshee. (LP: #1313818)
    - signal_crashes test: Time out after 5 seconds if the test process does
      not terminate on the specified signal, to avoid eternal hangs.
    - signal_crashes test: Ensure that we don't inherit an ignored SIGQUIT
      from the caller.
  * Switch Vcs-* to utopic branch.
  * Add build-essential test dependency, some tests call gcc.
  * Install iwl_wifi_error_dump and corresponding udev rules. (Second part of
    LP: #1313818)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 30 Apr 2014 14:07:17 +0200

apport (2.14.1-0ubuntu3) trusty; urgency=medium

  * Cherry-pick from trunk: Delay the import of the glob and re modules in the
    python apport hook, and only import them when needed. Speeds up
    interpreter startup time by 50%. (LP: #1307684)

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Apr 2014 08:42:00 +0200

apport (2.14.1-0ubuntu2) trusty; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash/kernel reports for
    the final release. Only report to http://errors.ubuntu.com from now on.

 -- Brian Murray <brian@ubuntu.com>  Thu, 10 Apr 2014 14:26:24 -0700

apport (2.14.1-0ubuntu1) trusty; urgency=medium

  * New upstream bug fix release:
    - Fix FileNotFoundError from temporary launchpadlib cache dir cleanup.
      (LP: #1300474)
    - ui.py, open_url(): Skip any Python cleanup/atexit handlers in the forked
      xdg-open child, to avoid calling them twice. (Side issue of LP #1300474
      and #1282713)
    - apport-kde: Work around crash in sip by skipping the destructors of SIP
      objects. Thanks Rohan Garg! (LP: #1282713)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 04 Apr 2014 15:34:06 +0100

apport (2.14-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Add KernelCrash reports when iwlwifi encounters a firmware error (via
      the "error_dump" uevent and the new iwlwifi_error_dump helper). Thanks
      Seth Forshee!
    - launchpad: Really use a temporary launchpadlib cache dir by default.
      This avoids piling up gigabytes of useless cached data over time, which
      also tends to break every now and then.
    - Fix crash in logind session detection. Thanks Dimitri Ledkov!
      (LP: #1296026)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 31 Mar 2014 11:47:19 +0200

apport (2.13.3-0ubuntu1) trusty; urgency=medium

  [ Martin Pitt ]
  * New upstream release:
    - etc/cron.daily/apport: Cleanup .drkonqi files after 7 days. Thanks Harald
      Sitter.
    - ui.py: Try to grab session D-BUS address from user's session when being
      called through pkexec. (LP: #1287460)

  [ Brian Murray ]
  * data/package-hooks/source_linux.py: ensure dupe_sig1 and dupe_sig2 are
    None if they are not found

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 07 Mar 2014 16:34:45 +0100

apport (2.13.2-0ubuntu5) trusty; urgency=medium

  * data/package-hooks/source_linux.py: remove line feed from
    DuplicateSignature as it causes issues on the error tracker

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Feb 2014 13:36:50 -0800

apport (2.13.2-0ubuntu4) trusty; urgency=medium

  * data/kernel_oops: include the package version in addition to the name

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Feb 2014 14:09:39 -0800

apport (2.13.2-0ubuntu3) trusty; urgency=medium

  * package-hooks/source_linux.py: create a DuplicateSignature for kernel
    oops reports thereby allowing them to be bucketed and consolidated in
    the Ubuntu error tracker

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Feb 2014 14:33:07 -0800

apport (2.13.2-0ubuntu2) trusty; urgency=medium

  * Merge from trunk:
    -  Fix backend_apt_dpkg.test_get_file_package_uninstalled test that got
       broken in the previous release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 27 Jan 2014 15:21:06 +0100

apport (2.13.2-0ubuntu1) trusty; urgency=medium

  * New upstream bug fix release:
    - Fix crash if systemd cgroup is unreadable in /sys, such as in
      containers.  (LP: #1270783)
    - apt/dpkg: Also consider Contents.gz from updates/security/proposed
      pockets, so that e. g. apport-retrace works for crash reports with files
      that are new in those. Thanks to Brian Murray for the initial patch.
      (LP: #1271258)
    - Only drop internal/private keys (starting with '_') from uploading to
      the crash DB and from the UI report views, but not already when updating
      the report. (LP: #1272505)
    - data/apport: Fix stdout/stderr initialization of the error log, don't
      close the original fd after dup2'ing as it is usually already fd 1. This
      makes Apport work with Python 3.4. (LP: #1272355)
    - Adjust report tests to work with Python 3.4 (LP: #1272355)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 27 Jan 2014 11:33:51 +0100

apport (2.13.1-0ubuntu2) trusty; urgency=medium

  * debian/apport.upstart: Use running-in-container instead of checking init's
    environment.
  * Re-enable Launchpad crash reports for Trusty. (LP: #1271887)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Jan 2014 17:34:56 +0100

apport (2.13.1-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Fix report.test_get_timestamp test for running in other time zones.
    - Fix erroneous "gdb-multiarch not installed" warnings in ui tests.
    - Fix ui.test_run_crash_older_session test for running as root.
    - Fix ui.test_run_crash_older_session for different file system file
      orders.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jan 2014 10:58:54 +0100

apport (2.13-0ubuntu1) trusty; urgency=medium

  * New upstream release. Changes since our previous merge:
    - Do not report keys starting with '_' to the crash database. This can be
      used for keeping private keys in .crash files between crash and report
      time, or to store data between hooks etc., without cluttering reports.
    - UI: In "run all pending crashes" mode, skip reports that happened during
      logout in a desktop (specifically, logind) session; they are
      uninteresting and confusing to see at the next login. (LP: #1033932)
      They can still be reported manually with running the .crash file
      directly, but this sufficiently reduces the need to explicitly flag
      whether the report concerns a logout crash. (LP: #1067646)
    - Add support for PID namespaces (Linux containers): Crashes originating
      from a container on a system running a >= 3.12 kernel will be
      automatically redirected to apport inside the container, or ignored if
      apport is not installed in the container. Thanks to Stéphane Graber!
    - Print a warning when trying to retrace a report from a foreign
      architecture and gdb-multiarch is not installed. (LP: #1239395)
    - etc/init.d/apport: Don't change core_pattern when running in a
      container, as this influences the host and other containers, too.
  * apport/ui.py: Rename "MarkForUpload" whoopsie hack field to
    "_MarkForUpload" and remove delta from launchpad.py. Fields starting with
    '_' are now considered private.
  * debian/apport.upstart: Add "%P" macro to core_pattern, to enable Linux
    container handling with upstart.
  * debian/apport.upstart: Don't change core_pattern when running in a
    container, as this influences the host and other containers, too.
    (LP: #1267728)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jan 2014 09:07:07 +0100

apport (2.12.7-0ubuntu6) trusty; urgency=medium

  * Merge from trunk:
    - setup.py: Make updating of hashbangs work when building without Java,
      and also apply it on bin/.
  * Bump Standards-Version to 3.9.5, no changes necessary.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 07 Jan 2014 18:41:12 +0100

apport (2.12.7-0ubuntu5) trusty; urgency=low

  * Modify the location of apport/autoreport from /etc to /var/lib to be more
    compatible with phablet images.  Remove instance from apport-noui upstart
    job. (LP: #1235436)

 -- Brian Murray <brian@ubuntu.com>  Mon, 06 Jan 2014 13:00:41 -0800

apport (2.12.7-0ubuntu4) trusty; urgency=medium

  * In python3 (unlike python2) file object does not have "splitlines()"
    method, instead one iterate over the lines in the file directly. (LP:
    #1265735)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Jan 2014 08:36:55 +0000

apport (2.12.7-0ubuntu3) trusty; urgency=medium

  * Merge from trunk:
    - test_signal_crashes: Clean up unexpected reports after every test, to
      avoid breaking all subsequent tests.
    - test_signal_crashes: Stop checking that gdb prints nothing on stderr, as
      latest gdb 7.6.50 now almost always prints some about missing source
      files.
  * During package build, only run subset of tests that work on buildds, and
    make any failure fail the build. The full test suite  is run as
    autopkgtest.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Dec 2013 08:29:02 +0100

apport (2.12.7-0ubuntu2) trusty; urgency=low

  * data/package-hooks/source_ubiquity.py: only warn people about passwords in
    the debug log file if they are running in debug mode (LP: #1257159)
  * data/general-hooks/ubuntu.py: gather more information for dpkg already
    installed and configured package install failures

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Dec 2013 14:20:12 -0800

apport (2.12.7-0ubuntu1) trusty; urgency=low

  [ Martin Pitt ]
  * New upstream release:
    - Properly fall back to lsb_release if /etc/os-release is invalid.
    - report.py, add_proc_info(): Add "CurrentDesktop" field with the value of
      $XDG_CURRENT_DESKTOP, if present. (LP: #1247904)
    - fileutils.py, get_all_system_reports(): Filter out "guest..." users,
      they might have a system UID. (LP: #1250679)
    - apt/dpkg: Don't call dpkg-divert with full path, it moved in Ubuntu
      14.04. (LP: #1252305)
  * launchpad.py: Ignore "MarkForUpload" field, it's just for internal
    communication with whoopsie.

  [ Andy Whitcroft ]
  * package-hooks/source_linux.py: pull forward fix to generify linux-meta
    to linux mapping.  (LP: #1229611)
  * package-hooks/source_linux.py: pull forward kernel tagging for
    linux-lts- family kernels.  (LP: #1229611)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Nov 2013 09:11:53 +0100

apport (2.12.6-0ubuntu1) trusty; urgency=low

  * New upstream security/bug fix release:
    - SECURITY FIX: For setuid programs which drop their privileges after
      startup, make the report and core dumps owned by root, to avoid possible
      data disclosure. Also, change core dump files to permissions "0600".
      Thanks to Martin Carpenter for discovering this!
      (CVE-2013-1067, LP: #1242435)
    - sandboxutils.needed_runtime_packages(): Create cache directory for
      Contents.gz if missing. (LP: #933199)
    - apt/dpkg: Recognize options in apt sources.list. (LP: #1238620)
  * Move Vcs-Bzr to trusty branch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 25 Oct 2013 06:49:19 +0200

apport (2.12.5-0ubuntu2) saucy; urgency=low

  * etc/apport/crashdb.conf: Disable Launchpad crash/kernel reports for the
    final release. Only report to http://errors.ubuntu.com from now on.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 11 Oct 2013 12:11:45 +0200

apport (2.12.5-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release:
    - Report.add_os_info(): Do not overwrite already existing data.
      (LP: #1226776)
    - kernel_oops hook: Collect uname at the time of invoking the hook,
      instead of at data collection time. (LP: #1226776)
    - Replace fixed size icons with PNGs, which are more efficient and avoid
      rendering artifacts. (LP: #1231763)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 27 Sep 2013 05:56:30 +0200

apport (2.12.4-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Update icons to new design from Vishnoo Charan Reddy, many thanks!
      (LP: #1079639)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Sep 2013 13:27:03 -0500

apport (2.12.3-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release:
    - ProblemReport.write_mime(): Adjust MIMEText handling to latest Python
      3.3 upstream changes which now don't tolerate passing bytes any more.
      (LP: #1227381)
    - apport-gtk: Don't use obsolete add_with_viewport() method any more.
    - Fix ui_present_report_details() "modal_for" keyword for all UI
      implementations, so that --hanging works for -cli and -kde, too.
      (LP: #1213790)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Sep 2013 10:36:06 -0500

apport (2.12.2-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release. Changes since previous snapshot:
    - crash-digger: Write pid into lock file. Thanks Steve Langasek.
    - apport-gtk: When loading a Bug report from a file, properly set up for
      bug reporting mode. (LP: #1226140)
    - Move "program is not installed any more" check from report loading into
      data collection, so that crash reports can be moved and reported on
      machines without that program installed. (LP: #1226030)
  * data/general-hooks/ubuntu.py: Add output of "system-image-info -i" to
    reports as field "SystemImageInfo", to better identify phablet builds.
    (LP: #1225113)
  * Add gdb-minimal dependency to apport-noui, as for crashes we always need a
    StacktraceAddressSignature at least. (part of LP #1226030)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 17 Sep 2013 16:25:55 -0500

apport (2.12.1-0ubuntu4) saucy; urgency=low

  * whoopsie-upload-all: Add a -t/--timeout option. In Jenkins we don't want
    to block on upload for 30 mins, but it's still a reasonable timeout on
    phones.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Sep 2013 11:50:22 -0400

apport (2.12.1-0ubuntu3) saucy; urgency=low

  * data/general-hooks/ubuntu-gnome.py: Add tag when using the gnome3-next
    PPA.
  * data/general-hooks/cloud_archive.py: Fix IndexError if Package field does
    not exist.
  * Merge from trunk:
    - fileutils.py, get_{new,all}_reports(): Don't consider reports which are
      readable, but not writable. (LP: #1098844)
    - test_ui_kde.py: Cleanly skip the test if PyQt/PyKDE are not installed,
      instead of failing.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Aug 2013 12:42:01 +0200

apport (2.12.1-0ubuntu2) saucy; urgency=low

  * Don't provide arguments to whoopsie-upload-all. It doesn't take any.
  * Do not attempt to install the now dead apport-noui frontend.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 19 Aug 2013 15:25:05 +0100

apport (2.12.1-0ubuntu1) saucy; urgency=low

  [ Martin Pitt ]
  * New upstream release. Changes since our previous snapshot:
    - Drop apport-noui in favour of whoopsie-upload-all. We don't want to
      process hooks when run noninteractively, since they may ask questions or
      determine a report is not due to a bug in Ubuntu. whoopsie-upload-all
      skips these hooks.
    - apport/report.py: Gracefully handle being unable to get the source package
      for a binary package, as when the latter does not exist in the cache.
      (LP: #1097773)
  * data/general-hooks/ubuntu-gnome.py: Switch to Tim Lunn's duplicate DB for
    the Ubuntu GNOME PPA.

  [ Evan Dandrea ]
  * Call whoopsie-upload-all from the apport-noui upstart job instead of
    the now-dead apport-noui frontend.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 19 Aug 2013 14:42:26 +0100

apport (2.12-0ubuntu3) saucy; urgency=low

  * Add an upstart job and package to handle automatic error reporting.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 06 Aug 2013 11:17:48 +0100

apport (2.12-0ubuntu2) saucy; urgency=low

  * Merge from trunk:
    - sandboxutils.py, make_sandbox(): Install packages from Package: and
      Dependencies: fields also if we have a ProcMaps: field and there are any
      third-party packages. This fixes retracing crashes that use PPAs (as they
      don't have Contents.gz).
    - Robustify "progress bar visible" GTK and KDE UI checks for the faster
      collection due to dropping lsb_release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Aug 2013 16:03:43 +0200

apport (2.12-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - recoverable_problem: Can take the PID as an argument.
    - Add data/whoopsie-upload-all: Process all pending crashes and mark them
      for whoopsie upload, but do not upload them to any other crash database.
      Wait until whoopsie is done uploading.
    - Eliminate multiple calls to lsb_release by caching the result. On
      systems which provide /etc/os-release, use that instead of lsb_release.
      (LP: #1164742)
    - launchpad.py: Show the Python major version in the error message about
      missing launchpadlib.
    - ui.py: Check if options for updating and reporting a new bug get used
      together, and give a proper error message in this case. (LP: #1071905)
    - apport: Fix "Exectuable" typo, leading to reports not being synced on
      upstart crashes. Thanks James Hunt. (LP: #1203744)
    - Rename apport-gtk-mime.desktop to apport-gtk.desktop and drop the
      old apport-gtk.desktop that wasn't even being installed. With that, the
      window will be shown as "Report a problem..." instead of "Apport-gtk" in
      GNOME shell and other DEs. Thanks Jeremy Bicha. (LP: #1207496)
    - report.py, add_gdb_info(): Fix crash if gdb cannot load the symbol map.
      (LP: #1171484)
    - apport-retrace: Fix crash when using --sandbox without --cache.
      (LP: #1197034)
    - Fix error message when PID is inaccessible. (LP: #1204718)
    - doc/data-format.tex: Drop unused "OS" and "OSRelease" fields, replace
      with "DistroRelease" which is actually being used. (LP: #1018387)
  * debian/apport-gtk.install: Adjust for desktop file rename.
  * debian/apport.install: Install whoopsie-upload-all.
  * launchpad.py: Show package name in 'launchpadlib not installed' error
    message, and give a more direct error message when trying to use this
    through Python 3. (LP: #1071905)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Aug 2013 11:30:12 +0200

apport (2.11-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - data/apport-noui: A noninteractive frontend for automatic error
      reporting. apport-bug will use this if the /etc/apport/autoreport flag
      file exists.
    - hookutils.py, attach_upstart_logs(): Also attach
      ~/.cache/upstart/application-<desktopname>.log for any *.desktop file
      shipped by a package.
  * debian/apport.install: Ship the new apport-noui frontend.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Jul 2013 09:48:42 +0200

apport (2.10.2-0ubuntu4) saucy; urgency=low

  [ Brian Murray ]
  * Avoid a crash when handling dpkg terminal log files with unicode data in
    them

  [ Evan Dandrea ]
  * Fix the order of suid_dumpable and core_pattern. Thanks Seth Arnold
    (LP: #1194541).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 08 Jul 2013 15:50:49 +0100

apport (2.10.2-0ubuntu3) saucy; urgency=low

  * Enable suid_dumpable (core dumps of setuid binaries). This has
    always been safe for us, as we set a core pipe handler, but the
    kernel now protects against one not being set:
    http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-
    raring.git;a=blob;f=Documentation/sysctl/fs.txt;h=88152f214f48cb69c6
    43d4bf2ff2ac9a61ad2eb0;hb=HEAD

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 25 Jun 2013 15:37:01 +0100

apport (2.10.2-0ubuntu2) saucy; urgency=low

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py:
    - Resolve crash in duplicate signature calculation when the package is not
      installed (LP: #1184121)
    - Remove unusable check for previous package install failures
    - Fix indentation of package-conflict check

  [ Martin Pitt ]
  * Raise python-apport's "Suggests: python launchpadlib" to Depends:, as the
    only reason why to install this package is for apport-collect these days.
    (LP: #1192330)
  * Merge from trunk:
    - hookutils.py, attach_conffiles(): Fix check for inaccessible or modified
      conffiles. (LP: #1192899)
    - Updated translations from LP.
  * etc/apport/crashdb.conf: Enable crash reports on Launchpad for saucy.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 21 Jun 2013 07:16:00 +0200

apport (2.10.2-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release:
    - Resolve symlinks in file references in Python crash signatures.
      (LP: #1179979)
    - Fix endless loop of EOFErrors with broken core dumps. (LP: #1168849)
    - report.py, add_gdb_info(): Fix crash if gdb did not determine an
      assertion message. (LP: #1171484)
    - apt/dpkg: Fix get_file_package()'s "release" field to actually mean
      DistroRelease:, not a distro code name. This now requires a previous
      call to install_packages() with a configdir, which needs to have a file
      <configdir>/<release>/codename with the release's code name in it.
    - sandboxutils.py: Call get_file_package() with the report's release, so
      that we actually get files from the target release, not the host
      release.
    - test_hookutils.py: Don't assume that /etc/motd exists.
  * Move to dh compat level 9.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 May 2013 12:39:21 +0200

apport (2.10.1-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release:
    - Fix ui.test_run_crash_anonymity_escaping test when running as root.
    - launchpad.py: Fix crash when trying to adjust a distro-only bug task if
      the bug also already has a distropackage task.
    - apt/dpkg: When there is no -dbg package, install all -dbg packages of
      the corresponding source package, and only then fall back to -dbgsym.
      (LP: #1003234)
  * data/general-hooks/ubuntu.py: Fix PEP8 error, to make test suite run
    again.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 May 2013 16:43:09 +0200

apport (2.10-0ubuntu3) saucy; urgency=low

  * data/general-hooks/cloud_archive.py: deal with the case where a bug is
    being reported about a package that is not installed (LP: #1173240)

 -- Brian Murray <brian@ubuntu.com>  Mon, 06 May 2013 08:29:51 -0700

apport (2.10-0ubuntu2) saucy; urgency=low

  * data/general-hooks/ubuntu.py: For package installation failures, build a
    DuplicateSignature from the package, version, and dpkg ErrorMessage,
    instead of using the whole dpkg terminal log.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 02 May 2013 15:21:23 -0700

apport (2.10-0ubuntu1) saucy; urgency=low

  [ Martin Pitt ]
  * New upstream release. Changes since our previous snapshot:
    - Support retracing foreign powerpc reports, thanks Steve Langasek.
    - apport/report.py: Generate a crash signature for suspend/resume failures.
    - hookutils.py: Add attach_upstart_logs(), thanks Steve Langasek.
    - hookutils.py, in_session_of_problem(): Port from ConsoleKit to logind.
    - apport/report.py: Handle the case where the user has been removed from
      the system, but one of its still-running binaries crashes (LP: #1163453).
    - Fix anonymization of user/GECOS fields with regexp control characters
      like '+'. (LP: #985049)
    - Run tests under LC_CTYPE=C and unset LANG as well, to discover
      assumptions about UTF-8 locales. Fix the two failing tests.
    - Fix UnicodeDecodeError when apport encounters non-ASCII environment
      variables. (LP: #1172638)
  * debian/control: Update Vcs-* for saucy branch.
  * data/general-hooks/cloud_archive.py: Fix PEP-8 error.

  [ Steve Langasek ]
  * data/general-hooks/ubuntu.py: Call attach_upstart_logs(), to attach the
    logs for any upstart user jobs shipped by the binary package.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Apr 2013 14:49:42 -0700

apport (2.9.2-0ubuntu8) raring; urgency=low

  * data/package-hooks/source_ubiquity.py: use an untranslated string to
    determine if the grub install was successful (LP: #1168126)

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Apr 2013 12:51:43 -0700

apport (2.9.2-0ubuntu7) raring; urgency=low

  * data/general-hooks/cloud_archive.py: Send reports for packages from
    the Ubuntu Cloud Archive to the cloud-archive project on Launchpad.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Apr 2013 16:07:39 +0100

apport (2.9.2-0ubuntu6) raring; urgency=low

  * etc/apport/crashdb.conf: Disable Launchpad crash/kernel reports for the
    raring release. Only report to http://errors.ubuntu.com from now on.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Apr 2013 12:42:27 +0200

apport (2.9.2-0ubuntu5) raring; urgency=low

  * data/package-hooks/source_ubiquity.py: Fix crash on non-UTF-8 data in log
    files.
  * Merge from trunk:
    - data/gcc_ice_hook: Fix crash with source files that have non-UTF8 data.
      (LP: #1045283)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 27 Mar 2013 09:01:58 +0100

apport (2.9.2-0ubuntu4) raring; urgency=low

  * data/general-hooks/ubuntu-gnome.py: Add "gnome3-ppa" tag if any dependency
    is from the gnome3 PPA.
  * Merge from trunk:
    - hookutils.attach_conffiles(): Fix IOError crash on inaccessible
      conffiles; mark them as '[inaccessible: <reason>]' instead.
      (LP: #1154536)
    - hookutils.in_session_of_problem(): Fix crash when the current locale is
      invalid. (LP: #1154896)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 25 Mar 2013 15:34:02 +0100

apport (2.9.2-0ubuntu3) raring; urgency=low

  [ Martin Pitt ]
  * Add data/general-hooks/ubuntu-gnome.py: Send reports for packages from the
    gnome3 PPAs to the ubuntu-gnome Launchpad project. (LP: #1158119)

  [ Philip Muškovac ]
  * Add the seed name as bug tag in the ubiquity hook so it's possible to
    filter the bugs by the image that was used. (LP: #1154302)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 25 Mar 2013 11:17:49 +0100

apport (2.9.2-0ubuntu2) raring; urgency=low

  * Include ubiquity.log generated by upstart for the ubiquity.conf
    upstart job.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 13 Mar 2013 18:52:21 +0000

apport (2.9.2-0ubuntu1) raring; urgency=low

  * New upstream release:
    - report.py, add_package_info(): Add "[origin: unknown]" tag to
      Package/Dependencies fields for non-distro package whose origin cannot
      be determined. (LP: #1148116)
    - Adjust kernel_crashdump to the format kdump-tools produces. Thanks Louis
      Bouchard.
    - Write core dumps on SIGQUIT if ulimit allows. Thanks Graeme Hewson.
      (LP: #1153662)
  * debian/apport.upstart: Also check for kdump-tools-style kernel crash
    reports for calling kernel_crashdump. Thanks Louis Bouchard.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Mar 2013 11:48:27 +0100

apport (2.9.1-0ubuntu1) raring; urgency=low

  * New upstream release:
    - launchpad.py: Add support for filing bugs as private. Document this in
      doc/crashdb-conf.txt. (LP: #1144647)
    - Fix crash in error() and warning() if there is no sys.stderr.
      (LP: #1012445)
    - Fix Turkish translation to add missing keyboard accelerator.
      (LP: #648750)
    - fileutils.py, find_package_desktopfile(): Restrict to autostart and
      application .desktop files. (LP: #1147528)
    - apt/dpkg get_modified_files(): Fix crash when encountering non-ASCII
      file names in an ASCII locale. (LP: #1044014)
  * Bump Standards-Version to 3.9.4 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 Mar 2013 16:04:35 +0100

apport (2.9-0ubuntu2) raring; urgency=low

  * Merge from trunk:
    - test_signal_crashes.py: Fix test_crash_apport() when being run under
      LD_PRELOAD.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Mar 2013 13:35:21 +0100

apport (2.9-0ubuntu1) raring; urgency=low

  [ Martin Pitt ]
  * New upstream release. Changes since previous trunk merge:
    - fileutils.py, shared_libraries(): Return a "name → path" dict instead of
      just a set of names. Thanks Kyle Nitzsche.
    - sandboxutils.py: Support unpackaged executables, i. e. reports which do
      not have "Package" and "Dependencies" fields. For those, get required
      libraries from "ProcMaps". Thanks Kyle Nitzsche.
    - apport/report.py: report if LD_PRELOAD and LD_LIBRARY_PATH are set.
      Thanks James Hunt.
    - apport-valgrind: Cleanly exit on keyboard interrupts. Thanks Kyle
      Nitzsche.
    - debian.py: Fix "string payload expected" crash when building the report.
      Thanks Dmitry Shachnev. (Debian #698010)
    - Move shared_libraries() and links_with_shared_library() from hookutils
      into fileutils, so that we can use it from apport-valgrind. Thanks to
      Kyle Nitzsche for the initial patch.
    - fileutils.shared_libraries(): Filter out virtual "linux-vdso" from
      result.  Thanks Kyle Nitzsche.
    - apport-valgrind: Fix path to debug symbols in the sandbox.
    - ui.py, get_desktop_entry(): Fix for Python 2.

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: remove adding of running-unity tag to bug
    reports as the majority of users are now using unity so this is the more
    common case.
  * data/package-hooks/source_ubiquity.py: set a default value for cd_error

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Mar 2013 09:17:34 +0100

apport (2.8-0ubuntu4) raring; urgency=low

  * ui.py: Check $PKEXEC_UID in addition to $SUDO_UID for opening a browser.
    (Backported from trunk).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Feb 2013 11:26:39 +0100

apport (2.8-0ubuntu3) raring; urgency=low

  * Backport polkit action for running apport-gtk through pkexec to access
    system crash reports from upstream r2578

 -- Brian Murray <brian@ubuntu.com>  Wed, 30 Jan 2013 08:13:01 -0800

apport (2.8-0ubuntu2) raring; urgency=low

  [ Martin Pitt ]
  * debian/control: Add alternative libc-dbg dependencies.

  [ Brian Murray ]
  * data/package-hooks/source_linux.py: modify check for whether or not the
    kernel is an upstream one (LP: #1100198)

 -- Brian Murray <brian@ubuntu.com>  Thu, 17 Jan 2013 09:04:19 -0800

apport (2.8-0ubuntu1) raring; urgency=low

  * New upstream release:
    - Factor out sandbox management functions from apport-retrace into
      apport/sandboxutils.py, so that other programs can re-use the API
      easily. Thanks to Kyle Nitzsche for the initial work on this.
    - Generate a crash signature for kernel OOPSes.
    - Add "apport-valgrind" tool to produce valgrind reports in a temporary
      sandbox with debug symbols (similar to apport-retrace). Thanks Alex
      Chiang and Kyle Nitzsche!
    - Fix StacktraceAddressSignature generation on ARM. (LP: #1089778)
    - debian.py: Fix TypeError crash in payload generation. Thanks Ritesh Raj
      Sarraf.
    - apport_python_hook.py: Update "ExecutableTimestamp" field when mangling
      "ExecutablePath". (LP: #1077253)
  * Add new apport-valgrind binary package.
  * Re-enable Launchpad crash reports for raring.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Jan 2013 08:39:35 +0100

apport (2.7-0ubuntu2) raring; urgency=low

  * Cherry-pick from trunk:
    - Fix StacktraceAddressSignature generation on ARM. (LP: #1089778)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Dec 2012 08:56:47 +0100

apport (2.7-0ubuntu1) raring; urgency=low

  * New upstream release:
    - packaging.py, get_file_package(): Add optional "release" and "arch"
      arguments for getting a file's package for a foreign release or
      architecture. Implement this for apt/dpkg backend.
    - packaging.py, install_packages(): Add optional "architecture" argument
      for creating a sandbox for a foreign architecture. Implement this for
      apt/dpkg backend.
    - When a report's architecture does not match the system architecture, try
      to use gdb-multiarch (if available, as packaged on Debian/Ubuntu), and
      set architecture and gnutarget accordingly in gdb. This supports x86,
      x86_64, and ARM for now, so that reports from all these architectures
      can be retraced on an x86_84 machine. (LP: #1044437)
    - launchpad.py: Add "architecture" option to process reports for a foreign
      architecture.
    - Add exceptions from package hooks to new HookError_<filename> report
      field, to make them more visible. Until now they were only written to
      stderr. (LP: #1086309)
    - apport-cli: Fix showing of prompt. Thanks Dmitry Shachnev!
    - fileutils.py, mark_report_upload(): Do not try to remove the .uploaded
      file, as this is not owned by the user.
    - backends/packaging-apt-dpkg.py, install_packages(): Set mirror to the
      one in the sandbox config.
    - apportcheckresume: Fix crash if state file does not exist.
  * debian/control: Add "gdb-multiarch" suggests to apport-retrace, and update
    package description for justification.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Dec 2012 14:07:04 +0100

apport (2.6.3-0ubuntu4) raring; urgency=low

  * Merge from trunk: Consistently use ignore file without $HOME. Fixes
    running as root, and autopkgtests.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Dec 2012 23:28:09 +0000

apport (2.6.3-0ubuntu3) raring; urgency=low

  * Fix OSError crash in mark_report_upload(); regression from
    2.6.3-0ubuntu2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Dec 2012 10:55:55 +0000

apport (2.6.3-0ubuntu2) raring; urgency=low

  * debian/control: Add libglib2.0-dev and libnih-dev build dependencies, for
    the tests that run during build time.
  * debian/tests/control: Add missing test dependencies: libnih-dev for
    test_add_gdb_info_abort_libnih.
  * Merge from trunk:
    - Fix test_find_package_desktopfile test to not consider packages with
      only one "NoDisplay=true" .desktop file for the "has one desktop file"
      test.
    - report.py, mark_ignore(): Use home directory of actual effective user,
      not of $HOME. Fixes ignore file when using through sudo.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Nov 2012 21:51:33 +0100

apport (2.6.3-0ubuntu1) raring; urgency=low

  * New upstream release. Changes since our previous snapshot:
    - debian.py: Only reject reports with useless stack traces if the report
      actually has a stack trace at all.
    - debian.py: Fix UTF-8 string handling. Thanks Ritesh Raj Sarraf.
    - debian.py: Fix crash on broken "Package" fields, as generated by current
      Debian/Ubuntu dkms package.
    - data/apport: Call fsync when writing upstart crash reports.
    - report.py, add_gdb_info(): Handle libnih's assertion messages.
      (LP: #997359)
    - apport-gtk, apport-kde: Don't provide an option to restart a crashed
      application when the crash occurred in a thread (LP: #1033902).
    - apport-retrace: Disallow option -C without option -S. Thanks Kyle
      Nitzsche.
    - fileutils.py, mark_report_upload(): Refresh the .upload stamps if a
      previous version of the report was already uploaded, but another
      instance of the problem happened since then. Thanks Brian Murray. (LP:
      #1084296)
    - Ignore implausibly low addresses when computing
      StacktraceAddressSignature.  These are usually artifacts from gdb when
      not having debug symbols, and having too many of them prevents proper
      client-side duplicate detection and proper bucketing in daisy.
      (LP: #1084996)
    - fileutils.py: Ignore .desktop files with NoDisplay=true. (LP: #1048524)
  * debian/tests/control: Run tests as root, just like before switching our
    autopkgtests to run as user "ubuntu" by default. This enables a couple of
    extra tests, and avoids some confusion because the distro and the user
    name are identical.
  * data/package-hooks/source_linux-nexus7.py: Fix PEP-8 error.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Nov 2012 18:00:01 +0100

apport (2.6.2-0ubuntu5) raring; urgency=low

  * data/general-hooks/ubuntu.py: Deal with dpkg_log file being a string
    instead of bytes (LP: #1080915)

 -- Brian Murray <brian@ubuntu.com>  Mon, 19 Nov 2012 17:03:54 -0800

apport (2.6.2-0ubuntu4) raring; urgency=low

  * data/package-hooks/source_linux.py: Do not abort with "not an Ubuntu
    kernel" if the report has a CrashDB set, i. e. reports go to a different
    project.
  * Add data/package-hooks/source_linux-nexus7.py: Package hook for our nexus7
    package which currently lives in a PPA: (LP: #1076082)
    - Report bugs against the "ubuntu-nexus7" project.
    - Collect information from the "linux" source package hook.
    - Add "mobile" and "nexus7" tags.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Nov 2012 09:24:12 +0100

apport (2.6.2-0ubuntu3) raring; urgency=low

  * debian/tests/control: Add missing libglib2.0-0-dbg test dependency for the
    report.test_add_gdb_info_abort_glib() check.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Nov 2012 10:49:30 +0100

apport (2.6.2-0ubuntu2) raring; urgency=low

  * debian/tests/control: Add libglib2.0-dev dependency for the new "glib
    assertion message" test case.
  * Merge from trunk:
    - test_signal_crashes.py: Fix incompatibility with Python 3.3.
    - test_signal_crashes.py: Allow XDG_RUNTIME_DIR environment variable, as
      it only shows whether or not it is set. (Test regression from 2.6)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Nov 2012 10:24:28 +0100

apport (2.6.2-0ubuntu1) raring; urgency=low

  * New upstream release:
    - problem_report.py: Fix UnicodeDecodeError crash under Python 2 when the
      report has an unicode field with an unprintable ASCII character < 20.
    - debian.py: Fix calling of parent accepts() method and return value.
      Thanks Ritesh Raj Sarraf.
    - bin/apport-retrace: Fix crash when not using --sandbox mode.
    - report.py, add_proc_info(): Throw correct exception if the executable
      path does not exist, to provide a more appropriate error message.
      (LP: #1065129)
    - report.py, add_gdb_info(): Check __glib_assert_msg for assertion
      messages, too.
    - REThread.py: Fix for Python 3.3.
  * debian/control: Update Vcs-Bzr: for raring branch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Nov 2012 16:18:56 +0100

apport (2.6.1-0ubuntu6) quantal-proposed; urgency=low

  * Do not refer to the current release in the InstallationDate field
    (LP: #1070400). We have the installed release version in the
    InstallationMedia field.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 24 Oct 2012 14:31:10 +0100

apport (2.6.1-0ubuntu5) quantal-proposed; urgency=low

  * Include the date that Ubuntu was installed with each report
    (LP: #1070400).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 24 Oct 2012 11:29:18 +0100

apport (2.6.1-0ubuntu4) quantal-proposed; urgency=low

  * apport/ui.py: create a MarkForUpload field and set that to false for
    binaries that changed since the crash happened thereby preventing uploads
    to the crash database (LP: #1039220)

 -- Brian Murray <brian@ubuntu.com>  Tue, 16 Oct 2012 13:31:24 -0700

apport (2.6.1-0ubuntu3) quantal; urgency=low

  * etc/apport/crashdb.conf: Disable Launchpad crash/kernel reports for the
    final release. Only report to http://errors.ubuntu.com from now on.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 09 Oct 2012 17:19:32 +0200

apport (2.6.1-0ubuntu2) quantal; urgency=low

  * apport-kde; do not run mainloop as well as dialogues, prevents
    crash on reporting a bug

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2012 13:14:38 +0100

apport (2.6.1-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - setup.py: Build java module with "-target 1.5" option, so that you can run
      it with OpenJDK 6 even if you build with OpenJDK 7.
    - report.py, add_proc_info(): Show if $XDG_RUNTIME_DIR is set.
    - Add apport/crashdb_impl/debian.py: Initial crash database implementation for
      the Debian BTS. Add configuration for it to etc/apport/crashdb.conf. Thanks
      Ritesh Raj Sarraf!
      Note that in the Ubuntu packaging branch crashdb.conf is not changed, as
      we do not need the Debian BTS and this would otherwise be Feature Freeze
      matter.
    - test_python_crashes.py: Robustify "$PYTHONPATH in ProcEnviron" check.
    - Updated translations from Launchpad.
  * data/package-hooks/source_linux.py: Stop collecting ACPI data, not
    needed/desired for most bug reports according to Colin King.
  * debian/tests/control: Add at-spi2-core dependency, otherwise the GTK test
    will fail to connect to org.a11y.Bus.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Oct 2012 12:27:00 +0200

apport (2.5.3-0ubuntu1) quantal; urgency=low

  * New upstream release. Changes since our previous snapshot:
    - report.py, search_bug_patterns(): Fix bug patterns containing non-ASCII
      characters.
    - apport_python_hook.py: Capture $PYTHONPATH and $PYTHONHOME environment
      variables for Python crashes.
    - Translation updates.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 28 Sep 2012 12:59:11 +0200

apport (2.5.2-0ubuntu4) quantal; urgency=low

  * Merge from trunk:
    - hookutils.py, attach_root_command_outputs(): Ignore IOError crash about
      nonexisting files, which can happen if the user dismisses authorization.
      (LP: #1051222)
    - launchpad.py: Fix tag filtering for Python 3. (LP: #1052754)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Sep 2012 08:07:01 +0200

apport (2.5.2-0ubuntu3) quantal; urgency=low

  * data/general-hooks/ubuntu.py: Fix PEP-8 errors.
  * Merge from trunk:
    - apport/ui.py: Update expected exception after r2486.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Sep 2012 10:41:09 +0200

apport (2.5.2-0ubuntu2) quantal; urgency=low

  * data/general-hooks/ubuntu.py: Add "package-from-proposed" tag if the
    installed package version is available from -proposed, but not from
    -security and -updates. (LP: #1050853)
  * Merge fixes from trunk:
    - data/apportcheckresume: Open report file in binary mode. (LP: #1040353)
    - packaging-apt-dpkg.py: When throwing ValueErrors, show the non-existing
      package name. This makes it easier to debug such crashes.
    - launchpad.py: Replace characters from tags which are not allowed by
      Launchpad with '.' (LP: #1029479)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Sep 2012 14:51:08 +0200

apport (2.5.2-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Fix crash on broken .desktop files. (LP: #1039889)
    - apport-gtk: For console program crashes, say "stopped" instead of
      "closed".  Add a subtitle label with a hint about hanging programs.
      Thanks Matt Price and Matthew Paul Thomas!
    - report.py: Fix crash on determination of Python module path when
      examining a crash of "python -m ...".
    - apport-kde: Fix crash with undefined QString under Python 3. Thanks
      Jonathan Riddell! (LP: #1028984)
    - launchpad.py: Add missing "Pre-release Freeze" status. Thanks Brian
      Murray!
    - report.py, _check_bug_pattern(): Fix bug pattern matching against binary
      values. Thanks Brian Murray for the original patch. (LP: #1016380)
  * debian/control: Move x-terminal-emulator dependency from apport-retrace to
    -gtk and -kde. It's those which actually spawn an X terminal for
    apport-retrace to run in, and this lessens the dependencies for
    apport-retrace on server type systems.
  * Add debian/apport.maintscript: Clean up obsolete precise conffile
    /etc/apport/native-origins.d/lts-q-backports on upgrades. (LP: #1049058)
  * data/general-hooks/ubuntu.py: Fix PEP-8 errors.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 17 Sep 2012 14:15:41 +0200

apport (2.5.1-0ubuntu7) quantal-proposed; urgency=low

  * bin/apport-bug: Explicitly set the PATH to that of ENV_SUPATH in
    /etc/login.defs. We need do this so that confined applications using
    ubuntu-browsers.d/ubuntu-integration cannot abuse the environment to
    escape AppArmor confinement via this script (LP: #1045986). This can be
    removed once AppArmor supports environment filtering (LP: 1045985)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 04 Sep 2012 21:23:16 -0500

apport (2.5.1-0ubuntu6) quantal; urgency=low

  * data/general/ubuntu.py: handle the case where a log file is compressed
    when reviewing package installation failures (LP: #917903)

 -- Brian Murray <brian@ubuntu.com>  Tue, 04 Sep 2012 15:35:50 -0700

apport (2.5.1-0ubuntu5) quantal; urgency=low

  * Use Python string rather than QString, LP: #1028984

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Sep 2012 16:13:14 +0100

apport (2.5.1-0ubuntu4) quantal; urgency=low

  * do not stack trace when ec2 metadata is available (LP: #1018552)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 30 Aug 2012 17:15:02 -0400

apport (2.5.1-0ubuntu3) quantal; urgency=low

  * data/general/ubuntu.py: when creating a duplicate signature search the
    terminal log for more messages indicating the start of a failure thereby
    creating a duplicate signature in more cases

 -- Brian Murray <brian@ubuntu.com>  Tue, 28 Aug 2012 09:56:30 -0700

apport (2.5.1-0ubuntu2) quantal; urgency=low

  * Merge from trunk:
    - test/run: Ignore root_info_wrapper with pyflakes.
    - packaging-apt-dpkg.py: Add recommended packages to "Dependencies:"
      field.  (LP: #1014428)
    - test_hookutils.py, test_in_session_of_problem(): Use year 2038 for a
      future date instead of 2211, as current Python 3.2 now crashes with an
      OverflowError on 32 bit machines with later years.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Aug 2012 07:50:15 +0200

apport (2.5.1-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - test_recoverable_problem.py: Fix test for calling test runner with
      absolute path.
    - packaging-apt-dpkg.py: Fix crash on writing virtual_mapping.db when
      running with --sandbox-dir and -S system or giving no --cache.
    - REThread.py: Fix re-raising of exceptions in Python 3. Thanks Martin
      Packman! (LP: #1024836)
    - apport-retrace: Keep compressed CoreDump from .crash files instead of
      uncompressing them into memory. This dramatically reduces memory usage.
      (LP: #981155)
    - Add an apport.memdbg() function which prints out current memory usage if
      APPORT_MEMDEBUG is set. Annotate apport-retrace with it.
    - hookutils.py: Allow specifying a list of profile names when using
      attach_mac_events(). Thanks Marc Deslauriers.
    - hookutils.py, attach_root_command_outputs() and root_command_output():
      Drop usage of sudo, kdesudo, and gksu, and replace with pkexec. For
      attach_root_command_outputs(), use a wrapper and proper .policy file
      which explains the action and works under every environment; thus
      attach_root_command_outputs() is preferred over root_command_output()
      now, as it provides a better user experience.
    - Package hooks which want to send the report to a different crash
      database than "default" can now also give the database specification
      itself in the "CrashDB" field, not just the DB name. With this, packages
      do not need to ship a separate /etc/apport/crashdb.conf.d/ file. Please
      see doc/package-hooks.txt for details. (LP: #551330)
    - report.py, add_hooks_info(): If reporting against a package/program in
      /opt, also search for package hooks in the corresponding /opt directory.
      This allows such hooks to define a custom crash database and thus report
      bugs against their own project instead of against the distribution.
      (LP: #1020503)
  * debian/rules: Call dh_install with --list-missing, and ignore .pyc and
    .egg-info files.
  * debian/apport.install: Install new polkit .policy and root_info_wrapper
    files, and add policykit-1 Recommends.
  * debian/apport.install: Ship is-enabled script.
  * debian/apport-kde.install: Ship userpass.ui file.
  * Drop debian/apport-retrace.manpages and debian/apport.manpages and install
    the man pages from *.install instead. This works better with
    --list-missing.
  * debian/apport.install: Install 000record-status pm-utils script, to
    unbreak suspend failure detection.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Aug 2012 11:58:45 +0200

apport (2.4-0ubuntu9) quantal; urgency=low

  * apport/ui.py: revert the change to when the .upload file is created as the
    fix was incomplete and requires more investigation

 -- Brian Murray <brian@ubuntu.com>  Tue, 21 Aug 2012 10:23:35 -0700

apport (2.4-0ubuntu8) quantal; urgency=low

  * hookutils.py: Allow specifying a list of profile names when using
    attach_mac_events()

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 15 Aug 2012 22:47:33 -0400

apport (2.4-0ubuntu7) quantal; urgency=low

  * apport/ui.py: only create the .upload file after collect_info is complete
    that way whoopsie will upload crash files with all the information it
    needs (LP: #1020994)

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Aug 2012 16:07:34 -0700

apport (2.4-0ubuntu6) quantal; urgency=low

  * debian/control:
    - Drop python3-pykde4 from Build-Depends.  The dep8 tests will pull
      it in as needed.  The non-fatal build tests will continue to fail the
      KDE test anyway because it requires X.  This way, we don't require
      python3-pykde4 to be in main.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 25 Jul 2012 13:20:42 -0400

apport (2.4-0ubuntu5) quantal; urgency=low

  * Merge from trunk:
    - test_recoverable_problem.py: Fix test for calling test runner with
      absolute path.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 23 Jul 2012 07:06:40 +0200

apport (2.4-0ubuntu4) quantal; urgency=low

  * data/general/ubuntu.py: check to see if a package installation duplicate
    signature has been encountered previously and if so prevent bug reporting
    (LP: #1007637)
  * data/general/ubuntu.py: properly decode DpkgTerminalLog lines

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Jul 2012 11:39:06 -0700

apport (2.4-0ubuntu3) quantal; urgency=low

  * data/general/ubuntu.py: modify regualr expressions for determining which
    package installation failures to gather /etc/default/grub for
    (LP: #1006633)

 -- Brian Murray <brian@ubuntu.com>  Wed, 18 Jul 2012 15:48:49 -0700

apport (2.4-0ubuntu2) quantal; urgency=low

  * debian/apport.install: Ship the new recoverable_problem script.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Jul 2012 16:33:56 +0200

apport (2.4-0ubuntu1) quantal; urgency=low

  [ Brian Murray ]
  * data/general/ubuntu.py: in trim_log deal with the fact that
    DpkgTerminalLog is a bytes object and convert it to a string object

  [ Martin Pitt ]
  * New upstream release. Changes since our previous snapshot:
    - Add new "RecoverableProblem" report type for problems which the
      application can handle, but still wishes to notify the user and send a
      problem report about. As an example, the application may wish to notify
      the user because handling the error resulted in degraded functionality.
      The user interface may fail to load items, or the action just performed
      may not return any data. Applications call
      /usr/share/apport/recoverable_problem with a string of arbitrary
      NUL-separated key/value pairs that are added to the report. Thanks Evan
      Dandrea!
    - launchpad.py: Fix setting of 'Medium' importance on duplicate checking.
    - apport-retrace: Fix StacktraceSource generation for relative --cache
      paths.
    - crashdb.py, check_duplicate(): Do not try to mark a bug as duplicate of
      itself. This can happen when re-processing a previously retraced bug.
    - apport-retrace: Fix UnicodeDecodeError when encountering a non-ASCII
      source code file and running under a non-UTF-8 locale.
  * debian/control: Add libc6-dbg build dependency, to ensure that the
    report.test_add_gdb_info_abort test case can succeed (otherwise gdb cannot
    decipher the __abort_msg structure).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Jul 2012 12:31:50 +0200

apport (2.3-0ubuntu4) quantal; urgency=low

  * debian/control: Add gir1.2-wnck-3.0 dependency for apport-gtk, needed by
    the new --hanging feature.
  * Merge from trunk:
    - test_python_crashes.py: Fix race condition in timeout test.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Jul 2012 18:35:15 +0200

apport (2.3-0ubuntu3) quantal; urgency=low

  * Merge from trunk:
    - apport_python_hook.py: For org.freedesktop.DBus.Error.ServiceUnknown
      exceptions, add a 'DbusErrorAnalysis' field to the report which points
      out whether any .service file provides the service it tried to talk to,
      and whether the processes for those are running. This helps to determine
      the root cause for such errors (missing dependencies, broken .service
      files, talking to the wrong bus, etc.) (LP: #1020572)
    - hookutils.py, attach_alsa(): Use alsa-info.sh when available. Thanks
      David Henningson.
    - ui tests, test_wait_for_pid(): Fix eternal hang when running as root.
    - testsuite: Fix ResourceWarnings when running with Python 3.
  * debian/control, debian/tests/control: Add gvfs-daemons as build/test
    dependency, as test_python_crashes uses it as an example for handling
    python-dbus exceptions.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Jul 2012 14:58:45 +0200

apport (2.3-0ubuntu2) quantal; urgency=low

  * Fix PEP-8 violations in Ubuntu specific hooks, picked up by latest pep8
    checker.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 09 Jul 2012 11:30:29 +0200

apport (2.3-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - launchpad.py: Rework test suite to not use Launchpad's +storeblob
      facility at all any more. It almost never works on staging and is
      horribly slow. Fake the bug creation from a blob by manually creating
      the comment and attachments ourselves, and just assume that storeblob
      works on production.  Also change the structure to allow running every
      test individually.
    - crash-digger: Add --crash-db option to specify a non-default crash
      database name. (LP: #1003506)
    - apport-gtk: Add --hanging option to specify the process ID of a hanging
      application. If the user chooses to report this error, apport will
      terminate the pid with SIGABRT, otherwise it will send SIGKILL. The
      normal core pipe handler will be used to process the resulting report
      file, with a .hanging file in /var/crash to separate these from regular
      crashes.
    - apport: Also treat a binary as modified if the /proc/pid/exe symlink
      does not point to an existing file any more. (LP: #984944)
    - Fix PEP-8 violations picked up by latest pep8 checker.
    - ui.py: Do not ignore certain exceptions during upload which are not
      likely to be a network error.
    - launchpad.py: Recongize Launchpad projects for bug query and marking
      operations. (LP: #1003506)
    - packaging-apt-dpkg.py: Fix get_source_tree() to work with apt sandboxes.
    - apport-retrace: Turn StacktraceSource generation back on, now that it
      works with the current sandboxing.
    - launchpad.py: Ensure that upload chunk size does not underrun.
      (LP: #1013334)
    - apport_python_hook: Fix UnicodeEncodeError crash with Python 2 for
      exceptions with non-ASCII characters. (LP: #972436)
    - test_ui_kde.py: Fix occasional test failure in test_1_crash_details if
      the application ends before the "is progress bar visible" check is done.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 09 Jul 2012 08:14:30 +0200

apport (2.2.5-0ubuntu2) quantal; urgency=low

  * data/general/ubuntu.py: fix an issue with a regular expression for
    finding a package install failure due to a corrupt package

 -- Brian Murray <brian@ubuntu.com>  Mon, 02 Jul 2012 13:24:00 -0700

apport (2.2.5-0ubuntu1) quantal; urgency=low

  * New upstream bug fix release:
    - launchpad.py: Fix str vs. bytes crash for already known bugs, take 2.
       (LP: #1015788)
    - apport/ui.py, get_desktop_entry(): Disable interpolation, to correctly
      read desktop files with % signs. (LP: #1014341)
    - apport/ui.py: Fix rare crash if a report is already being updated in the
      background when the UI tries to update a previous version. (LP: #949196)
    - GTK and KDE UI tests: Avoid eternal hangs due to "this is not a distro
      package" error messages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Jun 2012 16:15:20 +0200

apport (2.2.4-0ubuntu1) quantal; urgency=low

  * debian/tests/control: Simplify Depends: line by using "@" and dropping
    packages which are already dependencies of apport's packages.
  * debian/tests/control: Drop undefined "no-build-needed" feature.
  * New upstream bug fix release. Changes since our previous trunk snapshot:
    - apport-cli: Unbreak "keep" option. (LP: #1007826)
    - launchpad.py: Fix str vs. bytes crash for already known bugs.
      (LP: #1015788)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Jun 2012 09:13:56 +0200

apport (2.2.3-0ubuntu6) quantal; urgency=low

  * Merge from trunk:
    - test/run: Wait for a previous xvfb server to finish before trying to
      start one. This fixes a race condition in the KDE UI tests which often
      failed to start up xvfb.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 Jun 2012 07:59:33 +0200

apport (2.2.3-0ubuntu5) quantal; urgency=low

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: do not report 'dpkg-deb --control returned
    error exit status 2' package install failures

  [ Martin Pitt ]
  * debian/tests/upstream-system: Show number of failed tests on stdout, not
    stderr.
  * debian/tests/control: Add python3-mock and xvfb dependencies.
  * Merge from trunk:
    - test_crash_digger.py: Do not write crash reports of crash-digger into
      system /var/crash, use a temporary directory.
  * debian/control: Add XS-Testsuite header, as per current DEP-8.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Jun 2012 08:51:18 +0200

apport (2.2.3-0ubuntu4) quantal; urgency=low

  * debian/tests/upstream-system: Clean up old crash reports.
  * debian/tests/upstream-system: Show number of failed tests.
  * Merge from trunk:
    - test_signal_crashes.py: Show crash reports in /var/crash/.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Jun 2012 09:30:10 +0200

apport (2.2.3-0ubuntu3) quantal; urgency=low

  * Merge from trunk:
    - test_apport_unpack.py: Fix test_unpack_python() test when running the
      system-installed tests.
    - data/java_uncaught_exception: Fix for Python 3.
  * debian/tests/control: Add apport-retrace dependency, as the tests cover
    it.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Jun 2012 12:57:19 +0200

apport (2.2.3-0ubuntu2) quantal; urgency=low

  * debian/rules: Disable the xvfb tests during package build for now, as they
    currently cause the buildds to hang indefinitely. They are still run in
    the jenkins autopkgtests.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Jun 2012 10:17:17 +0200

apport (2.2.3-0ubuntu1) quantal; urgency=low

  [ Martin Pitt ]
  * New upstream bug fix release:
    - test/run: Do not run pep8 and pyflakes when running against the sytem
      installed Apport.
    - test_backend_apt_dpkg.py: For the "are we online" check, verify that we can
      download from http://ddebs.ubuntu.com/, not just whether we have a default
      route. The latter is not sufficient for e. g. buildd environments which are
      online, but are restricted by proxies or firewalls.
    - test_report.py: Call "sync" after test script write core dumps, to ensure
      that subsequent operations have a complete one.
    - test_signal_crashes.py: Drop the broken and obsolete test_local_python()
      test. Instead, add two tests which check proper logging.
    - launchpad.py: Fix urlopen() for Python3. Thanks Steve Langasek.
    - test/run: Run the tests under LC_MESSAGES=C, to avoid failing tests on
      translated strings.
  * debian/control: Add libc6-dbg | libc6-dbgsym dependency to apport-retrace,
    to ensure gdb can decipher the abort_msg_s struct and thus read assertion
    messages. Also add libc6-dbg to debian/tests/control so that
    report.test_add_gdb_info_abort can succeed in autopkgtest.
  * debian/control, debian/tests/control: apport-retrace needs a terminal
    emulator, so add an x-terminal-emulator dependency. Add xterm as build and
    autopkgtest dependency, so that the tests have one available.
  * debian/control: Drop python-launchpadlib from Depends to Suggests for
    python-apport, too.

  [ Steve Langasek ]
  * debian/rules: call dh_python3 with --skip-private, to avoid incorrect
    generation of a .rtupdate script for /usr/share/apport.  LP: #1013171.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Jun 2012 08:27:17 +0200

apport (2.2.2-0ubuntu2) quantal; urgency=low

  * debian/control: Add python3-pykde4 build dependency for the test suite.
  * debian/rules: Unset $TMPDIR during the tests, to work around LP #972324.
  * Merge from trunk:
    - test/test_signal_crashes.py: More verbose tests.
  * debian/tests/upstream-system: Do not run in the source tree, as we want to
    check the system-installed Apport.
  * debian/tests/control: Explicitly depend on apport-kde and apport-gtk.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Jun 2012 17:55:35 +0200

apport (2.2.2-0ubuntu1) quantal; urgency=low

  * debian/control: Add alternative gdb-minimal dependencies to
    apport-{gtk,kde}. (LP: #1012405)
  * debian/control: apport-kde: depend on python3-pykde4.
  * debian/tests/control: Add missing python3 dependencies for the GUI tests.
  * New upstream release:
    - testsuite: Run with Python 3 by default. To test with Python 2, run
      "PYTHON=python2 test/run".
    - apport: Redefine sys.std{out,err} when redirecting output, as they are
      None in Python 3 when being called from the kernel.
    - test/test_signal_crashes.py: Clean up unexpected core dumps on failed
      test cases.
    - apport-gtk: Fix crash when closing the crash dialog while the
      information is being collected.
    - hookutils.py, xsession_errors(): Fix crash when running under a non-UTF8
      locale.
    - data/apport: Do not use sys.stdin.fileno(), it is invalid when being
      called from the kernel with Python 3.
    - data/apport: When core dumps are enabled, read them from the written
      report instead of directly from stdin (and then reading the written core
      file into the .crash report). If the core file size is limited, we
      otherwise stop reading the core dump from the kernel in the middle and
      have no (or a broken) core dump to be put into the report.
    - data/apport: Properly close the written crash report before changing its
      permissions to be readable. This prevents having crash reporting UI from
      looking at incomplete .crash files.
  * debian/rules: drop explicit setting of $PYTHON, test suite is now run
    with python3 by default.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Jun 2012 13:08:51 +0200

apport (2.2.1-0ubuntu2) quantal; urgency=low

  * debian/control: Add back the Python 2 build dependencies, as we
    are also doing a Python 2 build.
  * debian/control: Add pyflakes build dependency, so that it can run during
    the build.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Jun 2012 06:38:26 +0200

apport (2.2.1-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Clean up module imports.
    - test/run: Run pyflakes, if available.
    - package_hook: Add --tags option. Thanks to Brian Murray.
    - launchpad.py: Drop the external multipartpost_handler.py (which is not
      portable to Python 3) and replace it with using the standard email
      module.
    - launchpad.py: Also work with Python 3. Deal gracefully with a missing
      "launchpadlib" module; this is not yet available for Python 3, but not
      required for client-side reporting.
    - apport-kde: Port to work with Python 3.
    - apport-retrace: Fix crash when using the --procmaps option.
    - setup.py: Update hashbang lines of installed scripts in data directory
      to the python executable setup.py was run with, similar to what already
      happens to scripts installed to ../bin/.
    - apport-cli: Port to work with Python 3.
    - setup.py: When fixing hashbang lines of installed scripts, only include
      the major Python version.
    - hookutils.py, read_file, attach_file(), attach_file_if_exists(): Convert
      file contents to unicode if the contents is UTF-8, or the newly added
      force_unicode argument is True.
    - hooktuils, command_output(): Convert output to unicode by default, and
      add a "decode_utf8" parameter to disable this.
    - hookutils.py, recent_logfile(): Fix fd leak.
    - data/apport: Do not assume that sys.stdout and sys.stderr always have a
      name; they can be None in Python 3.
    - data/dump_acpi_tables.py: Fix for Python 3.
  * data/package-hooks/source_debian-installer.py: Port to work with Python 3.
  * Move to Python 3, except for the parts that need python-launchpadlib
    (which is not yet available for Python 3):
    - debian/control: Add python3-problem-report and python3-apport packages.
    - debian/control: Switch build and binary dependencies to Python 3
      equivalents, except for apport-retrace.
    - debian/rules: Override dh_auto_* to also handle python3-* packages (see
      Debian #597105).
    - debian/rules: Run test suite with Python 3.
    - debian/rules: Switch hashbang line of apport-retrace back to Python 2.
    - Move /etc/apport/crashdb.conf from python-apport to apport, and
      recommend apport from both python{,3}-apport.
  * bin/apport-bug: Force running with python 2 when being invoked as
    apport-collect, and add a check/error message that you need to install
    python-apport to use this.
  * test/test_hookutils.py: Drop duplicate definition of _get_mem_usage(), now
    identical again to trunk.
  * ./test/test_ui_gtk.py: Drop duplicate definition of
    test_immediate_close(), now identical again to trunk.
  * data/general-hooks/ubuntu.py: Do not decode result of command_output(),
    this is done by default now.
  * data/package-hooks/source_linux.py: Add a __main__ for debugging. Stop
    importing hookutils into the global namespace.
  * data/package-hooks/source_ubiquity.py: Fix undefined command_output().
  * data/general-hooks/ubuntu.py: Move definition of wrong_grub_msg and
    grub_hook_failure to the correct place, so that this actually works.
  * data/general-hooks/ubuntu.py: Drop definition of unused "cloud" variable.
  * data/general-hooks/ubuntu.py: Do not import hookutils symbols into global
    namespace.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Jun 2012 12:23:53 +0200

apport (2.1.1-0ubuntu2) quantal; urgency=low

  [ Martin Pitt ]
  * data/general-hooks/automatix.py: Fix whitespace according to PEP-8.
  * data/general-hooks/ubuntu.py: Fix whitespace according to PEP-8.
  * data/package-hooks/source_{linux,ubiquity}.py: Fix whitespace according to
    PEP-8.
  * debian/control: Add pep8 build dependency, to ensure folks test-build with
    that.
  * etc/apport/crashdb.conf: Re-enable Launchpad crash reporting again.

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: collect /etc/default/grub on systems where a
    package failed to install during update-grub (LP: #1006633)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Jun 2012 15:44:54 +0200

apport (2.1.1-0ubuntu1) quantal; urgency=low

  [ Martin Pitt ]
  * debian/control: Update Vcs-Bzr: for quantal branch.
  * data/general-hooks/ubuntu.py: Do not assume that all reports have a
    ProblemType field. This will not be the case for updating a bug with
    "apport-collect". (LP: #1004029)
  * New upstream release:
    - launchpad.py: When closing a bug as a duplicate, copy some well-known
      tags to the master bug. Thanks Brian Murray.
    - launchpad.py: Set importance of Python crash reports to "Medium" by
      default, similar to signal crashes. Thanks Brian Murray.
    - hookutils.py: Add attach_default_grub() convenience function from the
      grub2 package hook so it can be used by other packages. Thanks Brian
      Murray.
    - launchpad.py: Make Launchpad bug subscription user/team configurable:
      The initial subscriber after filing a bug can be set with the
      "initial_subscriber" crashdb option, and the team which gets subscribed
      after retracing with "triaging_team". (LP: #980726)
    - report.py: Do not change the SourcePackage: field if the binary package
      is not installed and does not exist. This fixes source package hooks to
      actually work in some cases where source and binary package names
      overlap. (part of LP: #993810)
    - apport-gtk, apport-kde: Avoid collecting information twice in "bug
      update" mode. This caused a crash in cases where the source package in a
      bug report does not correspond to an installed binary package.
      (LP: #993810)

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: block reporting of package install failures
    with error regarding 'not a debian format archive'

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 30 May 2012 09:06:49 +0200

apport (2.1-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - packaging.py, install_packages(): Add permanent_rootdir flag and if set,
      only unpack newly downloaded packages. Implement it for the apt/dpkg
      backend. Thanks Evan Dandrea.
    - apport-retrace: Add --sandbox-dir option for keeping a permanent sandbox
      (unpacked packages). This provides a considerable speedup. Thanks Evan
      Dandrea.
    - crash-digger: Add --sandbox-dir option and pass it to apport-retrace.
    - Fix the whole code to be PEP-8 compatible, and enforce this in test/run
      by running the "pep8" tool.
    - GTK UI tests: Ensure that there are no GLib/GTK warnings or criticals.
    - Support Python 3. Everything except the launchpad crashdb backend now
      works with both Python 2 and 3. An important change is that the load(),
      write(), and write_mime() methods of a ProblemReport and apport.Report
      object now require the file stream to be opened in binary mode.
    - data/apport: Ignore a crash if the executable was modified after the
      process started. This often happens if the package is upgraded and a
      long-running process is not stopped before. (LP: #984944)
    - Add test cases for apport-unpack.
    - apport-retrace: Add information about outdated packages to the
      "RetraceOutdatedPackages" field.
    - ui.py: Drop python-xdg dependency, use ConfigParser to read the .desktop
      files.
    - apport-gtk: Work around GTK crash when trying to set pixmap on an
      already destroyed parent window. (LP: #938090)
    - data/dump_acpi_tables.py: Fix crash on undefined variable with
      non-standard tables. (LP: #982267)
    - backends/packaging-apt-dpkg.py: Fix crash if a package is installed, but
      has no candidates in apt. (LP: #980094)
    - data/general-hooks/generic.py: Bump minimum free space requirement from
      10 to 50 MB. 10 is not nearly enough particularly for /tmp. (LP: #979928)
    - hookutils.py, recent_logfile(): Use a default limit of 10000 lines and
      call "tail" instead of reading the whole file. This protects against
      using up all memory when there are massive repeated log messages.
      (LP: #984256)
    - apport-gtk: Do not assume that an icon requested for size 42 actually
      delivers size 42; some themes do not have this available and deliver a
      smaller one instead, causing overflows. Also, copy the image as
      gtk_icon_theme_load_icon() returns a readonly result which we must not
      modify. (LP: #937249)
    - ui.py: Don't show the duplicate warning when the crash database does not
      accept the problem type, and they are just being sent to whoopsie.
      Thanks Evan Dandrea. (LP: #989779)
    - report.py: Correctly escape the file path passed to gdb.
    - apport-gtk, apport-kde: Do not show the information collection progress
      dialog if the crash database does not accept this kind of report. In that
      case whoopsie will upload it in the background and the dialog is not
      necessary.  (LP: #989698)
  * data/general-hooks/ubuntu.py, data/general-hooks/automatix.py: Support
    Python 3.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 May 2012 16:33:53 +0200

apport (2.0.1-0ubuntu7) precise-proposed; urgency=low

  * Fix (LP: #989779). Don't show the duplicate warning when we're just
    reporting to daisy.ubuntu.com.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 27 Apr 2012 16:53:11 +0100

apport (2.0.1-0ubuntu6) precise-proposed; urgency=low

  * Cherry-pick from trunk:
    - hookutils.py, recent_logfile(): Use a default limit of 10000 lines and
      call "tail" instead of reading the whole file. This protects against
      using up all memory when there are massive repeated log messages.
      (LP: #984256)
    - apport-gtk: Do not assume that an icon requested for size 42 actually
      delivers size 42; some themes do not have this available and deliver a
      smaller one instead, causing overflows. Also, copy the image as
      gtk_icon_theme_load_icon() returns a readonly result which we must not
      modify. Fixes crashes when using themes other than the standard Ubuntu
      ones. (LP: #937249)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 20 Apr 2012 18:53:24 +0200

apport (2.0.1-0ubuntu5) precise-proposed; urgency=low

  * etc/apport/crashdb.conf: Disable Launchpad crash/kernel reports for the
    final release. Leave Apport running for whoopsie, though, so use the new
    mechanism for selective problem types.
  * Cherry-pick from trunk:
    - data/general-hooks/generic.py: Bump minimum free space requirement from
      10 to 50 MB. 10 is not nearly enough particularly for /tmp.
      (LP: #979928)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Apr 2012 10:08:28 +0200

apport (2.0.1-0ubuntu4) precise; urgency=low

  * Cherry-pick from trunk:
    - data/dump_acpi_tables.py: Fix crash on undefined variable with
      non-standard tables. (LP: #982267)
    - backends/packaging-apt-dpkg.py: Fix crash if a package is installed, but
      has no candidates in apt. (LP: #980094)
    - Launchpad automatic translations update.
  * debian/control: Drop duplicated python-gi build dependency, thanks
    lintian.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Apr 2012 16:29:04 +0200

apport (2.0.1-0ubuntu3) precise; urgency=low

  * Cherry-pick from trunk:
    - GTK UI tests: Ensure that there are no GLib/GTK warnings or criticals.
    - apport-gtk: Work around GTK crash when trying to set pixmap on an
      already destroyed parent window. (LP: #938090)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Apr 2012 19:42:02 +0200

apport (2.0.1-0ubuntu2) precise; urgency=low

  * debian/general-hooks/ubuntu.py: if the package installation failure is
    from live media check to see that /cdrom, the real root filesystem, has
    enough free space

 -- Brian Murray <brian@ubuntu.com>  Wed, 11 Apr 2012 15:41:01 -0700

apport (2.0.1-0ubuntu1) precise; urgency=low

  * New upstream bug fix release. Changes since our previous snapshot:
    - problem_report.py, write_mime(): Fix regression from version 1.95: Add a
      value as attachment if it is bigger than 1000 bytes, not if it is bigger
      than 100. (LP: #977882)
    - packaging-apt-dpkg.py: Avoid constructing and updating the apt.Cache()
      objects multiple times, to speed up retracing. Thanks Evan Dandrea.
      (LP: #973494)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Apr 2012 15:38:11 +0200

apport (2.0-0ubuntu5) precise; urgency=low

  * Merge from trunk:
    - generic package hook: Also check /tmp for enough space. Thanks Brian
      Murray. (LP: #972933)
    - Automatic Launchpad translation updates.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Apr 2012 07:34:08 +0200

apport (2.0-0ubuntu4) precise; urgency=low

  * debian/tests/upstream-system: Drop dead code.
  * debian/tests/upstream-system: Work around LP #972324 by unsetting TMPDIR
    for the tests.
  * Merge test fixes from trunk:
    - test_backend_apt_dpkg.py: Fix checks for the installation of -dbgsym
      packages. This should always happen, as the sandboxes have a ddeb apt
      source. Only make it conditional on the system apt sources in the "use
      system config" test.
    - test_report.py: Sleep a bit after calling our test crash script, to
      ensure the kernel has time to finish writing the core file.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Apr 2012 14:17:38 +0200

apport (2.0-0ubuntu3) precise; urgency=low

  [ Martin Pitt ]
  * data/general-hooks/ubuntu.py: Do not capture stderr of lsb_release.
    (LP: #955111)

  [ Scott Moser ]
  * data/general-hooks/ubuntu.py: timeout on attempts to contact ec2 metadata
    service (LP: #855651)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Apr 2012 06:58:07 +0200

apport (2.0-0ubuntu2) precise; urgency=low

  * debian/control: Make dh-apport Multi-Arch: foreign, so that it can
    satisfy cross-build-dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Mar 2012 02:29:55 +0100

apport (2.0-0ubuntu1) precise; urgency=low

  * New upstream release: This is the final 2.0 release, featuring the
    overhauled and simplified GUI, support for whoopsie-daemon, and
    client-side duplicate checking.
    - report.py, anonymize(): Only replace whole words, not substrings.
      (LP: #966562)
    - apport_python_hook.py: Fix filtering of
      org.freedesktop.DBus.Error.NoReply exceptions. (LP: #958575)
    - crashdb.py: When publishing the crash database, cut hash file names
      after quoting, to avoid that the quoting causes them to become too long.
      (LP: #968070) This also uncovered that known() did not actually find any
      signature which contained an URL-quoted character, therefore breaking
      client-side duplicate checking in a lot of cases. Double-quote the file
      name now, as urlopen() unquotes it.
    - Add a new crash database option "problem_types" and a CrashDatabase
      method "accepts(report)". This can be used to stop uploading particular
      problem report types to that database. E. g. a distribution might decide
      to not get "Crash" reports any more after release.  Document the new
      option in doc/crashdb-conf.txt.
    - ui.py: Do not upload a report if the crash database does not accept the
      report's type. This behaviour is not really correct, but necessary as
      long as we only support a single crashdb and have whoopsie hardcoded.
      Once we have multiple crash dbs, we need to not even present the data if
      none of the DBs wants the report. See LP #957177 for details.
      (LP: #968121)
    - ui.py: Do not short-circuit information collection if report already has
      a "DistroRelease" field, as the GUIs add that in some cases. Check for
      "Dependencies" instead. This fixes information collection for kernel
      problems (which now has a full GTK GUI test case). (LP: #968488)
  * Merge from trunk:
    - test_ui_gtk.py: Disable package hooks for the tests, as they might ask
      for sudo passwords and other interactive bits, and thus make the tests
      hang.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Mar 2012 12:38:02 +0200

apport (1.95-0ubuntu1) precise; urgency=low

  [ Martin Pitt ]
  * New upstream release:
    - apport-gtk, apport-kde: When reporting a "system crash", don't say "...
      of this program version", but "...of this type", as we don't show a
      program version in the initial dialog
      (https://wiki.ubuntu.com/ErrorTracker#error) (LP: #961065)
    - problem_report.py, write_mime(): Do not put a key inline if it is bigger
      than 1 kB, to guard against very long lines. (LP: #957326)
    - etc/cron.daily/apport: Do not remove whoopsie's *.upload* stamps every
      day, only if they are older than a week. whoopsie comes with its own
      cron job which deals with them. Thanks Steve Langasek. (LP: #957102)
    - report.py, mark_ignore(): Fix crash if executable went away underneath
      us. (LP: #961410)
    - apport-gtk: Do not compare current continue button label against a
      translated string.  Instead just remember whether or not we can restart
      the application. (LP: #960439)
    - hookutils.py, command_output(): Add option to keep the locale instead of
      disabling it.
    - hookutils.py, command_output(): Actually make the "input" parameter
      work, instead of causing an eternal hang. Add tests for all possible
      modes of operation.
    - hooktuils.py: Change root_command_output() and
      attach_root_command_outputs() to disable translated messages
      (LC_MESSAGES=C) only as part of the command to be run, not already for
      the root prefix command. This will keep the latter (gksu, kdesudo, etc.)
      translated. (LP: #961659)
    - apport-gtk: Cut off text values after 4000 characters, as Gtk's TreeView
      does not get along well with huge values. KDE's copes fine, so continue
      to display the complete value there. (LP: #957062)
    - apport-gtk: Make details window resizable in bug reporting mode.
    - crashdb.py, known(): Check the address signature duplicate database if
      the symbolic signature exists, but did not find any result. (LP: #103083)
    - ui.py: Run anonymization after checking for duplicates, to prevent host
      or user names which look like hex numbers to corrupt the stack trace.
      (LP: #953104)
    - apport-gtk: Require an application to both have TERM and SHELL in its
      environment to consider it a command line application that was started
      by the user. (LP: #962130)
    - backends/packaging-apt-dpkg.py, _check_files_md5(): Fix double encoding,
      which caused UnicodeDecodeErrors on non-ASCII characters in an md5sum
      file. (LP: #953682)
    - apport-kde, apport-gtk: Only show "Relaunch" if the report has a
      ProcCmdline, otherwise we cannot restart it. (LP: #956173)
    - apport-gtk, apport-kde: Show the ExecutablePath while we're collecting
      data for the crash report. Thanks Evan Dandrea. (LP: #938707).
  * debian/copyright: Change to copyright format 1.0.
  * debian/control: Bump Standards-Version to 3.9.3.

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: use main.log to determine UpgradeStatus not
    apt.log (LP: #886111)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Mar 2012 18:55:17 +0100

apport (1.94.1-0ubuntu2) precise; urgency=low

  * Merge from trunk:
    - ui.py: Ensure that the report file is readable by the crash reporting
      daemon after running through collect_info(). Thanks Evan Dandrea.
    - apport-gtk, apport-kde: Set the window title to the distribution name, as
      per http://wiki.ubuntu.com/ErrorTracker#error . Thanks Evan Dandrea.
      (LP: #948015)
    - test/run: Ignore obsolete packages on the system, to avoid breaking the
      GUI tests due to them.
    - hookutils.py, attach_alsa(): Add the full "pacmd list" output instead of
      just sinks and sources. Thanks David Henningsson.
    - apport-gtk: Fix handling of non-ASCII strings in message dialogs.
      (LP: #865394)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Mar 2012 16:52:53 +0100

apport (1.94.1-0ubuntu1) precise; urgency=low

  * New upstream bug fix release. Changes since our previous snapshot:
    - apport-cli: Consistently handle unicode vs. byte arrays. (LP: #946207)
    - report.py, anonymize(): Fix crash when the hostname or user name contain
      non-ASCII characters. (LP: #945230)
    - packaging-apt-dpkg.py: Fix UnicodeDecodeError on unexpected md5sum output.
      (LP: #921037)
    - apport-gtk: Fix handling of non-ASCII strings in message dialogs.
      (LP: #865394)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Mar 2012 14:47:31 +0100

apport (1.94-0ubuntu2) precise; urgency=low

  * Merge from trunk:
     - collect_info(): Do not assume that reports have a "ProblemType" field.
       This is not the case when updating a bug. (LP: #947519)
     - Re-enable inadvertently disabled "bug report for uninstalled package"
       test.
     - Update translations from Launchpad.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Mar 2012 11:37:17 +0100

apport (1.94-0ubuntu1) precise; urgency=low

  [ Martin Pitt ]
  * New upstream release:
    - apport: Set the group of written reports to "whoopsie" if that group
      exists.
    - Fix tests to run properly against the system-installed modules and
      binaries.
    - test/run: Run under LC_MESSAGES=C to avoid test failures due to
      translated strings.
    - general-hooks/generic.py: Also attach xsession-errors for programs that
      link to libgtk-3.
    - launchpad.py: Properly handle "Expired" status, to avoid marking new
      bugs as duplicates of expired ones. (LP: #941854)
    - apport: Fix crash if the "whoopsie" group does not exist. (LP: #942326)
    - report.py, crash_signature(): Do not put "<module>" frames into Python
      crash signatures that happen outside of function/method calls. Fall back
      to the file/line number as a frame description instead. This will do a
      much better job at disambiguating e. g. different ImportError crashes.
      (LP: #920403)
    - Make "binary changed since the time of the crash" error message more
      comprehensible, thanks Paolo Rotolo. (LP: #942830)
    - crashdb.py, check_duplicate(): It can happen that a bug gets identified
      as being a duplicate of bug S by symbolic signatures and a duplicate of
      bug A by address signatures. Empirical evidence shows that this is due
      to the unavoidable jitter in stack traces (A and S not being identified
      as duplicates as their signatures differ slightly) and not a logic
      error. So instead of erroring out, duplicate all three bugs and keep the
      lowest number as the master ID. (LP: #943117)
    - Revert the usage of multiple nested threads during data collection, and
      switch back to only using one UI thread. The UI implementations can, and
      now do, decide between showing a spinner and showing a progress dialog
      in the ui_*_info_collection_progress() methods. This fixes libX11
      crashes when multiple UI threads do changes concurrently (LP: #901675),
      and also avoids multi-thread induced crashes in Pango (LP: #943661). The
      removal of the collect() method also fixes the new crashes in it.
      (LP: #942098, #939803)
    - ui.py, get_desktop_entry(): Fix crash on uninstalled package.
      (LP: #940984)
    - data/unkillable_shutdown: Fix crash on race condition when PID goes away
      while the report is created. (LP: #546369)
    - apport/hookutils.py, pci_devices(): Fix crash on unexpected lines from
      lspci. (LP: #904489)
    - Drop hardcoded "Ubuntu" words again which crept in with the whoopsie
      support merge. Use the DistroRelease: field.
    - apport-kde: Fix Home page URL in KApplication metadata.
    - apport-gtk: Fix resizability and size after hiding details.
      (LP: #405418)
    - test/run: Drop "local" argument. This now tests against the source tree
      when run in the source tree root, and against the system
      libraries/programs when run from anywhere else.
    - test/run: Consider command line arguments as test names and only run
      those when given. Also support just running a single test.
    - testsuite: Force the skipping of online tests when $SKIP_ONLINE_TESTS is
      set.
    - hookutils.py, xsession_errors(): Add a reasonable default pattern which
      matches glib-style warnings, errors, criticals etc. and X window errors.
      In data/general-hooks/generic.py, call it with that default instead of
      the rather incomplete custom pattern. (LP: #932660)
    - packaging.py: Add get_package_origin() method, and implement it for
      apt-dpkg.
    - report.py, add_package_info(): Add "[origin: ...]" tag to "Package" and
      "Dependencies" fields for any package which is not native to the
      distribution. If any such package is present, tag the report with
      "third-party-packages" in data/general-hooks/generic.py. (LP: #927912)
    - apport/packaging.py: Add get_uninstalled_package() method as a helper
      method for the test suite. Use it instead of a hardcoded Debian/Ubuntu
      specific name in test/test_hooks.py.
    - test/test_ui_{gtk,kde}.py: Add test cases for complete UI workflow runs
      for reporting a bug against an installed/uninstalled package, and
      reporting a crash with and without showing details. This reproduces the
      recent crashes like LP #901675 or LP #943661.
    - test_ui.py: Add a test case for reporting a complete report on
      uninstalled package. This happens when reporting a problem from a
      different machine through copying a .crash file.
    - test/run: Add a test that there are no hardcoded "Ubuntu" words in the
      source. The code should use the DistroRelease: field or lsb_release.
  * debian/apport-retrace.install: Ship crash-digger. There is no reason any
    more not to, as it's now very easy to set up a retracer bot environment.
  * debian/apport.install: Install crash.{class,jar} into test suite
    directory, so that the test_java_crashes.py test can run.
  * debian/control: Tighten dependencies to ensure that we don't run a newer
    UI package against an older python-apport, which would cause crashes due
    to API mismatches. (LP: #939702)
  * Drop test/test_backend_rpm.py, as we also drop the RPM backend in the
    Ubuntu branch.
  * debian/rules: Update test suite invocation, the "local" argument is
    obsolete.

  [ Brian Murray ]
  * data/package-hooks/source_linux.py: add in ProcFB

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Mar 2012 15:32:07 +0100

apport (1.93-0ubuntu2) precise; urgency=low

  [ Martin Pitt ]
  * debian/control: Add python-launchpadlib and psmisc build dependencies for
    the test suite.
  * Merge from trunk:
    - apport: Set the group of written reports to "whoopsie" if that group
      exists.

  [ Brian Murray ]
  * data/package-hooks/source_ubiquity.py: prevent reporting of bugs where
    there was an I/O error with the disk being installed to or from
    (LP: #874727)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 23 Feb 2012 17:54:54 +0100

apport (1.93-0ubuntu1) precise; urgency=low

  * New upstream bug fix release:
    - apport-gtk: Fix crash on nonexisting icon. Thanks Evan Dandrea.
      (LP: #937354)
    - ui.py, open_url(): Revert back to calling sudo instead of dropping
      privileges ourselves; with the latter, calling firefox as the sudo'ing
      user fails. (LP: #916810, #938128)
    - ui.py: Fix aborting with "AssertionError" if the report is already
      known, but without an URL. (LP: #938778)
    - launchpad.py: If a bug is already known, but the report is private, do
      not send the report. There is little sense piling up lots of duplicates.
      (LP: #938700)
    - test/crash: Fix regression of test_crash_apport(), consider $TERM a
      non-sensitive variable.
    - ui.py: Fix test failures for data collection progress, they are not
      expected to happen for "ProblemType: Crash" any more (happens in the
      background during sending, or if user clicks on "Show Details").
    - test/hooks: Use a package from Debian/Ubuntu main, so that this works
      better during package builds on build servers.
    - test/python: Do not assume that /var/crash/ exists. Use /var/tmp/ for
      the fake binaries instead.
    - data/general-hooks/parse_segv.py: Fix test case name.
    - ui.py: Fix crash on invalid core dumps. (LP: #937215)
    - launchpad.py: Fix crash on unicode report titles. (LP: #896626)
    - apport-gtk: Show the most interesting fields first in the details view.
    - do-release: Call pyflakes and abort on errors other than unused imports.
    - Move all test suites out of the code modules into test/test_<module>.py.
      This avoids having to load it every time the program runs, and also
      allows running the tests against the installed version of Apport.
    - Clean up the other executable test script in test/* and change them to
      the same structure as the module tests.
  * debian/control: Add python-mock and GTK gir build dependencies for the
    gtk/kde tests.
  * debian/control: Add procps dependency to avoid a "command not found" error
    for killall in the ubuntu.py general hook during the test suite.
  * debian/control: Add missing python-gi dependency to apport-gtk.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 23 Feb 2012 16:22:37 +0100

apport (1.92-0ubuntu1) precise; urgency=low

  [ Martin Pitt ]
  * New upstream release:
    - man/apport-bug.1: Mention where crash files are stored. Thanks David
      Kastrup.
    - hookutils.py, attach_hardware(): Sort ProcModules, thanks Brian Murray.
    - launchpad.py: Keep "Dependencies" attachment in duplicates. Thanks Brian
      Murray.
    - Reorganize the GNOME and KDE user interface to do the crash
      notifications and detail browser in a single dialog. Add test/gtk and
      test/kde tests to check expected dialog layout for different cases.
      Thanks Evan Dandrea!
    - Add support for the whoopsie-daisy crash reporting daemon by creating
      zero-byte .upload file stamps for crash reports. Thanks Evan Dandrea!
    - ui.py: Fix wrong creation of "~" folder instead of expanding it to home
      directory when using "Examine locally". Thanks Jason Conti!
      (LP: #909149)
    - Replace file() calls with open() for Python 3 compatibility. Thanks
      Colin Watson!
    - launchpad.py: Avoid sending tag names with upper case. (LP: #924181)
    - report.py, crash_signature_addresses(): Fix crash if report does not
      have "Signal".
    - apport-gtk: Fix resize handling of expander in details window. Thanks
      Thomas Bechtold! (LP: #930562)
    - Clean up unnecessary imports. Thanks Evan Dandrea!
  * debian/apport-kde.install: Ship new spinner.gif.

  [ Brian Murray ]
  * data/package-hooks/source_ubiquity.py: include kernel command line from
    ubiquity syslog in the report as InstallCmdLine
  * data/package-hooks/source_ubiquity.py: move apport-bug failures due to
    grub-installer to that package (LP: #878335)
  * debian/control: Add xvfb dependency so that the test suite can run the GUI
    tests.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 20 Feb 2012 16:55:29 +0100

apport (1.91-0ubuntu1) precise; urgency=low

  * New upstream release:
    - crashdb.py, check_duplicate(): If a crash has a signature but no
      existing duplicate in the DB, also check for an existing address
      signature duplicate in the DB.
    - apport-retrace: Use DistroRelease specific subdirectory of the cache dir
      for mapping a file to a package, as these maps are release specific.
    - packaging-apt-dpkg.py: Refresh Contents.gz cache if it is older than one
      day.
    - crashdb.py: Ensure that address_signature duplicate db table does not
      have multiple identical signatures by making it a primary key. Bump the
      db format to "3". Existing databases need to be migrated manually as
      SQLite does not allow adding a "PRIMARY KEY" constraint to existing
      tables.
    - crashdb.py: Do not add a new address signature entry if one already
      exists.
    - apport-cli: Fix UnicodeDecodeError on unicode report values.
      (LP: #275972)
    - launchpad.py: Only set bug task importance if it is undecided.
    - apport-retrace: Fix "an useful" typo. (LP: #911437)
    - report.py: Filter out frames which are internal kernel/glibc
      implementation details and not stable across duplicates. In particular,
      filter out __kernel-syscall() and the SSE stubs.
    - crashdb.py: Remove debugging leftover which completely disabled bug
      pattern checking.
    - report.py: Update reading AssertionMessage. Current (e)glibc turned
      __abort_msg from a simple static string into a struct.
    - Change permissions of .crash files from 0600 to 0640, so that /var/crash
      can be made g+s and crash handling daemons can access those.
    - Python exceptions: Blacklist DBus.Error.NoReply. It does not help to get
      these traces from the client-side application, you need the actual
      exception in the D-Bus server backend instead. (LP: #914220)
    - Support /etc/apport/whitelist.d/ similarly to /etc/apport/blacklist.d/,
      for cases like installer environments where only crashes of a few selected
      programs should be reported.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Jan 2012 09:56:00 +0100

apport (1.90-0ubuntu2) precise; urgency=low

  [ Martin Pitt ]
  * debian/control: Move from transitional python-gobject to python-gi.
  * debian/control: Add gdb dependency to apport-retrace.
  * apport/crashdb.py: Remove debugging leftover which completely disabled bug
    pattern checking. Cherrypicked from trunk r2120.

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: improve match for hard disk errors
  * data/package-hooks/source_ubiquity.py: tag ubiquity bugs ubiquity-upgrade
  * data/package-hooks/source_linux.py: disable question regarding uploading
    oops to kerneloops.org

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Jan 2012 16:58:28 +0100

apport (1.90-0ubuntu1) precise; urgency=low

  * New upstream release: First beta release of 2.0 which introduces
    client-side duplicate checking.
    - report.py: Break out new method stacktrace_top_function() from
      standard_title(), so that other parts of the code can use this as well.
    - launchpad.net: When sending retraced results back to the bug report,
      update the topmost function in the bug title. (LP: #869970)
    - report.py, add_gdb_info(): Add a new field "StacktraceAddressSignature"
      which is a heuristic signature for signal crashes. This should be used
      if crash_signature() fails, i. e. the Stacktrace field does not have
      enough symbols. This can be used to check for duplicates on the client
      side, provided that the crash database server supports querying for
      these.  Do not expose this field when uploading to crash databases
      though, as it can be recomputed from the already existing information
      (ProcMaps and Stacktrace) and thus would just clutter the reports.
    - crashdb.py: Add a table "version" with the database format version. Add
      automatic upgrading to the most current format.
    - crashdb.py: Put address signatures from reports checked with
      check_duplicate() into the duplicate database, so that implementations
      of known() can check for these.
    - dupdb-admin: Add "publish" dupdb-admin command which exports the
      duplicate database into a set of text files suitable for WWW publishing.
    - crashdb.py: Add new method "known(report)" which can be implemented to
      check if the crash db already knows about the crash signature. If so,
      the report will not be uploaded, and instead the user will be directed
      to the existing report URL (if available), similar to bug patterns. The
      default implementation checks this format, if the crash database is
      initialized with a "dupdb_url" option pointing to the exported database.
    - launchpad.py: Override known() to check if the master bug is actually
      accessible by the reporter, and is not tagged with "apport-failed-retrace"
      or "apport-request-retrace"; otherwise file it anyway.
    - crash-digger: Add --publish-db option to conveniently integrate
      duplicate DB publication (similar to dupdb-admin publish) into retracer
      setups.
    - launchpad.py: Attach updated stack traces from a duplicate to the master
      bug if it failed retracing previously or has an "apport-request-retrace"
      tag. (LP: #869982)
    - apport-kde, apport-gtk: Support the "Annotation" field for custom dialog
      titles for "Crash" and "Package" problem types as well, not just for
      "Kernel". (LP: #664378)
    - backends/packaging-apt-dpkg.py: Fix another test case failure when ddeb
      repository is not enabled.
    - backends/packaging-apt-dpkg.py: Fix handling of explicit cache directory
      name when it is a relative path.
    - launchpad.py: Only query for bugs after 2011-08-01, to avoid timeouts.
    - ui.py: Also anonymize standard bug title. (LP: #893863)
    - launchpad.py: Current Launchpad cannot have private bugs which affect
      multiple projects. Fix test suite accordingly.
  * data/general-hooks/ubuntu.py: Fix crash if "apport" package is not
    installed, which might happen on local installs or running the test suite.
  * etc/default/apport: Re-enable Apport by default; we want reports early in
    Precise, and we also do not have unstable GNOME versions this time which
    have known problems. We also have client-side duplicate detection now
    which should mitigate the noise.
  * Drop debian/pyversions, debian/pycompat: Obsolete with dh_python2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Nov 2011 16:17:16 +0100

apport (1.26-0ubuntu1) precise; urgency=low

  * New upstream release:
    - backends/packaging-apt-dpkg.py: Port to current python-apt API.
    - hookutils.py: Fix path_to_key() to also work with unicode arguments.
    - test/crash: Exit successfully if apport is not enabled in the system.
      This allows packages to run the test suite during build.
    - report.py, add_proc_info(): Correctly handle "python -m <modulename>"
      programs as being interpreted and determine the appropriate module path.
    - Fix some import statements to also work for the system-installed test
      suite.
    - test/run: Fix testing data/general-hooks/parse_segv.py when called in
      system-installed mode.
    - apport/ui.py: Clean up test .crash file after test cases.
    - Fix tests when running as root.
    - setup.py: Fix crash when "javac -version" fails.
    - README: Update command for one-time enablement.
    - backends/packaging-apt-dpkg.py: Fix interleaving usage of
      install_packages() with other operations such as get_version(), by
      resetting the apt status after building and using the sandbox.
    - report.py test suite: Remove requirement that $USER is set, which makes
      it easier to run this from package build environments.
    - apport/ui.py, test/crash: Use "yes" as test process instead of "cat".
      The former is less likely to run already, and does not depend on having
      a stdin, so it runs better in test environments like autopkgtest.
    - backends/packaging-apt-dpkg.py: Fix tests if system does not have a
      dbgsym apt source.
    - Ignore a crash if gnome-session is running and says that the session is
      being shut down. These often die because X.org or other services are
      going away, are usually harmless, and just cause a lot of clutter in bug
      trackers.  (LP: #460932)
    - test/crash: Rewrite using Python's unittest, to be in line with other
      tests, and be easier to maintain and extend.
  * Add debian/tests/control and debian/tests/upstream-system:
    DEP-8/autopkgtest control file for running the upstream tests.
  * debian/control: Bump minimal Python version to 2.7, as the upstream trunk
    is now moving to Python 3 compatibility; some of the new syntax does not
    work with 2.6 yet.
  * debian/control: Update apport-retrace package description, apport-chroot
    is gone. Also drop the now obsolete Suggests.
  * debian/rules: Run tests during package build, but do not let them fail the
    build just yet. It will still take a while until all test suceed in the
    buildd environment.
  * debian/control: Add gdb and python-twisted-core build dependencies, so
    that the test suite can succeed.
  * debian/control: Move python-gobject and gir1.2-glib-2.0 dependencies from
    apport-gtk to apport, as our generic.py hook needs it. Also add them to
    build depends for the test suite.
  * debian/control: Add missing lsb-release dependency, used by
    Report.add_os_info().
  * debian/control: Add net-books build dependency, test suite uses "route" to
    determine whether or not to run the online tests.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 11 Nov 2011 11:32:49 +0100

apport (1.25-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Add new response "Examine locally" to presenting the report details,
      which runs apport-retrace in the chosen mode in a terminal. This should
      be made available for crash reports if apport-retrace and a Terminal
      application are installed; add an abstrace UI method for this.
      (LP: #75901)
    - apport-gtk: Add "Examine locally..." button, and implement
      ui_run_terminal().
    - apport-cli: Add "Examine locally..." responses, and implement
      ui_run_terminal().
    - apport-cli: Greatly speed up displaying large reports. This also changes
      the format to avoid indenting each line with a space, and visually set
      apart the keys in a better way.
    - apport_python_hook.py: Move tests out of this file into test/python, to
      avoid having to parse the unit tests at each Python startup.
    - test/python: Also make tests work if Python hook is not installed in
      system's sitecustomize.py.
    - packaging.py: Add get_modified_conffiles() API, and implement it in
      packaging-apt-dpkg.py.
    - hookutils.py: Add attach_conffiles().
    - hookutils.py: Add attach_upstart_overrides().
    - launchpad.py: Remove "Ubuntu" in bug response, replace with "this
      software". (LP: #883234)
    - apport-kde: Rearrange order of imports to get intended error message if
      PyKDE is not installed.
    - packaging-apt-dpkg.py: Ignore hardening-wrapper diversions, to make
      gcc_ice_hook work if hardening-wrapper is installed.
    - apport_python_hook: Respect $APPORT_REPORT_DIR.
    - apport_python_hook: Limit successive crashes per program and user to 3
      per day, just like signal crashes. (LP: #603503)
    - packaging-apt-dpkg.py: Skip online tests when there is no default route.
    - ui.py: Fix test suite to not fail if system has some obsolete or
      non-distro packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 02 Nov 2011 20:45:08 -0400

apport (1.24-0ubuntu1) precise; urgency=low

  * New upstream release 1.23.1:
    - apport/crashdb.py: Ensure that duplicate table only has one entry per
      report ID.
    - apport-retrace: Pass correct executable path to gdb in --gdb with
      --sandbox mode.
    - apport-retrace: Do not leave behind temporary directories on errors.
    - apport-retrace: Drop assertion failure for existance of "Stacktrace".
      This isn't present in the case of gdb crashing, and there is not much we
      can do about it. This should not break the retracer.
    - apport/report.py: Unwind XError() from stack traces for the
      "StacktraceTop" field, as they take a significant part of the trace.
      This causes bugs to be duplicated which really have different causes.
  * New upstream release 1.24:
   - apport-retrace: Add --timestamp option to prepend a timestamp to log
     messages. This is useful for batch operations.
   - crash-digger: Call apport-retrace with --timestamps, to get consistent
     timestamps in log output.
   - hookutils.py: Add two new functions attach_gsettings_package() and
     attach_gsettings_schema() for adding user-modified gsettings keys to a
     report. (LP: #836489)
   - hookutils.py: Add new function in_session_of_problem() which returns
     whether the given report happened in the currently running XDG session.
     This can be used to determine if e. g. ~/.xsession-errors is relevant and
     should be attached.
   - backends/packaging-apt-dpkg.py, install_packages(): Also copy
     apt/sources.list.d/ into sandbox.
   - backends/packaging-apt-dpkg.py, install_packages(): Install apt keyrings
     from config dir or from system into sandbox. (LP: #856216)
   - packaging.py, backends/packaging-apt-dpkg.py: Define that
     install_packages() should return a SystemError for broken
     configs/unreachable servers etc., and fix the apt/dpkg implementation
     accordingly.
   - apport-retrace: Don't crash, just give a proper error message if servers
     are unreachable, or configuration files are broken. (LP: #859248)
   - backends/packaging-apt-dpkg.py: Fix crash when
     /etc/apport/native-origins.d contains any files. (LP: #865199)
   - hookutils, recent_logfile(): Fix invalid return value if log file is not
     readable. (LP: #819357)
   - test/crash: Fix race condition in the "second instance terminates
     immediately" check.
   - hookutils.py: Replace attach_gconf() with a no-op stub. It used static
     python modules like "gconf" which broke the PyGI GTK user interface, and
     gconf is rather obsolete these days.
   - ui.py, open_url(): Greatly simply and robustify by just using xdg-open.
     This already does the right thing wrt. reading the default browser from
     GNOME, KDE, XCE, and other desktops. (LP: #198449)
   - data/general-hooks/generic.py: Only attach ~/.xsession_errors if the bug
     is reported in the same XDG session as the crash happened. (LP: #869974)
   - Ignore crashes for programs which got updated in between the crash and
     reporting. (LP: #132904)
   - Special-case crashes of 'twistd': Try to determine the client program and
     assign the report to that, or fail with an UnreportableReason.
     (LP: #755025)
   - apport-gtk: In bug update mode, make details dialog resizable and fix
     default size. (LP: #865754)
   - apport-gtk: Fix crash if report does not have ProcCmdline. (LP: #854452)
   - hookutils.py, attach_wifi(): Anonymize ESSID and AP MAC from "iwconfig"
     output. (LP: #746900)
   - test/crash: Fix test failure if user is not in any system groups.
   - test/crash: Change to /tmp/ for test crash process, to fix failure if the
     user that runs the test suite cannot write into the current directory.
     (LP: #868695)
   - ui.py: Improve error message if package is not a genuine distro package.
     Thanks to Ronan Jouchet. (LP: #559345)
  * debhelper/dh_apport: Install debian/source.apport into the first binary
    package only, as per documentation. (LP: #687584)
  * debian/apport.upstart: Exit pre-start with 0 if apport is disabled, to
    avoid warning message about failed startup. (LP: #857086)
  * debian/control: Update Vcs-Bzr: for precise branch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Oct 2011 09:39:41 +0200

apport (1.23-0ubuntu3) oneiric; urgency=low

  * etc/default/apport: Disable for final Oneiric release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Oct 2011 16:41:07 +0200

apport (1.23-0ubuntu2) oneiric; urgency=low

  [ Martin Pitt ]
  * debian/control: Bump GIR dependencies to ensure that we don't run this
    against older versions against gir1.2-glib-2.0, which still have a wrong
    API for markup_escape_text(). (LP: #851450)

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: also check CurrentDmesg for disk errors
    as some package hooks add it
  * data/package-hooks/source_debian-installer.py: for dmraid collection use
    attach_root_command_outputs (LP: #856826)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Sep 2011 07:12:19 +0200

apport (1.23-0ubuntu1) oneiric; urgency=low

  [ Brian Murray ]
  * data/package-hooks/source_ubiquity.py: Do not create a DuplicateSignature
    for bugs with a Traceback included as it is redundant

  [ Martin Pitt ]
  * New upstream release:
    - crashdb.py, crash-digger, dupdb-admin: Drop the concept of "duplicate DB
      consolidation". Such massive queries cause timeouts with e. g.
      Launchpad. Instead, update the status of potential master bugs in the
      crash DB whenever check_duplicate() is called. Note that this does not
      affect Ubuntu itself, just the retracers in the data center.
    - launchpad.py: Fix crash in close_duplicate() if master bug was already
      marked as a duplicate of the examined bug.
    - problem_report.py, load(): Fix missing last character if the last line
      in a multi-line field is not terminated with a newline.
    - launchpad.py: Fix test_marking_python_task_mangle() check to work with
      current Launchpad.
    - apport-retrace: If the user did not specify a --cache directory, create
      a shared one instead of letting the two install_packages() calls create
      their own. This ensures that the apt and dpkg status is up to date, and
      avoids downloading the package indexes multiple times. (LP: #847951)
    - apport-retrace: Give proper error mesage instead of AssertionError crash
      if a report does not contain standard Apport format data. (LP: #843221)
    - fileutils.py, get_new_reports(): Fix crash if report file disappears in
      the middle of the operation. (LP: #640216)
    - apport/ui.py, load_report(): Intercept another case of broken report
      files. (LP: #445142)
    - apport/report.py, standard_title(): Escape regular expression control
      characters in custom exception names. (LP: #762998)
  * data/package-hooks/source_ubiquity.py: Fix crash if
    prepare_duplicate_signature() does not return anything. (LP: #843911)
  * debian/control: Bump Standards-Version to 3.9.2 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 14 Sep 2011 08:29:03 +0200

apport (1.22.1-0ubuntu2) oneiric; urgency=low

  * data/general-hooks/ubuntu.py: include apport version in bug reports since
    apport contains code for blocking bug reports and source package hooks

 -- Brian Murray <brian@ubuntu.com>  Thu, 08 Sep 2011 20:09:57 +0200

apport (1.22.1-0ubuntu1) oneiric; urgency=low

  [ Martin Pitt ]
  * New upstream release:
    - dupdb-admin: Add "removeid" command.
    - dupdb-admin: Use the in-memory CrashDB implementation for simple
      operations like dump or changeid, which do not require an actual
      backend. This makes the command work in checkouts without a
      /etc/apport/crashdb.conf.
    - dupdb-admin: Fix UnicodeEncodeError crash.
    - launchpad.py: Fix crash if a crash report does not have a DistroRelease.
    - Set the default "Apport" title for choice dialogs instead of the default
      apport-gtk title. Thanks Robert Roth. (LP: #608222)
    - apport-gtk: Update markup_escape_text() call to current glib.
      (LP: #829635)
  * data/package-hooks/source_ubiquity.py: Only set a DuplicateSignature and
    change the source package if we are reporting a package or program crash,
    not for ProblemType == 'Bug'.

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: check the device holding /, /var and /usr
    partitions for I/O errors and if they exist make the bug unreportable
  * data/package-hooks/source_ubiquity.py: Use attachment OemConfigLog to
    determine whether or not to tag the bug oem-config not information in
    syslog

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Sep 2011 08:16:46 +0200

apport (1.22-0ubuntu3) oneiric; urgency=low

  * data/package-hooks/source_ubiquity.py: Fix crash on undefined 'version'.
    (LP: #837048)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Aug 2011 06:35:43 +0200

apport (1.22-0ubuntu2) oneiric; urgency=low

  * data/package-hooks/source_ubiquity.py: create a duplicate signature for
    ubiquity bug reports using data in syslog

 -- Brian Murray <brian@ubuntu.com>  Fri, 26 Aug 2011 13:17:38 -0400

apport (1.22-0ubuntu1) oneiric; urgency=low

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: generate a DuplicateSignature tag for
    distribution upgrades too.

  [ Martin Pitt ]
  * New upstream release:
    - Completely rework apport-retrace to use gdb's "debug-file-directory" and
      "solib-absolute-prefix" settings and only unpack the necessary packages
      in a temporary directory. This makes it possible to use it in a running
      system without actually touching installed packages, does not need any
      root privileges, and stops the requirement of using chroots with
      fakechroot and fakeroot. This is a lot easier to maintain and use, and a
      lot faster, too.  As a consequence, drop the chroot module, and update
      crash-digger accordingly. See "man apport-retrace" for the new usage.
      It is now also easier to port to other packaging backends, as a lot of
      the common logic moved out of the packaging API;
      packaging.install_retracing_packages() got dropped in favor of the
      simpler packaging.install_packages(). (LP: #832740)
    - launchpad.py: When searchTasks() times out, exit with 99 as this is a
      transient error.
    - crash-digger: Intercept OverflowError from downloaded compressed
      attachments.
    - crash-digger: Show how many bugs are left in the pool with each new
      retrace.
  * Drop debian/local/apport-chroot and manpage, and ubuntu-fat-chroot. These
    are obsolete now with the new apport-retrace.
  * Drop debian/local/setup-apport-retracer: Most of it is obsolete now,
    setting up a retracer merely needs an lp:apport checkout and creating an
    apt sources file, we don't need a script for that any more.
  * data/general-hooks/ubuntu.py: Fix invalid "continue" statement in
    DuplicateSignature code. (LP: #828037)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 25 Aug 2011 16:31:37 +0200

apport (1.21.3-0ubuntu4) oneiric; urgency=low

  * data/package-hooks/source_ubiquity.py: remove use of continue when not in
    a loop (LP: #828037)

 -- Brian Murray <brian@ubuntu.com>  Wed, 17 Aug 2011 07:34:21 -0700

apport (1.21.3-0ubuntu3) oneiric; urgency=low

  * Fix crash in GLib.markup_escape_text() call. Patch cherrypicked from
    trunk. (LP: #828010)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Aug 2011 15:52:22 +0200

apport (1.21.3-0ubuntu2) oneiric; urgency=low

  * data/package-hooks/source_ubiquity.py:
    - attach the contents of syslog in the case where it is readable by the
      user (LP: #824799)
    - prevent reporting of bugs due to I/O error with installation media

 -- Brian Murray <brian@ubuntu.com>  Wed, 17 Aug 2011 14:43:21 +0200

apport (1.21.3-0ubuntu1) oneiric; urgency=low

  * New upstream bug fix release. Changes since our previous snapshot:
    - Add apport.packaging.get_library_paths() interface and implement it for
      backends/packaging-apt-dpkg.py using dpkg multiarch directories. Use it
      in chroot.py. This unbreaks apport-chroot for oneiric.
    - hookutils.py: Don't attach empty values. Thanks Bryce Harrington.
      (LP: #813798)
    - apport-gtk: Correctly pass message dialog type.
    - apport-gtk: Fix GLib and GObject imports to be compatible with the future
      pygobject 3.0.
    - hookutils.py, attach_alsa(): Get a list of outputs/inputs that PulseAudio
      knows about, which also shows the currently selected output/input, as well
      as volumes. This should help with "no sound" bug troubleshooting. Thanks
      Luke Yelavich.
  * data/general-hooks/ubuntu.py: Fix crash if report doesn't have a Package
    field (caught by test suite).
  * data/general-hooks/ubuntu.py: Fix crash if report doesn't have a
    DpkgTerminalLog field (caught by test suite).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Aug 2011 08:42:18 +0200

apport (1.21.2-0ubuntu14) oneiric; urgency=low

  * data/general-hooks/ubuntu.py: resolve issue with the contents of
    DuplicateSignature being truncated

 -- Brian Murray <brian@ubuntu.com>  Sat, 13 Aug 2011 11:40:07 -0700

apport (1.21.2-0ubuntu13) oneiric; urgency=low

  * data/general-hooks/ubuntu.py: do not report package installation failures
    where the conflicting package is not a genuine Ubuntu package

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Aug 2011 12:40:11 -0700

apport (1.21.2-0ubuntu12) oneiric; urgency=low

  * Merge change from trunk:
    - apport/hookutils.py: properly detect as non-root when auditd is being
      used, use egrep as we're using an extended regex.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Aug 2011 13:42:27 -0400

apport (1.21.2-0ubuntu11) oneiric; urgency=low

  * data/general-hooks/ubuntu.py:
    - create a duplicate signature for package installation failures
    - tag install failures due to a package conflict 'package-conflict'
      (LP: #368435)

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 Aug 2011 09:02:04 -0700

apport (1.21.2-0ubuntu10) oneiric; urgency=low

  * data/package-hooks/source_debian-installer.py:
    - collect installation log files (LP: #820582)
  * data/package-hooks/source_ubiquity.py:
    - tag bug reports using the version of ubiquity and oem-config if
      applicable

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Aug 2011 11:48:25 -0700

apport (1.21.2-0ubuntu9) oneiric; urgency=low

  * data/package-hooks/source_linux.py:
    - kernel driver tag needs a space before it
    - add grub-pc to related package version if an apport-package bug

 -- Brian Murray <brian@ubuntu.com>  Mon, 25 Jul 2011 12:36:54 -0700

apport (1.21.2-0ubuntu8) oneiric; urgency=low

  * data/package-hooks/source_linux.py:
    - ensure Oops with RIP get tagged with the kernel-driver

 -- Brian Murray <brian@ubuntu.com>  Fri, 22 Jul 2011 09:34:46 -0700

apport (1.21.2-0ubuntu7) oneiric; urgency=low

  [ Martin Pitt ]
  * data/general-hooks/ubuntu.py: Fix calling of add_info() in the __main__
    test code.

  [ Brian Murray ]
  * data/package-hooks/source_ubiquity.py:
    - collect all logs using root_command_outputs (LP: #812738)
  * apport/hookutils.py:
    - check to see if the package has any upstart override files
  * data/general-hooks/ubuntu.py:
    - when reporting a problem use the upstart override check (LP: #803977)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 22 Jul 2011 16:51:22 +0200

apport (1.21.2-0ubuntu6) oneiric; urgency=low

  * data/general-hooks/ubuntu.py:
    - In addition to DpkgTerminalLog also check VarLogDistupgradeApttermllog
      for package installation failure messages
    - Also move postrm.d/zz-update-grub errors to grub2
  * apport/hookutils.py:
    - raise a yes no dialog in the event a conffile has been modified
      (LP: #811203)

 -- Brian Murray <brian@ubuntu.com>  Thu, 21 Jul 2011 06:36:04 +0200

apport (1.21.2-0ubuntu5) oneiric; urgency=low

  * data/general-hooks/ubuntu.py:
    - Check DpkgTerminalLog for more cases that indicate the bug report should
      be filed about grub2
  * data/package-hooks/source_linux.py:
    - kerneloops was a transitional package we want the version of
      kerneloops-daemon

 -- Brian Murray <brian@ubuntu.com>  Tue, 19 Jul 2011 07:20:07 +0200

apport (1.21.2-0ubuntu4) oneiric; urgency=low

  [ Brian Murray ]
  * data/package-hooks/source_linux.py:
    - tag kerneloops reports with the driver the Oops occurred in
    - include kerneloops package version in kerneloops reports

  [ Martin Pitt ]
  * Merge changes from trunk:
    - gtk/apport-gtk.desktop.in: Also show in Unity. (LP: #803519)
    - apport-unpack: Fix crash on file errors.
    - hookutils.py: Add attach_mac_events() for reporting logs of MAC systems.
      Looks for AppArmor messages for now. Thanks Marc Deslauriers!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 14 Jul 2011 18:13:52 +0200

apport (1.21.2-0ubuntu3) oneiric; urgency=low

  * data/general-hooks/ubuntu.py: add in casper package version to bugs
    reported from Live Media

 -- Brian Murray <brian@ubuntu.com>  Thu, 14 Jul 2011 06:30:51 +0200

apport (1.21.2-0ubuntu2) oneiric; urgency=low

  * data/package-hooks/source_ubiquity.py:
    - Check syslog for squashfs errors and do not report
    - Ask before adding installer debug log file (LP: #773766)

 -- Brian Murray <brian@ubuntu.com>  Thu, 07 Jul 2011 13:40:17 -0700

apport (1.21.2-0ubuntu1) oneiric; urgency=low

  * New upstream bug fix release. Changes since our trunk snapshot:
    - generic hook: Don't report package installation failures due to
      segfaulting maintainer scripts. We want the actual crash report only.
      Thanks Brian Murray.
    - hookutils.py, attach_wifi(): Also include wpasupplicant logs. Thanks
      Mathieu Trudel-Lapierre!
    - report.py: Fix bug patterns to correctly match against compressed report
      fields.
  * gtk/apport-gtk.desktop.in: Also show in Unity. Cherrypicked from trunk.
    (LP: #803519)
  * etc/default/apport: Turn Apport back on by default for Alpha 2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Jul 2011 16:32:38 +0100

apport (1.21.1-0ubuntu2) oneiric; urgency=low

  * Merge from trunk:
    - test/run: Check $PYTHON for using a different Python interpreter (such
      as "python3") for the tests.
    - backends/packaging-apt-dpkg.py: Fix crash introduced in 1.21.1's
      multiarch fixes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Jun 2011 10:42:15 +0200

apport (1.21.1-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - data/general-hooks/generic.py: Also check for low space on /var. Thanks
      Brian Murray.
    - hookutils.py, attach_file() and attach_file_if_exists(): Add a new
      "overwrite" flag option. If not given, now default to overwriting an
      existing key, as this is usually what you need when attaching files
      (instead of attaching it several times with '_' appended to the keys).
      You can get the old behaviour by setting overwrite=False.
    - When showing the size of the full report, take the compressed size of
      binary values instead of their uncompressed size, as the crash db upload
      will use the compressed values.
    - backends/packaging-apt-dpkg.py: Fix for current dpkg with multiarch
      support.
    - test/run: Fix the test suite to run against the system installed
      libraries with current Python versions (2.6, 2.7) where __file__ does
      not work any more with imports.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 20 Jun 2011 11:53:30 +0200

apport (1.21-0ubuntu1) oneiric; urgency=low

  * New upstream release. Changes since our previous trunk merge:
    - Supply --desktop option to kdesudo to improve the description which
      program is requesting administrative privileges.
    - apport-checkreports: Exit with status 2 if there are new reports, but
      apport is disabled. This helps crash notification GUIs to not display new
      crash reports in that case. Thanks to Michael Vogt for the original patch.
    - Add data/is-enabled: Shell script to check if apport is enabled.
      Non-Python programs (which can't use apport.packaging.enabled() ) can
      call this instead of having to parse /etc/default/apport themselves, and
      just check the exit code. Inspired by original patch from Michael Vogt.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Jun 2011 11:19:01 +0200

apport (1.20.1-0ubuntu6) oneiric; urgency=low

  * debian/control: Update Vcs-Bzr: to oneiric branch.
  * bin/apport-bug: Finally drop the long-deprecated -p/-P options.
  * gtk/apport-gtk: Stop forcing GTK 2, we move to GTK 3 now. Update GIR
    dependency accordingly.
  * man/apport-bug.1: Revert change to explain $APPORT_STAGING, this has been
    removed long ago.
  * Convert packaging from cdbs+python-central to dh7+dh_python2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 17 May 2011 15:34:10 +0200

apport (1.20.1-0ubuntu5) natty; urgency=low

  [ Kees Cook ]
  * debian/rules: really ignore "start" result at install (LP: #767829).

  [ Brian Murray ]
  * Only prepend linux bug titles with [STAGING] if a title exists
    (LP: #767864).

 -- Kees Cook <kees@ubuntu.com>  Wed, 20 Apr 2011 16:27:06 -0700

apport (1.20.1-0ubuntu4) natty; urgency=low

  * Ignore return code on startup (LP: #767498)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 20 Apr 2011 16:55:58 -0400

apport (1.20.1-0ubuntu3) natty; urgency=low

  * Merge from trunk:
    - Use kde-open instead of kfmclient to open URLs under KDE. Thanks Philip
      Muškovac. (LP: #765808)
  * etc/default/apport: Disable by default for the final release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 Apr 2011 18:57:27 +0200

apport (1.20.1-0ubuntu2) natty; urgency=low

  [ Brad Figg ]
  * The kernel team has decided that asking the user for a bunch of
    information which they may not be able to answer is the wrong thing to do.
    Therefore, all the propmpting of the user for said information has been
    removed. Also removed is the tagging of "needs-upstream-testing".

  [ Martin Pitt ]
  * Merge bug fixes from trunk:
    - apport-gtk: HTML-escape text for dialogs with URLs. (LP: #750870)
    - dump_acpi_tables.py: Check to see if acpi/tables dir is mounted first.
      Thanks Brian Murray. (LP: #729622)
    - man/apport-cli.1: Document recently added -w/--window option. Thanks
      Abhinav Upadhyay. (LP: #765600)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Apr 2011 11:04:57 +0200

apport (1.20.1-0ubuntu1) natty; urgency=low

  * New upstream bug fix release:
    - Add bash completion support for new -w/--window option that was
      introduced in 1.20. Thanks Philip Muškovac.
    - apport-unpack: Fix crash if target directory already exists.
    - Fix crash if UnreportableReason is a non-ASCII string. (LP: #738632)
    - Fix crash if application from desktop name is a non-ASCII string.
      (LP: #737799)
    - unkillable_shutdown: Fix rare crash if ExecutablePath does not exist
      (any more). (LP: #537904)
    - kernel_crashdump: Fix crash if the vmcore file disappeared underneath
      us.  (LP: #450295)
    - unkillable_shutdown: Fix crash if the checked process terminated
      underneath us. (LP: #540436)
    - ui.py: Properly raise exceptions from the upload thread that happen at
      its very end. (LP: #469943)
  * data/package-hooks/source_ubiquity.py: Read root-only accessible log files
    as root. (LP: #745455)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 31 Mar 2011 17:37:16 +0200

apport (1.20-0ubuntu1) natty; urgency=low

  * New upstream release. Changes since our previous snapshot:
    - Add support for -w/--window option which will enable user to select a
      window as a target for filing a problem report. Thanks Abhinav Upadhyay.
      (LP: #357847)
    - Disable the filtering on SIGABRT without assertion messages. Turns out
      that developers want these crash reports after all. (LP: #729223)
    - Add support for a "DuplicateSignature" report fields. This allows
      package hooks to implement custom duplicate problem handling which
      doesn't need to be hardcoded in Apport itself. Update the launchpad
      backend to tag such bugs as "need-duplicate-check".
    - hookutils.py Update WifiSyslog regex to correctly catch application log
      messages in syslog. Thanks Mathieu Trudel-Lapierre. (LP: #732917)
    - hookutils.py, attach_hardware(): Avoid error message if machine does not
      have a PCI bus. Thanks Marcin Juszkiewicz. (LP: #608449)
    - backends/packaging-apt-dpkg.py: Replace deprecated getChanges() call
      with get_changes().
    - apport-gtk: Fix broken dialog heading if the name of the crashed program
      contains an & or other markup specific characters.
    - apport-gtk: Don't crash if GTK cannot be initialized. This usually
      happens without a $DISPLAY or when the session is being shut down. Just
      print an error message. If there are pending crashes, they will be shown
      again the next time a session starts. (LP: #730569)
  * debian/local/apport-chroot: In retracing mode, fix the passed --auth and
    --duplicate-db arguments to be paths within the fakechroot.
  * debian/local/apport-chroot: Apply the same absolute path fix to retracing
    mode that we already applied to login mode in 1.19-0ubuntu1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Mar 2011 16:39:07 +0100

apport (1.19-0ubuntu3) natty; urgency=low

  * Merge fixes from trunk:
    - apport-retrace: Intercept SystemErrors from ill-formed gzip attachments
      as well.
    - Fix crash if crash database configuration does not specify a
      bug_pattern_url. Just assume None. (LP: #731526)
    - If a custom crash database does not specify a bug_pattern_url, fall back
      to using the default database's. (LP: #731526)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 09 Mar 2011 19:21:16 +0100

apport (1.19-0ubuntu2) natty; urgency=low

  * gtk/apport-gtk: Update require_version() call to current pygobject API.
    Bump python-gobject dependency accordingly.
  * Merge from trunk:
    - report.py, add_hooks_info(): Properly report TypeErrors from hooks.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Mar 2011 17:20:41 +0100

apport (1.19-0ubuntu1) natty; urgency=low

  [ Martin Pitt ]
  * New upstream release:
    - apt backend: Do not generate a warning if the opportunistically added -dbg
      package does not exist.
    - apt backend: Only add -dbg in --no-pkg mode, as there will be conflicts in
      normal package mode.
    - apt backend: Call tar with target cwd instead of using -C; the latter causes
      an extra openat() call which breaks with current fakechroot.
    - launchpad.py: Fix retracer crash if DistroRelease field does not exist.
    - Convert deprecated failIf()/assert_() TestCase method calls to
      assertFalse()/assertTrue().
    - In apport-bug, if the user specifies a PID referring to a kernel thread,
      do the right thing and file the bug against the kernel
    - In hookutils.attach_dmesg, skip over an initial truncated message if one
      is present (this happens when the ring buffer overflows)
    - Change bug patterns to just use one central file instead of per-package
      files. This allows bug patterns to be written which are not package
      specific, and is easier to maintain as well. IMPORTANT: This changed the
      format of crashdb.conf: bug_pattern_base is now obsolete, and the new
      attribute bug_pattern_url now points to the full URL/path of the patterns
      file. Thanks to Matt Zimmerman!
  * debian/local/setup-apport-retracer: Drop local installation of packages,
    we now just check that they are installed in the system.
  * debian/local/apport-chroot: Convert --auth argument to absolute path, as
    fakechroot needs that.

  [ Steve Langasek ]
  * data/general-hooks/ubuntu.py: don't collect bug reports on missing
    menu.lst - this is a user error that they need to fix up on their side.
    (LP: #668888)

  [ Matt Zimmerman ]
  * data/general-hooks/ubuntu.py: Add UpgradeStatus field to show if the
    system was upgraded from a previous release (and when)
  * debian/apport.install: actually install the java_uncaught_exception script

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 28 Feb 2011 12:16:22 +0100

apport (1.18-0ubuntu2) natty; urgency=low

  * Merge from trunk:
    - Update stack unwind patterns for current glib (slightly changed function
      names), and also ignore a preceding '*'. (LP: #716251)
    - Fix crash_signature() to fail if there is an empty or too short
      StacktraceTop.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 20 Feb 2011 20:31:02 +0100

apport (1.18-0ubuntu1) natty; urgency=low

  [ Martin Pitt ]
  * New upstream release:
    - Ensure that symptom scripts define a run() function, and don't show them
      if not.
    - Do not show symptom scripts which start with an underscore. These can be
      used for private libraries for the actual symptom scripts.
    - Update bash completion. Thanks Philip Muškovac.
    - etc/default/apport: Remove obsolete "maxsize" setting. (LP: #719564)
    - Remove explicit handling of KDE *.ui files in setup.py, as
      python-distutils-extra 2.24 fixes this. Bump version check.
    - hookutils.py: Add attach_root_command_outputs() to run several commands
      at once. This avoids asking for the password several times.
      (LP: #716595)
  * debian/apport.postinst: Add missing debhelper token.
  * debian/rules: Drop dump_acpi_tables.py chmod workaround, it's upstream now
    and has the proper permissions.
  * Add etc/apport/blacklist.d/apport and drop the creation of it in
    /debian/rules. This is easier to maintain and more obvious. Also move
    README.blacklist from python-apport to apport, it fits better there.
  * etc/apport/blacklist.d/apport: Add the binaries of nspluginwrapper, as we
    can't do anything about them anyway. (LP: #717468)

  [ Brian Murray ]
  * data/package-hooks/source_linux.py: Properly set regression-release tag if
    the reporter chooses "I do not know".

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Feb 2011 14:29:36 +0100

apport (1.17.2-0ubuntu2) natty; urgency=low

  * Merge from trunk:
    - Ensure that symptom scripts define a run() function, and don't show them
      if not.
    - Do not show symptom scripts which start with an underscore. These can be
      used for private libraries for the actual symptom scripts.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 07 Feb 2011 12:23:57 +0100

apport (1.17.2-0ubuntu1) natty; urgency=low

  * New upstream bug fix release:
    - Be more Python 3 compatible (not fully working with Python 3 yet,
      though).
    - apt/dpkg backend: Drop support for pre-0.7.9 python-apt API.
    - Add --tag option to add extra tags to reports. (LP: #572504)
    - hookutils.py, attach_dmesg(): Do not overwrite already existing dmesg.
    - hookutils.py: Be more robust against file permission errors.
      (LP: #444678)
    - ui.py: Do not show all the options in --help when invoked as *-bug.
      (LP: #665953)
    - launchpad.py: Adapt test cases to current standard_title() behaviour.
  * debian/control: Bump python-apt dependency to >= 0.7.9 to ensure that we
    have the current API. Trunk dropped support for the old API.
  * data/general-hooks/ubuntu.py: Ignore obsolete packages when filing bugs
    against update-manager. (LP: #397519)
  * data/general-hooks/ubuntu.py: Do not file a package install failure if
    DpkgTerminalLog doesn't have any data. (LP: #695887)
  * Add debian/apport.postinst: Create /var/crash. This directory is required
    for package failures even if apport is disabled and thus the upstart job
    does not run. (LP: #683367)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 04 Feb 2011 15:46:40 +0100

apport (1.17.1-0ubuntu3) natty; urgency=low

  * data/general-hooks/ubuntu.py: Add some __main__ code for easy testing,
    which will update a .crash file with that hook's data.
  * data/general-hooks/ubuntu.py: Trim DpkgTerminaLog to the most recent
    install session; not only is this much easier to read, but it also avoids
    confusing the tests further down which check for particular strings in the
    log. (LP: #580419)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Jan 2011 11:44:00 +0100

apport (1.17.1-0ubuntu2) natty; urgency=low

  * Merge from trunk:
    - hookutils.py, attach_dmesg(): Do not overwrite already existing dmesg.
  * etc/default/apport: Enable Apport by default for Alpha-2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Jan 2011 07:28:48 +0100

apport (1.17.1-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Make the GTK frontend work with GTK 2.0 as well, and drop "3.0"
      requirement.
  * gtk/apport-gtk: Force GTK 2 for now, as we do not currently have a real
    GTK 3 theme, and thus with GTK 3 the application looks very ugly.
  * debian/control: Depend on gir1.2-gtk-2.0 instead of -3.0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Jan 2011 22:26:10 -0600

apport (1.17-0ubuntu2) natty; urgency=low

  [ Brian Murray ]
  * data/package-hooks/source_linux.py: Prevent regression-release bugs from
    being tagged regression-updates. (LP: #692344). Additionally, reorder the
    regression tags in likelyhood of greatest usage and clarify that
    'regression-release' applies to the dev release and a stable release but
    not an updated package in the stable release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Jan 2011 09:47:38 +0100

apport (1.17-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Better standard bug titles for Python crashes. Thanks Matt Zimmerman!
      (LP: #681574)
    - Add handler for uncaught Java exceptions. There is no integration for
      automatically intercepting all Java crashes yet, see java/README.
      Thanks Matt Zimmerman! (LP: #548877)
    - GTK frontend: Require GTK 3.0.
    - launchpad.py: Default to "production" instance, not "edge", since edge
      is obsolete now.
    - hookutils.py, attach_alsa(): Fix crash if /proc/asound/cards does not
      exist. (LP: #626215)
    - ui.py, format_filesize(): Fix to work with stricter locale.format() in
      Python 2.7. (LP: #688535). While we are at it, also change it to use
      base-10 units.
    - hookutils.py, package_versions(): Always include all requested package
      names even if they're unknown to us. Thanks Matt Zimmerman!
      (LP: #695188)
    - launchpad.py: When updating a bug, also add new tags. Thanks Brian
      Murray!
  * debian/apport.install: Install Java crash handler in
    /usr/share/apport/apport.jar.
  * debian/control: Add Java build dependency so that the Java crash handler
    will be built.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 31 Dec 2010 16:15:06 +0100

apport (1.16-0ubuntu5) natty; urgency=low

  * data/general-hooks/ubuntu.py: Add tag "running-unity" if Unity is running.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 18 Dec 2010 20:50:20 +0100

apport (1.16-0ubuntu4) natty; urgency=low

  * Restore the python2.7 fix which was not in the vcs and dropped.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 Dec 2010 23:40:12 +0100

apport (1.16-0ubuntu3) natty; urgency=low

  * debian/control:
    - Update Depends for gir abi change

 -- Michael Terry <mterry@ubuntu.com>  Thu, 16 Dec 2010 13:49:57 -0500

apport (1.16-0ubuntu2) natty; urgency=low

  * Cherrypick from trunk:
    - ui.py, format_filesize(): Fix to work with stricter locale.format() in
      Python 2.7. (LP: #688535). While we are at it, also change it to use
      base-10 units.
  * debian/rules: Fix python version check to also work with 2.7.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Dec 2010 12:23:31 +0100

apport (1.16-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Port GTK frontend from pygtk2 to GTK+3.0 and gobject-introspection.
    - Fix symptoms again. Version 1.15 broke the default symptom directory.
    - Fix memory test case to work with current Python versions, where the
      SQLite integrity check throws a different exception.
  * debian/control: Replace python-gtk2 dependency with python-gobject and
    gir1.0-gtk-3.0.
  * debian/control: Drop obsolete Conflicts/Replaces.
  * debian/control: Consistently wrap dependencies.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 19 Nov 2010 11:43:08 +0100

apport (1.15-0ubuntu1) natty; urgency=low

  [ Martin Pitt ]
  * New upstream release. Changes since to our previous trunk snapshot:
    - Order symptom descriptions alphabetically. Thanks to Javier Collado.
    - Check $APPORT_SYMPTOMS_DIR environment variable for overriding the
      system default path. Thanks to Javier Collado.
    - testsuite: Check that crashdb.conf can have dynamic code to determine DB
      names and options.
    - ui.py test suite: Rewrite _gen_test_crash() to have the test process
      core dump itself, instead of using gdb to do it. The latter fails in
      ptrace restricted environments, such as Ubuntu 10.10.
    - launchpad.py: Use launchpadlib to file a bug instead of screen scraping.
      The latter was completely broken with current Launchpad, so this makes
      the test suite actually work again. Thanks to Diogo Matsubara!
    - launchpad.py: Change $APPORT_STAGING to $APPORT_LAUNCHPAD_INSTANCE, so
      that you can now specify "staging", "edge", or "dev" (for a local
      http://launchpad.dev installation). Thanks to Diogo Matsubara!
    - backends/packaging-apt-dpkg.py: Fix crash on empty lines in ProcMaps
      attachment.
    - doc/symptoms.txt: Fix typo, thanks Philip Muskovac. (LP: #590521)
    - apport/hookutils.py: rename ProcCmdLine to ProcKernelCmdLine to not wipe
      wipe out /proc/$pid/cmdline information. (LP: #657091)
    - apport/hookutils.py: attach_file() will not overwrite existing report
      keys, instead appending "_" until the key is unique.
    - Fix --save option to recognise ~, thanks Philip Muškovac. (LP: #657278)
    - Remove escalation_subscription from Ubuntu bug DB definition, turned out
      to not be useful; thanks Brian Murray.
    - launchpad.py: Fix APPORT_LAUNCHPAD_INSTANCE values with a https://
      prefix.
    - apt backend: Opportunistically try to install a -dbg package in addition
      to -dbgsym, to increase the chance that at least one of it exists.
      Thanks Daniel J Blueman!
  * debian/control: Switch Vcs-Bzr: to natty branch.

  [ Brian Murray ]
  * data/package-hooks/source_linux.py: Drop regression-potential tag. We are
    moving away from using regression-potential as a tag in the management of
    regression bug reports. Instead we will tag bugs regression-release and
    then create series, release, tasks for the release affected if the bug is
    in fact a regression.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 12 Nov 2010 14:59:01 +0100

apport (1.14.1-0ubuntu8) maverick; urgency=low

  * debian/local/ubuntu-fat-chroot: Divert gio-querymodules and
    gdk-pixbuf-query-loaders, since they keep breaking the chroots.
  * etc/default/apport: Disable Apport for final Maverick release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 28 Sep 2010 09:31:59 +0200

apport (1.14.1-0ubuntu7) maverick; urgency=low

  * In kde/apport-kde use correct translation catalogue, LP: #633483

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Sep 2010 20:53:13 +0100

apport (1.14.1-0ubuntu6) maverick; urgency=low

  * backends/packaging-apt-dpkg.py: fix handling of
    /etc/apport/native-origins.d to actually work. LP: #627777.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Sep 2010 22:28:48 +0000

apport (1.14.1-0ubuntu5) maverick; urgency=low

  * debian/control: Update Vcs-Bzr: to point to maverick branch.
  * data/package-hooks/source_linux.py: Update to new-style kernel tags.
    Patch by Brad Figg.
  * debian/control: Bump Standards-Version to 3.9.1, no changes necessary.
  * debian/compat: Bump to 7, since we are build depending on debhelper > 7.3
    anyway.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 25 Aug 2010 13:02:46 +0200

apport (1.14.1-0ubuntu4) maverick; urgency=low

  * debian/local/ubuntu-fat-chroot: Drop firefox and thunderbird, we will use
    upstream crash reporting for those now.
  * debian/rules: Make dump_acpi_tables.py executable. This is a workaround as
    long as the script comes through the package diff.gz.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 21 Jul 2010 08:43:32 +0200

apport (1.14.1-0ubuntu3) maverick; urgency=low

  * Merge from trunk:
    - Add dump_acpi_tables.py script. This can be called by package hooks
      which need ACPI table information (in particular, kernel bug reports).
      Thanks to Brad Figg for the script!
    - Fix test suite to work under ptrace restricted kernel.
  * data/package-hooks/source_linux.py: Call dump_acpi_tables.py and save
    output into "AcpiTables" field.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Jul 2010 08:14:10 +0200

apport (1.14.1-0ubuntu2) maverick; urgency=low

  * etc/apport/crashdb.conf: Add a new database "canonical-oem" which
    checks for an Ubuntu Distribution Channel Descriptor (in
    /var/lib/ubuntu_dist_channel), and parses out the OEM project name from
    that. Now that we modify the file anyway, remove the Fedora stanza, which
    is not relevant for Ubuntu and not working due to a nonexisting Bugzilla
    backend.
  * data/general-hooks/ubuntu.py: Report bug against the OEM project instead
    of Ubuntu if we have a DCD and an OEM specific package version.
  * etc/default/apport: Re-enable Apport by default for Maverick.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 05 Jul 2010 10:53:10 +0200

apport (1.14.1-0ubuntu1) maverick; urgency=low

  * New upstream bug fix release:
    - hookutils.py, attach_drm_info(): Sanitize connector names. Thanks Chris
      Halse Rogers. (LP: #597558)
    - bash completion: Complete all path names, apport-bug can be invoked with
      a path to a program. Thanks Philip Muskovac.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Jun 2010 15:37:19 +0200

apport (1.14-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - hookutils.py: Add new method attach_drm_info() to read and format
      /sys/class/drm/*. (desktop-maverick-xorg-gpu-freeze-reports)
    - packaging-apt-dpkg.py: Fix deprecated python-apt variables, thanks David
      Stansby. (LP: #591695)
    - launchpad.py: Fix crash on attachments which are named *.gz, but
      uncompressed. (LP: #574360)
    - hookutils.py, attach_gconf(): Fix defaults parsing for boolean keys.
      (LP: #583109)
  * debian/control: Bump p-distutils-extra build-dependency to 2.19, to ensure
    that we get a complete translation template. (LP: #533565)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Jun 2010 15:50:55 +0200

apport (1.13.4-0ubuntu1) maverick; urgency=low

  * New upstream bug fix release:
    - bash completion: Fix error message if /usr/share/apport/symptoms does
      not exist. Thanks Philip Muškovac! (LP: #562118)
    - general-hooks/parse_segv.py: Report stack exhaustion more clearly and
      correctly handle register dereferencing calls.
    - Save/restore environment when calling hooks, in case they change the
      locale, etc. (LP: #564422)
    - hookutils.py, command_output(): Do not set $LC_MESSAGES for the calling
      process/hook, just for the command to be called.
    - ui.py: When displaying strings from system exceptions, decode them into
      an unicode string, to avoid crashing the KDE UI. (LP: #567253)
    - apport-retrace: Fix crash for retracing kernel vmcores, which do not
      have an ExecutablePath.
    - apport-bug manpage: Clarify when apport-collect may be used. Thanks
      Brian Murray! (LP: #537273)
    - generic hook: Check ProcMaps for unpackaged libraries, and ask the user
      if he really wants to continue. If he does, tag the report as
      "local-libs" and add a "LocalLibraries" field to the report with a list
      of them.  (LP: #545227)
  * debian/control: Drop the now obsolete apport-qt transitional package.
  * debian/control: We do not need python-dev, just python-all.
  * Add debian/source/format: We keep 1.0, since 3.0 is a pain for
    bzr-maintained packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 08 May 2010 09:00:26 +0200

apport (1.13.3-0ubuntu2) lucid; urgency=low

  * etc/default/apport: Disable Apport for the final release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Apr 2010 10:33:43 +0200

apport (1.13.3-0ubuntu1) lucid; urgency=low

  * New upstream bug fix release:
    - data/general-hooks/parse_segv.py: suggest segv-in-kernel possibility.
    - ui.py: When running as root, only show system crash reports, to avoid
      restarting user programs as root. (LP: #445017)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 14 Apr 2010 14:42:28 +0200

apport (1.13.2-0ubuntu1) lucid; urgency=low

  [ Martin Pitt ]
  * New upstream bug fix release:
    - packaging-apt-dpkg.py, _install_debug_kernel(): Do not crash on an
      outdated kernel, just return that it is outdated. (LP: #532923)
    - launchpad.py test suite: Add "Referer" HTTP header, now required by
      launchpad.
    - launchpad.py: Fix crash if configuration does not have an
      "escalated_tag" option.
    - launchpad.py: Port to launchpadlib 1.0 API, thanks Michael Bienia for
      the initial patch! (LP: #545009)
    - gtk/apport-gtk-mime.desktop.in, kde/apport-kde-mime.desktop.in: Change
      categories so that these do not ever appear in menu editors.
      (LP: #449215)
    - launchpad.py: Some LP bugs have broken attachments (this is a bug in
      Launchpad itself). Ignore those instead of crashing.
    - apport-gtk: Turn http:// and https:// links into clickable hyperlinks in
      information and error dialogs. (LP: #516323)
    - apport-retrace: Fix crash when trying to rebuild package info for
      reports without an ExecutablePath. (LP: #436157)
    - ui.py: Fix crash when package information cannot be determined due to
      broken apt status. (LP: #362743)
    - ui.py: Fix crash when /etc/apport/crashdb.conf is damaged; print an
      appropriate error message instead. (LP: #528327)
    - data/kernel_crashdump: Fix crash if log file disappeared underneath us.
      (LP: #510327)
    - data/apport: Fix IOError when apport is called with invalid number of
      arguments, and stderr is not a valid fd. (LP: #467363)
    - hookutils.py: Factor out the DMI collection code from attach_hardware()
      into attach_dmi(), and call that in attach_alsa() as well. Thanks to
      Brad Figg for the patch! (LP: #552091)
    - apport/ui.py: Fix the help output if Apport is invoked under an
      alternative name (like apport-collect). (LP: #539427)
  * debian/local/apport-chroot: Fix crash if $APPORT_CRASHDB_CONF is not set.
    (LP: #487700)
  * debian/control: Bump python-launchpadlib dependency, to ensure that we
    have a current version (LP: #407091), and the "1.0" protocol available.
  * data/package-hooks/source_linux.py: Drop _() i18n, it's not available in
    the hook and causes crashes. (LP: #538368)

  [ Leann Ogasawara ]
  * data/package-hooks/source_linux.py:
    - Clean up some of the wording in the information dialogs for the
      interactive kernel hook. Also add an additional "I don't know" option when
      asked how frequently an issue occurs. (LP: #534638)
    - Autodetect if running an upstream kernel. (LP: #532932)
    - Attempt to categorize issue.  Then add tag based on category.
      (LP: #534745)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 31 Mar 2010 16:32:39 +0200

apport (1.13.1-0ubuntu2) lucid; urgency=low

  * Merge bug fixes from trunk:
    - problem_report.py, write_mime(): Add new optional argument
      "priority_fields" for ordering report keys. Patch by Brian Murray,
      thanks!
    - launchpad.py: Put some interesting fields first in the report, with the
      new priority_fields argument. Patch by Brian Murray, thanks!
    - packaging-apt-dpkg.py, _install_debug_kernel(): Do not crash on an
      outdated kernel, just return that it is outdated.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 27 Mar 2010 11:48:34 +0100

apport (1.13.1-0ubuntu1) lucid; urgency=low

  [ Martin Pitt ]
  * New upstream bug fix release:
    - Update parse-segv to handle gdb 7.1 output.
    - Enhance test suite to work with gdb 7.1 as well, and catch future
      outputs.
    - UI: Add exception string to the "network error" dialog, to better tell
      what the problem is.
    - UI: Add back -p option to apport-collect/apport-update-bug (regression
      from 1.13). (LP: #538944)
    - launchpad.py: Add yet another workaround for LP#336866. (LP: #516381)
    - launchpad.py, download(): Ignore attachments with invalid key names.
    - Fix regression from 1.10 which made it impossible for a package hook to
      set a third-party crash database for non-native packages. (LP: #517272)
    - apport-cli: Create the 'details' string only if user wants to view
      details, and do not show files larger than 1MB. Thanks Scott Moser!
      (LP: #486122)
    - packaging-apt-dpkg.py: Silence apt.Cache() spewage to stdout with newer
      python-apt versions. (LP: #531518)
    - unkillable_shutdown: Add list of running processes and blacklisted pids
      to report. (LP: #537262)
    - Sort the report by key in the details view. (LP: #519416)

  [ Evan Dandrea ]
  * Move ubiquity's package-hook into apport, so that it can be used
    from the installed system to grab the logs in /var/log/installer.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 20 Mar 2010 22:28:44 +0100

apport (1.13-0ubuntu3) lucid; urgency=low

  * Merge fixes from trunk:
    - Update parse-segv to handle gdb 7.1 output.
    - Enhance test suite to work with gdb 7.1 as well, and catch future outputs.
    - unkillable_shutdown: Add list of running processes, blacklisted pids,
      and "initctl list" to report. (LP: #537262)
    - launchpad.py: Preserve the bug title written to the description by
      apport as OriginalTitle for pattern matching. Thanks to Brian Murray!
      (LP: #511310)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 13 Mar 2010 15:55:47 +0100

apport (1.13-0ubuntu2) lucid; urgency=low

  * data/general-hooks/parse_segv.py: backport portion of upstream commit 1724
    to handle new Disassembly output from gdb 7.1.

 -- Kees Cook <kees@ubuntu.com>  Thu, 11 Mar 2010 10:58:39 -0800

apport (1.13-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Add "unkillable_shutdown" script to collect information about processes
      which are still running after sending SIGTERM to them. This can be
      hooked into e. g. /etc/init.d/sendsigs on Debian/Ubuntu systems.
    - apport_python_hook.py: Directly check /etc/default/apport instead of
      querying packaging.enabled(), to avoid importing lots of modules for
      non-packaged scripts. Thanks Stuart Colville! (LP: #528355)
    - Fix SegV parser to notice walking off the stack during "call" or "ret"
      (LP: #531672).
    - Fix --help output for bug updating mode (invocation as apport-collect or
      apport-update-bug). (LP: #504116)
    - Fix bug escalation tagging, thanks to Brian Murray.
    - Fix option processing when being invoked as apport-bug. Thanks to Daniel
      Hahler for the patch! (LP: #532944)
  * debian/apport.install: Install unkillable_shutdown.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Mar 2010 08:42:05 +0100

apport (1.12.1-0ubuntu5) lucid; urgency=low

  * launchpad.py: Do not escalate a bug if its already been escalated and
    dealt with.

 -- Brian Murray <brian@ubuntu.com>  Fri, 05 Mar 2010 13:05:10 -0800

apport (1.12.1-0ubuntu4) lucid; urgency=low

  [ Leann Ogasawara ]
  * data/package-hooks/source_linux.py:  When reporting a kernel oops the
    reporter is presented with a dialog asking if they also want to report the
    oops to kerneloops.org.  Unfortunately there is no information regarding
    the oops at the time this dialog is presented.  Provide the reporter a
    summary of the oops in question so they can make an educated decision
    about reporting it to kerneloops.org. (LP: #528175)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Mar 2010 13:08:22 +0100

apport (1.12.1-0ubuntu3) lucid; urgency=low

  * data/general-hooks/parse_segv.py: add "call" and "ret" to list of insns
    that check the stack pointer for VMA sanity (LP: #531672), backport of
    upstream commit 1715.

 -- Kees Cook <kees@ubuntu.com>  Wed, 03 Mar 2010 18:07:46 -0800

apport (1.12.1-0ubuntu2) lucid; urgency=low

  [ Leann Ogasawara ]
  * data/package-hooks/source_linux.py: Prevent filing bugs against
    linux-meta. Use the linux package instead. (LP: #526787)

  [ Scott Moser ]
  * data/general-hooks/ubuntu.py: Update "is ec2 instance" logic for lucid uec
    images. (LP: #525003)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 25 Feb 2010 19:06:39 +0100

apport (1.12.1-0ubuntu1) lucid; urgency=low

  [ Martin Pitt ]
  * New upstream bug fix release:
    - launchpad.py: Do not keep escalating bugs, just escalate at the 10th
      duplicate.
    - Improve error message if a symptom script did not determine a package
      name.  (LP: #503834)
    - general-hooks/generic.py: Fix crash on libGL check with empty
      StacktraceTop.
    - Review and clean up usage of chmod(). This fixes a small race condition
      in the Python exception hook where a local attacker could read the
      information from another user's crash report. (LP: #516029)
    - hookutils, package_versions(): Ignore "None" packages, for more robust
      package hooks. (LP: #518295)
  * debian/apport.install: Actually install the bash completion file.
    (LP: #218933)
  * Bump Standards-Version to 3.8.4 (no changes necessary).

  [ Leann Ogasawara ]
  * source_linux.py: Tag kernel bugs which utilize a driver from staging. Also
    provide the list of staging drivers in use. Prefix suspend/resume bug
    titles with "[STAGING]" if a staging driver was being used.
    (LP: #524174, #524167)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Feb 2010 21:58:16 +0100

apport (1.12-0ubuntu5) lucid; urgency=low

  * Add a dh_apport debhelper program, and a sequence addon making it
    possible to use 'dh --with apport'.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Feb 2010 18:12:30 +0100

apport (1.12-0ubuntu4) lucid; urgency=low

  [ Martin Pitt ]
  * Add X-Ubuntu-Gettext-Domain: to desktop files, thanks Sebastien Bacher for
    spotting this.

  [ Jonathan Thomas ]
  * Make apport-kde recommend the new kubuntu-notification-helper package
    rather than update-notifier-kde to prevent the latter, depreciated tool
    from getting on the Live CD

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Feb 2010 07:40:11 -0800

apport (1.12-0ubuntu3) lucid; urgency=low

  * data/general-hooks/ubuntu.py: also attach byte compilation logs for
    xemacs21

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Jan 2010 19:51:04 +0100

apport (1.12-0ubuntu2) lucid; urgency=low

  * launchpad.py: Do not keep escalating bugs, just escalate at the 10th
    duplicate. (Merged from trunk)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 22 Jan 2010 16:51:35 +0100

apport (1.12-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - launchpad.py: Add options 'escalation_subscription' and 'escalation_tag'
      for handling bugs with more than 10 duplicates.
    - crashdb.conf: For Ubuntu, escalate bugs with >= 10 duplicates to
      "ubuntu-bugcontrol" and tag them with "bugpattern-needed".
      (LP: #487900)
    - general-hooks/generic.py: Filter out crashes on missing GLX
      (LP: #327673)
    - Add bash completion script. Thanks to Philip Muškovac. (LP: #218933)
    - launchpad.py: Drop APPORT_FILES whitelist for download() and instead
      just filter out file extensions that we know about (*.txt and *.gz).
      (LP: #444975)
    - launchpad.py: Do not put the Tags: field into the bug description, since
      they are already proper tags. In download(), convert the real tags back
      to the Tags: field. (LP: #505671)
    - test/crash: Update expected core dump flags for changed rlimit behaviour
      in Linux 2.6.32.
    - launchpad.py: Fix marking of 'checked for duplicate' for bugs with
      upstream tasks.
    - launchpad.py, get_fixed_version(): Do not consider a bug as invalid just
      because it has any invalid distro package task.
  * debian/local/setup-apport-retracer: Switch to lucid.
  * debian/local/setup-apport-retracer: Do not locally install python-apt and
    friends, users can run apt-get install in DC dchroots now.
  * debian/local/setup-apport-retracer: Don't add the retracer PPA for now,
    everything we need is in lucid.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 Jan 2010 13:51:15 +0100

apport (1.11-0ubuntu5) lucid; urgency=low

  * ubuntu.py: Avoid errors when running on ramdiskless EC2 images, by only
    attaching available EC2 information. Patch from Scott Moser (LP: #494615)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 12 Jan 2010 12:19:32 +0100

apport (1.11-0ubuntu4) lucid; urgency=low

  * Merge from trunk:
    - launchpad.py: Add options 'escalation_subscription' and 'escalation_tag'
      for handling bugs with more than 10 duplicates.
    - crashdb.conf: For Ubuntu, escalate bugs with >= 10 duplicates to
      "ubuntu-bugcontrol" and tag them with "bugpattern-needed". (LP: #487900)
    - launchpad.py: Drop APPORT_FILES whitelist for download() and instead
      just filter out file extensions that we know about (*.txt and *.gz).
      (LP: #444975)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Jan 2010 23:53:10 +0100

apport (1.11-0ubuntu3) lucid; urgency=low

  * Attach emacs compilation logs in order to assist bug triaging.
    LP: #413110

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 07 Jan 2010 22:14:45 +0100

apport (1.11-0ubuntu2) lucid; urgency=low

  * launchpad.py: Remove a snippet of redundant code.
  * Merge bug fixes from trunk:
    - launchpad.py: Drop APPORT_FILES whitelist for download() and instead
      just filter out file extensions that we know about (*.txt and *.gz).
      (LP: #444975)
  * Enable Apport by default again.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Jan 2010 18:30:19 +0100

apport (1.11-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Add "--save" UI option to store the collected information into an
      .apport file instead of sending it right away. The file can then later
      be sent through apport-bug. Update manpages accordingly.
    - Update all copyright and description headers and consistently format
      them.
    - Rename all TestCase classes to "_T", which makes it much easier to run
      individual tests from the command line.
    - Testsuite: Verify that report details are/are not shown. This uncovered
      that details about package installation failures were not shown before
      sending them, which is fixed now.
    - test/hooks: Do not try to add hook information to kernel_crashdump test
      case, since we do not have an UI here. This test case broke when the
      system had an interactive package hook for the kernel.
    - When reporting a bug from a saved .apport file, let the user
      review/confirm the content before sending.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Dec 2009 13:09:55 +0100

apport (1.10.1-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Install apport-collect symlink.
    - Update translations from Launchpad.
    - Move all remaining option/argument parsing from apport-bug into ui.py.
      This allows the user to add options to apport-bug/apport-collect, and
      also avoids unwieldy dissection of options/arguments in shell.
  * debian/apport.links: Do not create apport-collect symlink, now done by
    upstream build system. Install that in debian/apport.install.
  * debian/local/setup-apport-retracer: Set up lazr.restfulclient.
  * debian/control: Bump python-distutils-extra build dependency to >= 2.14 to
    ensure correct symlink handling.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Dec 2009 00:54:37 +0100

apport (1.10-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Add a mode for updating an existing problem report to ui.py
      (-u/--update).  This is similar to the Ubuntu specific "apport-collect"
      tool, but implemented the right way now: In particular, this has access
      to the UI and thus can use interactive hooks (LP: #385811) and show you
      what is being sent for confirmation/cancelling (LP: #371827)

    - apport-bug: If invoked as "apport-collect" or "apport-update-bug" (i. e.
      through a symlink), run apport in update mode (-u <number>). This
      provides a convenient no-options command line program. Please note that
      setup.py does not currently install such a symlink. Update the
      apport-bug manpage accordingly.

    - launchpad.py: Use new login_with() to clean up code, and specify allowed
      access levels (WRITE_PRIVATE is the only sensible one anyway).
      (LP: #410205)

    - New hookutils functions:
      + xsession_errors (match lines from ~/.xsession-errors)
      + shared_libraries (determine which libraries a binary links with)
      + links_with_shared_library (test if a binary links with a particular
        library)

    - New CrashDatabase API: get_affected_packages(), can_update(), is_reporter()

    - Rename CrashDatabase.update() to update_traces().

    - Add CrashDatabase.update() for adding all new fields of a report. This is
      primarily useful for collecting local standard and package hook data for an
      already existing bug report which was not filed through Apport. This checks
      can_update()/is_reporter() if the user is eligible for updating that
      particular bug. (LP: #485880)

    - Ignore SIGXCPU and SIGXFSZ; thanks to Kees Cook. (LP: #498074)

    - launchpad.py: Do not mark non-Ubuntu bugs as needs-retrace, since there is
      no retracer right now. (LP: #489794)

    - packaging-apt-dpkg.py, install_retracing_packages(): Do not crash on
      malformed Dependencies.txt lines. (LP: #441709)

    - use-local: Fix for new source tree location of "apport" binary.

  * Drop debian/local/apport-collect{,.1} and install symlinks for apport-bug
    instead.
  * data/general-hooks/ubuntu.py: Do not report "corrupted filesystem tarfile"
    package errors. (LP: #320743)
  * data/general-hooks/ubuntu.py: Report "package ... is already installed and
    configured" errors against dpkg, not the package that failed. (LP: #467688)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 19 Dec 2009 16:48:48 +0100

apport (1.9.6-0ubuntu2) lucid; urgency=low

  * Bump python-launchpadlib dependency to ensure that we have login_with()
    with credentials_file argument.
  * debian/local/apport-collect: Add short infos to description if the calling
    person is the bug reporter. (LP: #348948)
  * debian/local/apport-collect: Intercept lazr.restfulclient.errors.HTTPError
    as well, and also cover the login process.
  * debian/local/apport-collect: Improve error messages.
  * debian/local/ubuntu-fat-chroot: Disable update-alternatives, it causes too
    much breakage with fakechroot.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Dec 2009 13:09:26 +0100

apport (1.9.6-0ubuntu1) lucid; urgency=low

  [ Brian Murray ]
  * debian/local/apport-collect: Strongly encourage collectors who are not
    the bug reporter to file a new bug report.

  [ Marco Rodrigues ]
  * debian/control: Fix lintian warnings. Move python-distutils-extra
    to b-d-i and add misc:Depends to apport-qt.

  [ Martin Pitt ]
  * New upstream version 1.9.5 and 1.9.6:
    - apport-retrace: Fix crash if InterpreterPath/ExecutablePath do not
      exist.
    - hookutils.py, attach_alsa(): Attach /proc/cpuinfo too, for CPU flags.
    - Fix crash if InterpreterPath does not exist any more at the time of
      reporting. (LP: #428289)
    - apport-gtk: Connect signals properly, to repair cancel/window close
      buttons. (LP: #427814)
    - Update German translations and fix "konnre" typo. (LP: #484119)
    - launchpad.py: Ensure that text attachments on initial bug filing are
      valid UTF-8. (LP: #453203)
    - man/apport-retrace.1: Document -R option.
    - Add pm-utils hook to record current operation, so that apportcheckresume
      can check it. Before this was kept in Ubuntu's pm-utils package.
    - general-hooks/generic.py: Check if using ecryptfs, and which directory.
      (LP: #444656)
  * data/general-hooks/ubuntu.py: Add distro release codename tag.
    (LP: #404250)
  * debian/local/apport-chroot: Fix last occurrence of "--no-dpkg" to be
    "--no-pkg". (LP: #487056)
  * debian/local/apport-collect: Use "apport-collect data" as comment for the
    apport-collect attachments to enable bug mail filtering. Thanks to Bryce
    Harrington for the suggestion.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 02 Dec 2009 00:01:06 +0100

apport (1.9.4-0ubuntu1) lucid; urgency=low

  [ Marco Rodrigues ]
  * etc/default/apport: Replace the old init.d force_start command by
    the Upstart one.
  * debian/apport.upstart: If $force_start=1 is given then run the job.
  * debian/local/apport-collect: Don't collect information if bug is a
    duplicate. (LP: #471429)

  [ Martin Pitt ]
  * New upstream bug fix release:
    - Fix crash when ExecutablePath isn't part of a package. (LP: #424965)
    - hookutils.py, attach_hardware(): Anonymize disk labels. Thanks to Marco
      Rodrigues. (LP: #394411)
    - hookutils.py, attach_wifi(): Anonymize encryption key (which appeared in
      hex when being called as root). Thanks to Marco Rodrigues. (LP: #446299)
    - launchpad.py: If unset, set bug task source package also for interpreter
      crashes.
    - apport-gtk: Give details window a minimize/maximize button, which were
      missing in some window managers. Thanks to Marien Zwart. (LP: #447749)
    - apport-kde: Properly terminate program after closing the last dialog.
      (LP: #458662)
    - hookutils.py, attach_alsa(): Attach /proc/asound/version. (LP: #467233)
    - general-hooks/generic.py: Only collect ~/.xsession-errors bits when we
      have an ExecutablePath linked to libgtk.
  * debian/control: Update Vcs-Bzr: for lucid branch.
  * data/package-hooks/source_linux.py: Add interactive questionaire, thanks
    Leann Ogasawara! (LP: #444672)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 Nov 2009 14:06:52 +0100

apport (1.9.3-0ubuntu4) karmic; urgency=low

  * etc/default/apport: Disable Apport for final Karmic.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Oct 2009 22:41:34 +0200

apport (1.9.3-0ubuntu3) karmic; urgency=low

  * apport/crash_db/launchpad.py: Increase the number of files available
    for searching with bug patterns.

 -- Brian Murray <brian@ubuntu.com>  Sun, 18 Oct 2009 12:38:38 +0200

apport (1.9.3-0ubuntu2) karmic; urgency=low

  * debian/local/apport-collect: Instantiate Launchpad crash database with
    "distro = ubuntu", to satisfy an assertion introduced in the previous
    release. (LP: #451838)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Oct 2009 21:12:21 +0200

apport (1.9.3-0ubuntu1) karmic; urgency=low

  * New upstream bug fix release:
    - hookutils.py: Fix error codes from "comm", thanks to Brian Murray.
      (LP: #414194)
    - general-hooks/generic.py: Catch xkbcomp error messages. (LP: #431807)
    - launchpad.py: Assert that we have exactly one of "distro" or "project"
      option.
    - doc/crashdb-conf.txt: Improve documentation of crash database options.
    - apport-gtk: Make Cancel/Send buttons focusable. Thanks to Marco
      Rodrigues. (LP: #447780)
    - Drop handling of the APPORT_REPORT_THIRDPARTY environment variable and
      "thirdparty" configuration file option. This has never been documented,
      and conceptually does not work. There is a proper mechanism for this in
      place now, e. g. launchpad.py's "project" option.
  * bin/apport-bug: Show deprecation warning for -p/-P. (LP: #431942)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 14 Oct 2009 23:28:24 +0200

apport (1.9.2-0ubuntu2) karmic; urgency=low

  [ Matt Zimmerman ]
  * general-hooks/ubuntu.py: Include in Ubuntu bug reports the version number
    of the installation media used to install the system, via
    /var/log/installer/media-info (cf. #364649)

  [ Martin Pitt ]
  * debian/local/apport-collect.1: Clarify that the launchpad.credentials
    files needs to be removed in order to ask for privileges again.
  * Merge bug fixes from trunk:
    - general-hooks/generic.py: Catch xkbcomp error messages, too. (LP: #431807)
    - apport-bug: Consider -h as "output help", too. (Marco Rodrigues)

  [ Brian Murray ]
  * debian/local/apport-collect:
    - Resolve bug with specifying package for adding information.
    - Let collector know if bug was not reported by them.
    - Clarify potential failure causes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Oct 2009 09:37:35 +0200

apport (1.9.2-0ubuntu1) karmic; urgency=low

  * New upstream bug fix release:
    - apport-cli: Print the URL and ask whether to open a browser. In many
      situations (such as usage on a server through ssh), it's preferable to not
      open the browser on the reporting computer. Thanks to Matt Zimmerman for the
      initial patch! (LP: #286415)
    - general-hooks/generic.py: Collect important glib errors/assertions (which
      should not have private data) from ~/.xsession-errors (LP: #431807)
    - launchpad.py: Link hardware data submission key if it exists. (LP: #424382)
    - apport-cli: Fix crash with non-ASCII characters in prompts.
    - Fix "apport-bug symptomname" to actually work.
    - launchpad.py: Fix crash on invalid credentials file. Thanks to Marco
      Rodrigues for the initial patch! (LP: #414055)
  * man/apport-bug.1: Document APPORT_IGNORE_OBSOLETE_PACKAGES (cherrypicked
    from trunk), and APPORT_STAGING (Ubuntu specific change, since it's a
    launchpad backend specific variable).
  * bin/apport-bug: Ignore -p option when giving two arguments, to keep
    compatibility with current bug filing instructions. (LP: #356755)
  * debian/copyright: Update copyright year and fix GPL link, thanks Marco
    Rodrigues!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Oct 2009 13:25:58 +0200

apport (1.9.1-0ubuntu3) karmic; urgency=low

  * Merge bug fixes from trunk:
    - apport-cli: Print the URL and ask whether to open a browser. This makes
      ubuntu-bug work much better for servers, now that ubuntu-bug is by and
      large mandatory. (LP: #286415)
    - launchpad.py: Consistently respect $APPORT_STAGING, so that it works
      for bug filing as well. (LP: #435112)

  [ Matt Zimmerman ]
  * data/general-hooks/ubuntu.py: Add metadata and tags for bugs reported from
    EC2 and UEC instances.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 25 Sep 2009 18:51:44 +0200

apport (1.9.1-0ubuntu2) karmic; urgency=low

  * kde/bugreport.ui: Select "complete report" option by default, to actually
    be able to file bugs if the options are not shown. Thanks to Yuriy Kozlov!
    Fix cherrypicked from trunk. (LP: #405378)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Sep 2009 10:18:28 +0200

apport (1.9.1-0ubuntu1) karmic; urgency=low

  [ Martin Pitt ]
  * New upstream bug fix release:
    - hookutils.py, attach_hardware(): Do not attach empty Pccardctl*.
    - apport/report.py, add_gdb_info(): Do not throw away stderr from gdb.
    - data/general-hooks/parse_segv.py:
      + Handle arithmetic wrapping correctly.
      + Handle empty base, scale, or index registers in disassembly.
      + Handle in/out ioport faults.
    - Various improvements to user-visible strings, thanks to Marco Rodrigues!
      (LP: #178507)
    - Various apport-retrace robustifications.
    - setup.py: Fix DistUtilsExtra version check. (LP: #428337)
    - hookutils.py, attach_gconf(): Do not overwrite previous values from
      other packages, thanks Loïc Minier!
    - hookutils.py, attach_gconf(): Fix crash with nonexisting <applyto> tags.

  [ Loïc Minier ]
  * Upstream source is at https://launchpad.net/apport/+download not
    archive.ubuntu.com.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 22 Sep 2009 12:51:38 +0200

apport (1.9-0ubuntu6) karmic; urgency=low

  * debian/apport.upstart:
    - Use "exit" in Upstart script rather than "return".
    - Fix post-stop script to write to the correct file.  LP: #430895.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 16 Sep 2009 20:33:49 +0100

apport (1.9-0ubuntu5) karmic; urgency=low

  * Merge bug fixes from trunk:
    - hookutils.py, attach_hardware(): Do not attach empty Pccardctl*.
    - apport/ui.py: Show a better message when failed connection to crash
      database. Thanks to Marco Rodrigues! (LP: #178507)
    - Do not throw away stderr from gdb.
    - data/general-hooks/parse_segv.py: Handle arithmetic wrapping correctly.
    - backends/packaging-apt-dpkg.py: More robust of missing ExecutablePath
      due to outdated packages.
    - setup.py: Fix DistUtilsExtra version check. (LP: #428337)
  * data/general-hooks/ubuntu.py: Add distribution channel descriptor, as per
    https://wiki.ubuntu.com/FoundationsTeam/Specs/OemTrackingId .
  * data/general-hooks/ubuntu.py: Do not allow users to file bugs against
    upgrade-system if the package isn't actually installed. Way too many
    upgrade failures get wrongly reported against this. (LP: #404727)
  * debian/rules: Entirely drop obsolete dh_installinit call.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Sep 2009 17:31:26 +0200

apport (1.9-0ubuntu4) karmic; urgency=low

  FFE LP: #427356.

  * Replace init script with Upstart job.
  * debian/control:
    - Bump build-dependency on debhelper for Upstart-aware dh_installinit

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 03:33:57 +0100

apport (1.9-0ubuntu3) karmic; urgency=low

  * apport/report.py: add upstream bzr commit 1591:
    - include stderr in gdb command output

 -- Kees Cook <kees@ubuntu.com>  Wed, 09 Sep 2009 19:32:05 -0700

apport (1.9-0ubuntu2) karmic; urgency=low

  * Add missing python-apt build dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Sep 2009 17:41:04 +0200

apport (1.9-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Add "do what I mean" mode to command line argument parsing (applies to
      all interfaces: -cli, -gtk, -kde). When giving a single argument and no
      options, determine the most likely mode, like reporting a bug against a
      symptom, package, executable name, or PID.
    - Add program "apport-bug" which determines the most appropriate user
      interface (GTK, KDE, CLI) and files a bug through it, using the single
      argument "do what I mean" mode. This is an improved version of Ubuntu's
      "ubuntu-bug" script.
    - Update apport-cli manpage to current set of options and behaviour. Also
      point out that apport-gtk and apport-kde share the same CLI.
    - setup.py now installs apport-{gtk,kde} into $prefix/share/apport/, they
      are not supposed to be called directly. This also reflects the path
      which the .desktop files expect.
    - setup.py now installs the internal helper scripts like
      "kernel_crashdump", "apport", or "apportcheckresume" into
       $prefix/share/apport instead of $prefix/bin.
    - Update usage of gettext to work around Python bug of gettext() not
      returning unicodes, but str. Fixes UnicodeDecodeErrors on translated
      --help output.
    - Add missing gettext wrapping for user-visible strings in
      apport-{retrace,unpack} and ui.py; thanks to Marco Rodrigues!
    - backends/packaging-apt-dpkg.py: Robustify get_{source,architecture} for
      uninstalled packages
    - ui.py: Add --version option. Thanks Marco Rodrigues! (LP: #383694)
  * debian/local/apport-collect: Fix KeyError crash on nonexisting LP bug
    number. Thanks Marco Rodrigues! (LP: #424273)
  * debian/control: Bump Standards-Version to 3.8.3 (no changes necessary).
  * debian/local/apport-collect: Point out that you need to select "Change
    anything" privileges. (LP: #373700)
  * debian/control: Drop obsolete texlive-latex-recommended build dependency.
  * debian/rules: Drop --install-scripts, upstream now installs the files and
    binaries into the right place. Adapt debian/*.install accordingly.
  * Drop debian/local/ubuntu-bug{,.1} and replace them with symlinks to
    apport-bug{,.1}, which is a more robust version of ubuntu-bug.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Sep 2009 15:53:33 +0200

apport (1.8.2-0ubuntu1) karmic; urgency=low

  [ Martin Pitt ]
  * New upstream bug fix release:
    - crashdb.py: Fix handling of non-ASCII crash signatures
    - packaging-apt-dpkg.py: Run ExecutablePath/InterpreterPath check later,
      so that it does not always have to be done
    - crashdb.py: Never mark a bug as a duplicate of itself.
    - launchpad.py, close_duplicate(): Add duplicate assertion
    - Update Ubuntu bug pattern URL
    - launchpad.py: Add "cache_dir" option and $APPORT_LAUNCHPAD_CACHE
      environment variable to specify a non-temporary cache directory.
      (LP: #416804)
    - packaging-apt-dpkg.py, get_architecture(): Only use installed
      architecture if package is actually installed
    - launchpad.py: Drop explicit temporary cache dir, launchpadlib does that
      automatically now. Thanks to Marco Rodriguez!

  [ Marco Rodrigues ]
  * debian/local/setup-apport-retracer: Switch to karmic.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 05 Sep 2009 13:04:16 +0200

apport (1.8.1-0ubuntu1) karmic; urgency=low

  * New upstream bug fix release:
    - data/general-hooks/generic.py: Check $HOME, not /home for enough space.
      (LP: #422658)
    - launchpad.py: Intercept httplib2.ServerNotFoundError as well, to avoid
      crashes when being offline. (LP: #396276)
    - apport-cli: Save reports with .apport extension instead of .txt. Thanks
      to Steve Beattie! (LP: #401983)
    - fileutils.py, likely_packaged(): Ignored crashes in /var, packages don't
      ship executables there, and it creates false positives. (LP: #414368)
    - packaging-apt-dpkg.py, get_modified_files(): Fix crash with empty lines.
      (LP: #408280)
    - packaging-apt-dpkg.py: Use installed version instead of candidate
      version where appropriate. This also fixes a crash where an obsolete
      package is not available any more. (LP: #423511)
    - hookutils.py, attach_gconf(): Fix crash with keys which do not have a
      schema default. (LP: #422277)
    - launchpad.py: Remove LP #353805 workaround, seems fixed now.
    - launchpad.py: Talk to staging if $APPORT_STAGING is set.
    - launchpad.py: Explicitly supply content_type for addAttachment, current
      wadllib requires it now.
    - apport_python_hook.py: Paper over inexplicable import error.
      (LP: #348250)
    - apport_python_hook.py: Protect against nonexisting sys.argv.
      (LP: #418051)
    - apport/ui.py, load_report(): Check that report has ProblemType field.
      (LP: #198543)
    - ui.py: Fix handling of complete vs. reduced report size. (LP: #92653).
      This also fixes a race condition crash with os.path.getsize().
      (LP: #348137)
    - fi.po: Fix mistranslation of "&Cancel". (LP: #355303)
    - apport-{gtk,kde}: Check for having $DISPLAY at startup to avoid crashes.
      (LP: #411276)
    - report.py, add_gdb_info(): Fix race condition in unlink_core, thanks to
      Tommi Komulainen! (LP: #397945)
    - ui.py, load_report(): Robustify check whether program is still
      installed. (LP: #329184)
    - packaging-apt-dpkg.py, install_retracing_packages(): Install package for
      ExecutablePath/InterpreterPath if missing; this can happen with package
      hooks which reassing package
    - launchpad.py: Add a comment when marking a bug as a duplicate.
      (LP: #418871)
  * Move gdb dependency from apport to GUI packages to avoid pulling in gdb on
    Ubuntu server. Thanks to Steve Beattie! (LP: #354172)
  * ubuntu-bug: Fix handling of .crash file arguments, thanks to Marco
    Rodrigues for pointing this out! (LP: #422881)
  * debian/local/apport-collect: Set content_type and description, wadllib
    requires them now. (LP: #423512) Also drop the ASCII reencoding
    workaround, this doesn't seem to be necessary any more.
  * apport/hookutils.py, attach_conffiles(): Fix crash with obsolete
    conffiles. (LP: #412132)
  * debian/local/apport-collect: Do not upload data if the affected package
    isn't installed and there is no source package hook available either.
    (LP: #417277)
  * debian/local/ubuntu-bug: Accept .apport extension, too; thanks to Steve
    Beattie! (LP: #401983)
  * debian/local/apport-collect: Drop $APPORT_STAGING check, it's done by
    launchpad.py itself now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Sep 2009 21:08:31 +0200

apport (1.8-0ubuntu2) karmic; urgency=low

  * apport/report.py: add upstream bzr 1538 commit:
    - change to upstream glibc's __abort_msg variable name.
    - filter out memory addresses when matching assert-bug duplicates.

 -- Kees Cook <kees@ubuntu.com>  Fri, 28 Aug 2009 12:47:14 -0700

apport (1.8-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Do not generally ignore SIGABRT any more. Try to extract the assertion
      message from the core dump, and add it as "AssertionMessage" field. Mark
      reports as unreportable if they do not have an assertion message and crashed
      with SIGABRT. This implements UbuntuSpec:security-karmic-apport-abort.
    - report.py, add_hooks_info(): Add optional package/srcpackage argument. Hooks
      can use that to change the affected package or call hooks from different
      packages.
    - KDE frontend implementation of ui_question_userpass(), for crash databases
      which need to ask for credentials.
    - hookutils.py: New funtion attach_wifi() to add wireless network related
      information to reports.
    - Fix the test suite on current kernels; test/crash previously often failed
      with python segfaults, since it killed the test processes too early.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Aug 2009 13:19:51 +0200

apport (1.7-0ubuntu4) karmic; urgency=low

  [ Colin Watson ]
  * data/package-hooks/source_debian-installer.py: Report Ubiquity bugs
    against the ubiquity source package, rather than rejecting them.

  [ James Westby ]
  * data/package-hooks/source_linux.py: submit oopses back if the user
    accepts. Use the new kerneloops-submit to do it.
